<?php
namespace Teknisa\PED\Modules\Pedidos\Services;

    use Doctrine\ORM\EntityManager;
    use Teknisa\PED\Modules\Pedidos\Factories\Ped14000ParametrosWebServiceFactory ;
    use Teknisa\Libs\Util\DateUtil;
    use Teknisa\Libs\Util\NewCode;
    use Zeedhi\Framework\DTO\Response\Error;
    use Teknisa\Libs\Util\Environment;
    
    class Ped14000ParametrosWebServicesService {
        
        protected $entityManager;
    	protected $environment;
    	protected $ParametrosWebServiceFactory;
    
    	public function __construct(EntityManager $entityManager, Environment $environment, Ped14000ParametrosWebServiceFactory $ParametrosWebServiceFactory){
    		$this->entityManager  = $entityManager;
    		$this->environment	= $environment;
    		$this->Ped14000ParametrosWebServiceFactory = $ParametrosWebServiceFactory;
    	}
        
        public function salvarCadastroAutomaticoCliente($row){
            /* busca clientes para inserir na CLIEPEDWEB e CLIEPEDWEBSYNC */
            $clientesCADAUTO = $this->Ped14000ParametrosWebServiceFactory->getClienteCadAuto($row);

            /* foreach para percorrer todos os clientes e chamar os inserts da CLIEPEDWEB E CLIEWEBSYNC */
            foreach($clientesCADAUTO as $cliente){
            
                $existeClienteWebClie = $this->Ped14000ParametrosWebServiceFactory->getClienteWebClie($cliente, $row);
                // if o cliente NÃO existir, significa que o empty é valido, ou seja true, dessa forma insere.
                if(empty($existeClienteWebClie)){
                    $this->Ped14000ParametrosWebServiceFactory->insertClienteCadAuto($cliente, $row);
                }
                 
                $existeClienteWebClieSync = $this->Ped14000ParametrosWebServiceFactory->getClienteWebClieSync($cliente, $row);
                // if o cliente NÃO existir, significa que o empty é valido, ou seja true, dessa forma insere.
                if(empty($existeClienteWebClieSync)){
                    $this->Ped14000ParametrosWebServiceFactory->insertClienteSyncCadAuto($cliente, $row);
                }
            }
        }
        public function salvarCadastroAutomaticoProduto($row){
           
            $produtosCADAUTO = $this->Ped14000ParametrosWebServiceFactory->getProduto($row);

            foreach($produtosCADAUTO as $produto){
            
                $existeProdutoWebProd = $this->Ped14000ParametrosWebServiceFactory->getProdutosWebProd($produto, $row);
                // if o produto NÃO existir, significa que o empty é valido, ou seja true, dessa forma insere.
                if(empty($existeProdutoWebProd)){
                    $this->Ped14000ParametrosWebServiceFactory->insertProdutoCadAuto($produto, $row);
                }
                 
                $existeProdutoWebProdSync = $this->Ped14000ParametrosWebServiceFactory->getProdutosWebProdSync($produto, $row);
                // if o produto NÃO existir, significa que o empty é valido, ou seja true, dessa forma insere.
                if(empty($existeProdutoWebProdSync)){
                    $this->Ped14000ParametrosWebServiceFactory->insertProdutoSyncCadAuto($produto, $row);
                }
            }
        }
        public function salvarCadastroAutomaticoModalidade($row){
           
            $modalidadeCADAUTO = $this->Ped14000ParametrosWebServiceFactory->getModalidade($row);

            foreach($modalidadeCADAUTO as $modalidade){
            
                $existeModalidadeWebPed = $this->Ped14000ParametrosWebServiceFactory->getModWebped($modalidade, $row);
                // if amodalidade NÃO existir, significa que o empty é valido, ou seja true, dessa forma insere.
                if(empty($existeModalidadeWebPed)){
                    $this->Ped14000ParametrosWebServiceFactory->insertModalidadeWebCadAuto($modalidade, $row);
                }

                
            }
        }
    }
    

?>