function Ped01900_peso_do_produto_Controller(templateManager, ScreenService, General, Ped02300PrecoBaseServices, restEngine, ZhFilterPreferences, ZHPromise) {
    
    this.startFiltering = function(widgetPedidos){

        var promises = [];
        promises.push(ZhFilterPreferences.setOriginalFilter(widgetPedidos.id));
        promises.push(ZhFilterPreferences.openFilterWidget(widgetPedidos));
        ZHPromise.all(promises).then(function(rowSetFilter){
        }.bind(this)); 
    };

    this.carregaFornecedWidget = function(widget){
        var row = widget.currentRow;
        widget = widget.container.getWidget('forncedorWidget');
        
        if(row.NMFANTFORN){

            widget.dataSourceFilter.push(
                {
                    name: "P_CDFORNECED",
                    operator: "=",
                    value: row.CDFORNECED
                }
            );
            widget.dataSourceFilter.push(
                {
                    name: "P_TODOS",
                    operator: "=",
                    value: "T"
                }
            );
            
            widget.actions[0].isVisible = true;
            
        } else if(row.NMFANTFORN == ""){
            widget.dataSourceFilter = [];
            widget.actions[0].isVisible = false;
        }
        
        widget.reload();
    };
    
    this.validaProdIni = function(){
        var widget = templateManager.container.getActiveWidget('preodutoWidget');
        if(widget.currentRow.CDARVPRODFIN && widget.currentRow.CDARVPRODINI >= widget.currentRow.CDARVPRODFIN){
            ScreenService.showMessage("O codigo do produto final deve ser maior que o inicial");
                widget.currentRow.CDARVPRODFIN = "";
                widget.currentRow.CDPRODUTOFIN = "";
                widget.currentRow.NMPRODUTOFIN = "";
        }
    };
    
    
    
    this.validaProdFin = function(){
        var widget = templateManager.container.getActiveWidget('preodutoWidget');
        if(widget.currentRow.CDARVPRODINI && widget.currentRow.CDARVPRODFIN){
            if(widget.currentRow.CDARVPRODINI >= widget.currentRow.CDARVPRODFIN){
                ScreenService.showMessage("O codigo do produto final deve ser maior que o inicial");
                widget.currentRow.CDARVPRODFIN = "";
                widget.currentRow.CDPRODUTOFIN = "";
                widget.currentRow.NMPRODUTOFIN = "";
            } 
        }else if(widget.currentRow.CDARVPRODFIN){
                ScreenService.showMessage("Selecione o produto inicial antes do final!");
                widget.currentRow.CDARVPRODFIN = "";
                widget.currentRow.CDPRODUTOFIN = "";
                widget.currentRow.NMPRODUTOFIN = "";
        }
    };
   
    this.filterPrevisao = function(){
        var widget = templateManager.container.getWidget('preodutoWidget');
        
        if(widget.appliedFilter.FILTER_ROW.CDARVPRODINI && widget.appliedFilter.FILTER_ROW.CDARVPRODFIN){
            widget.dataSourceFilter[0].name = "P_PRODINI";
            widget.dataSourceFilter[0].value = widget.appliedFilter.FILTER_ROW.CDARVPRODINI;
            widget.dataSourceFilter[1].name = "P_PRODFIN";
            widget.dataSourceFilter[1].value = widget.appliedFilter.FILTER_ROW.CDARVPRODFIN;
            if (widget.dataSourceFilter[2].value == "T"){
                 widget.dataSourceFilter[2].value = "";
            }
             widget.reload();
        } else if(!(widget.appliedFilter.FILTER_ROW.CDARVPRODFIN) && !(widget.appliedFilter.FILTER_ROW.CDARVPRODINI)){
            widget.dataSourceFilter[2].name = "P_TODOS";
            widget.dataSourceFilter[2].value = "T";
            widget.reload();
        } else {
            ScreenService.showMessage("Preencha os 2 campos corretamente ou deixe os dois vazios para filtrar todos os produtos!");
            widget.dataSourceFilter[1].value = "";
            widget.dataSourceFilter[0].value = "";
            widget.dataSourceFilter[2].value = "";
            widget.reload();
        }
    };
    
    this.saveForProdPesagem = function(widget){
        widget.currentRow.CDFORNECED = widget.parent.currentRow.CDFORNECED;
        General.saveCrud(widget);
    };
    
    this.deletePesoProduto = function(widget){
        widget.currentRow.QTPROPVOLUME = null;
        widget.currentRow.VRTARA = null;
        widget.currentRow.QTVOLUMES = null;
        widget.currentRow.VRPESOBRUTPR = null;
        widget.currentRow.VRPESOLIQUPR = null;
        General.saveCrud(widget).then(function (sucess) {
            ScreenService.showMessage("Informações do peso deletadas com sucesso");
        });
    };
    
}

Configuration(function(ContextRegister) {
    ContextRegister.register('Ped01900_peso_do_produto_Controller', Ped01900_peso_do_produto_Controller);
});