 var Ped01700_preco_dos_produtos_Controller = function(General, templateManager, ScreenService, ZhFilterPreferences, ZHPromise) {
    
    this.startFiltering = function(widget){
        var promises = [];
        promises.push(ZhFilterPreferences.setOriginalFilter(widget.id));
        promises.push(ZhFilterPreferences.openFilterWidget(widget));
        ZHPromise.all(promises).then(function(rowSetFilter){
            this.setDefaultFilter(widget);
        }.bind(this)); 
    };
    
    this.setDefaultFilter = function(widget){
        var filterRow = {};
        
        var NDate = new Date();
        filterRow.DTREFERENCIA = NDate.getDate() + "/" + parseInt(NDate.getMonth()+1)+ "/" + NDate.getFullYear();
        General.callRestEngine('ped#/crud/filial', 'FilterData', [{name: 'CDFILIAL', operator: '=', value: 'FILIAL_LOGADA'}]).then(function(response) {
            filterRow.CDFILIAL = response.dataset.filial[0].CDFILIAL;
            filterRow.NMFILIAL = response.dataset.filial[0].NMFILIAL;
            filterRow.CDEMPRESA = response.dataset.filial[0].CDEMPRESA;
            
            templateManager.container.getActiveWidget().currentRow = filterRow;
            
            templateManager.container.getActiveWidget().getField('ORDEM').setValue('1');
            
        }.bind(this));
    };
    
    this.setFilter = function(widget){
        var data = templateManager.container.getActiveWidget();
        var row = data.currentRow;
        widget.dataSourceFilter = [];

        widget.dataSourceFilter.push(
            {
                name: "P_CDEMPRESA",
                operator: "=",
                value: row.CDEMPRESA
            }
        );
        
        if(row.CDMODPGTO){
            widget.dataSourceFilter.push(
                {
                    name: "P_CDMODPGTO",
                    operator: "=",
                    value: row.CDMODPGTO
                }
            );
        }else{
            widget.dataSourceFilter.push(
                {
                    name: "P_TCDMODPGTO",
                    operator: "=",
                    value: "T"
                }
            );
        }
        
        widget.dataSourceFilter.push(
            {
                name: "P_DTINIVALIPB",
                operator: "=",
                value: row.DTREFERENCIA
            }
        );

        widget.dataSourceFilter.push(
            {
                name: "P_CDFILIAL",
                operator: "=",
                value: row.CDFILIAL
            }
        );
        
        widget.dataSourceFilter.push(
            {
                name: "P_CDARVPRODINI",
                operator: "=",
                value: row.CDARVPRODINI
            }
        );
        
        widget.dataSourceFilter.push(
            {
                name: "P_CDARVPRODFIN",
                operator: "=",
                value: row.CDARVPRODFIN
            }
        );

        widget.dataSourceFilter.push(
            {
                name: "P_ORDEM",
                operator: "=",
                value: row.ORDEM
            }
        );   
        
        widget.reload();
    };
 
    this.fieldOnChangeProduto = function() {
        var widget = templateManager.container.getActiveWidget();
        if (!(widget.getField('CDPRODUTOINI').value())) {
            widget.currentRow.CDPRODUTOFIN =  '';
            widget.currentRow.CDARVPRODFIN =  '';
            widget.currentRow.NMPRODUTOFIN = '';
            widget.getField('NMPRODUTOFIN').readOnly = true;
        } else {
            widget.getField('NMPRODUTOFIN').readOnly = false;
        }
        if (widget.getField('CDPRODUTOINI').value() > widget.getField('CDPRODUTOFIN').value() && widget.getField('CDPRODUTOFIN').value()) {
            ScreenService.showMessage("Produto Final não pode ser menor que o produto inicial!");
            widget.currentRow.CDPRODUTOFIN = '';
            widget.currentRow.NMPRODUTOFIN = '';
        }
    };
};
    
Configuration(function(ContextRegister){
    ContextRegister.register('Ped01700_preco_dos_produtos_Controller', Ped01700_preco_dos_produtos_Controller);
});

