var  Ped00100_lancamentoPedido_Controller = function(ScreenService, General, Ped00100_lancamentoPedido_Service, templateManager, ZHPromise, localStorageEngine,
                                                        restEngine, ZhFilterPreferences, Exp00200_lancamentoExpedicaoPedido_Service, MessageService){

    this.dataProduto   = [];
    this.prazos        = [];
    this.vendedor      = [];
    this.filialLogada  = [];
    this.parametros    = [];
    this.nmrItemPed    = '0000000001';
    this.backupItem    = [];
    this.checkedRows   = [];
    this.pedidoFilter  = [];
    this.widgetPopup = [];
    this.pedidoFilterRow = []; 

    this.bypassPendencia = false;
    
    this.vendPedAux = false;

    this.retornaOperadorLogado = function(){
        var filter = [
            {
                "name": "CDOPERADOR",
                "operator": "=",
                "value": "OPERADOR_LOGADO"
            }
        ];
        return localStorageEngine.download("ped#/crud/operador", filter);
    };

    this.retornaOperadorLogadoDesk = function(){
        var filter = [
            {
                "name": "CDOPERADOR",
                "operator": "=",
                "value": "OPERADOR_LOGADO"
            }
        ];

        var params = {
            "requestType": "FilterData",
            "filter": filter
        };

        return restEngine.request("ped#/crud/operador", params);
    };
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - DESKTOP

     
    this.testFiltro = function (widget) {
        if (widget.dataSourceFilter.length <= 0 ) {
            return false;
        } else {
            return true;
        }
    }; 
    

    /* (function/propriedade PedidoEhNovo)
        Função altamente requisitada para realizar fluxos distintos para cada Status:
        Se o Pedido esta para ser cadastrado(Novo) ou já foi cadastrado(Não é novo)
    */
    this.PedidoEhNovo = function() {
        var pedido = templateManager.container.getWidget('widgetPedido');
        return pedido.currentRow.__is_new;
       
    };
    

    // this.openFilterTitulosAPagar = function(widgetPedidos){
    this.startFiltering = function(widgetPedidos){

        var promises = [];
        promises.push(ZhFilterPreferences.setOriginalFilter(widgetPedidos.id));
        promises.push(ZhFilterPreferences.openFilterWidget(widgetPedidos));
        ZHPromise.all(promises).then(function(rowSetFilter){
            this.setFilter(widgetPedidos);
        }.bind(this)); 
        this.setFilterDataSourceVazio();
    };
    this.setFilterDataSourceVazio = function(){
        var widget = templateManager.container.getWidget('widgetPedido');
        widget.dataSourceFilter[0] = {
            "name": "CDFILIAL",
			"operator": "=",
			"value": ""
        };
   
    };
    
    this.setFieldStatusPed = function(widget){
        var data = templateManager.container.getActiveWidget().dataSourceFilter;
        var widgetPedido = templateManager.container.getWidget('widgetPedido');
        var statusPed = widget.appliedFilter.FILTER_ROW.STATUS_PED;
        var sitPedido = widget.appliedFilter.FILTER_ROW.IDSITPEDIDO;

        if(statusPed == 2 && sitPedido.length == 1){
            widget.currentRow.STATUS_PED = "CONFIRMADO";
            data.push(
                {
            		"name": "STATUS_PED",
            		"operator": "=",
            		"value": widget.currentRow.STATUS_PED,
            		"isCustomFilter": true
            	}
            );
            
            
        }else if(statusPed == 3 && sitPedido.length == 1){
            widget.currentRow.STATUS_PED = "APROVADO";
            data.push(
                {
            		"name": "STATUS_PED",
            		"operator": "=",
            		"value": widget.currentRow.STATUS_PED,
            		"isCustomFilter": true
            	}
            );

        }else if (statusPed == 3 || statusPed == 2 && sitPedido.length >1 ){
            if (statusPed == 3){
               widget.currentRow.STATUS_PED = ["APROVADO", "OUTROS"];
                data.push(
                    {
                		"name": "STATUS_PED",
                		"operator": "IN",
                		"value": widget.currentRow.STATUS_PED,
                		"isCustomFilter": true
                	}
                ); 
            }else if(statusPed == 2){
                widget.currentRow.STATUS_PED = ["CONFIRMADO", "OUTROS"];
                data.push(
                    {
                		"name": "STATUS_PED",
                		"operator": "IN",
                		"value": widget.currentRow.STATUS_PED,
                		"isCustomFilter": true
                	}
                );
            }
            
        }
        
        widgetPedido.reload();

    };
    
    this.enableStatusPed = function(){
        var widget = templateManager.container.getActiveWidget();
        var sitPedido = widget.currentRow.IDSITPEDIDO;
        
        var situacao = sitPedido.filter(element => element == 2);
        
        if (situacao.length > 0){
            widget.getField('STATUS_PED').isVisible = true;
            widget.getField('IDSITPEDIDO').class = '4';
            widget.getField('NRPEDIDO').class = '4';
            widget.getField('STATUS_PED').reload();
            
        }else{
            widget.getField('STATUS_PED').isVisible = false;
            widget.getField('STATUS_PED').clearValue();
            widget.getField('STATUS_PED').reload();
            widget.getField('IDSITPEDIDO').class = '6';
            widget.getField('NRPEDIDO').class = '6';

        }

    };
    
    
    this.setFilter = function(widget) {
        this.verifyParameters(widget);
        var filterRow = {};
        
        var NDate = new Date();
        var today = NDate.getDate() + "/" + parseInt(NDate.getMonth()+1)+ "/" + NDate.getFullYear();
        var interval = {
            "end" : today,
            "period" : undefined,
            "start" : today
        };
        
        filterRow.DTPEDIDO = interval;
        
        // filterRow.IDSITPEDIDO   = ['1','2', '3', '4', '5', '6', '7', '8'];
        // filterRow.P_STATUSITEM = ['1','2', '3', '4', '5', '6', '7'];
        var filial;
        General.callRestEngine('ped#/crud/filial', 'FilterData', [{name: 'CDFILIAL', operator: '=', value: 'FILIAL_LOGADA'}]).then(function(response) {
            filterRow.CDFILIAL = response.dataset.filial[0].CDFILIAL;
            filterRow.NMFILIAL = response.dataset.filial[0].NMFILIAL;
            filial = response.dataset.filial[0].CDFILIAL;
            
            templateManager.container.getActiveWidget().currentRow = filterRow;
            
            var filter = [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": filial
                }
            ];
            
            General.callRestEngine('ped#/crud/parampedido', 'FilterData', filter).then(function(callback) {
                if(!callback.dataset.parampedido[0]) {
                    ScreenService.showMessage('Não foi encontrada nenhuma parametrização para a Filial logada.');
                    for(var i = 0; i < widget.actions.length; i++) {
                        widget.actions[i].isVisible = false;
                    }
                }else{
                    
                    var widgetFiltro = templateManager.container.getActiveWidget();
                    
                    if (callback.dataset.parampedido[0].IDOBRTPOPPED == 'N'){
                        widgetFiltro.getField('NMTIPOOPER').requiredParam = false;
                        widgetFiltro.getField('NMTIPOOPER').isVisible = false;
                        if(widget.getField('NMTIPOOPER').validations) {
                            delete widgetFiltro.getField('NMTIPOOPER').validations;
                        }
                    } else {
                        widgetFiltro.getField('NMTIPOOPER').requiredParam = true;
                        widgetFiltro.getField('NMTIPOOPER').isVisible = true;

                        // widgetFiltro.getField('NMTIPOOPER').validations = {
                        //     required: true
                        // };
                    }
                }
                
            }.bind(this));
            
        }.bind(this));
        
    };
    
    this.changeUnidade = function(widget) {
         
        var filter = [{
            "name": "CDFILIAL",
            "operator": "=",
            "value": widget.currentRow.CDFILIAL
        }];

        General.callRestEngine('ped#/crud/parampedido', 'FilterData', filter).then(function(callback) {
            if(callback.dataset.parampedido[0]) {
               if (callback.dataset.parampedido[0].IDOBRTPOPPED == 'N'){
                    widget.getField('NMTIPOOPER').requiredParam = false;
                    widget.getField('NMTIPOOPER').isVisible = false;
                    if(widget.getField('NMTIPOOPER').validations) {
                        delete widget.getField('NMTIPOOPER').validations;
                    }
                } else {
                    widget.getField('NMTIPOOPER').requiredParam = true;
                    widget.getField('NMTIPOOPER').isVisible = true;
                    // widget.getField('NMTIPOOPER').validations = {
                    //     required: true
                    // };
                }
            }
                
        }.bind(this));
     };
    

    /*this.fixFilterStatus = function() {
        var widget = templateManager.container.getActiveWidget();
        if (widget.currentRow.IDSITPEDIDO.indexOf('7') >= 0 && widget.currentRow.IDSITPEDIDO.indexOf('2') < 0) {
            widget.currentRow.ITENS_CONF = '0';
            widget.currentRow.IDSITPEDIDO = widget.currentRow.IDSITPEDIDO.splice( widget.currentRow.IDSITPEDIDO.indexOf('7') ,1);
        }
        if (widget.currentRow.IDSITPEDIDO.indexOf('8') >=0 && widget.currentRow.IDSITPEDIDO.indexOf('2') < 0) {
            widget.currentRow.ITENS_APROV = '0';
            widget.currentRow.IDSITPEDIDO = widget.currentRow.IDSITPEDIDO.splice( widget.currentRow.IDSITPEDIDO.indexOf('8') ,1);
        }
    };*/
    
    this.verifyParameters = function(widget) {

        General.callRestEngine('ped#/crud/filial', 'FilterData', [{name: 'CDFILIAL', operator: '=', value: 'FILIAL_LOGADA'}]).then(function(response) {
            var filter = [{
                "name": "CDFILIAL",
                "operator": "=",
                "value": response.dataset.filial[0].CDFILIAL
            }];

            var wid = widget;
            General.callRestEngine('ped#/crud/parampedido', 'FilterData', filter).then(function(callback) {
                var wid = widget;
                if(!callback.dataset.parampedido[0]) {
                    ScreenService.showMessage('Não foi encontrada nenhuma parametrização para a Filial logada.');
                    for(var i = 0; i < wid.actions.length; i++) {
                        wid.actions[i].isVisible = false;
                    }
                } else {
                    widget.limitePendencia = parseInt(callback.dataset.parampedido[0].NRDIAPENDFIN);
                    if (callback.dataset.parampedido[0].CDGROPERAPRO != null) {
                        widget.grupOperApro = callback.dataset.parampedido[0].CDGROPERAPRO;
                    }
                    widget.idPend = callback.dataset.parampedido[0].IDPENDFINAN;
                    widget.idSitu = callback.dataset.parampedido[0].IDSITUFINAN;
                    
                    this.verificaParamsPedido(callback.dataset.parampedido[0], wid);
                }
            }.bind(this));
        }.bind(this));
    }; 

    this.verificaParamsPedido = function (parametros, wid) {
        
        // =====
        //Verifica se habilita botão de Adicionar Vendedor
        this.btnVendedoresAdicionais(wid,parametros);
        // =====
        
        if (parametros.IDEXCLPEDIDO == 'N') {
            wid.getAction('excluirPedido').isVisible = false;
        }else{
            wid.getAction('excluirPedido').isVisible = true;
        }
        if ( parametros.IDOBRTPOPPED == 'N'){
            wid.getField('NMTIPOOPER').isVisible = false;
            wid.getField('NMTIPOOPER').validations = {};
        }
        wid.IDEXCLPEDIDO = parametros.IDEXCLPEDIDO;
        wid.IDPENDFINANLANC = parametros.IDPENDFINANLANC;
        wid.IDPENDFINAN = parametros.IDPENDFINAN;
        if (parametros.IDEXIBPEDIDO && parametros.IDEXIBPEDIDO == '2') {
            this.retornaOperadorLogadoDesk().then(function(operador){
                var cdoperador = operador.dataset.operador[0].CDOPERADOR;
                var filterOper = [
                    {
                        name: 'CDOPERADOR',
                        operator: '=',
                        value: cdoperador
                    }
                ];
                var filter_autgrupop = [
                    {
                        name: 'IDAUTGRUPOP',
                        operator: '=',
                        value: 'TPED'
                    },
                    {
                        name: 'CDFILIAL',
                        operator: '=',
                        value: parametros.CDFILIAL
                    }
                ];
                var filter_vendedor = [
                    {
                        name: 'CDOPERADOR',
                        operator: '=',
                        value: cdoperador
                    }
                ];
                var promises = [];
                promises.push(General.callRestEngine('ped#/crud/opergrupop', 'FilterData', filterOper));
                promises.push(General.callRestEngine('ped#/crud/autgrupop', 'FilterData', filter_autgrupop));
                promises.push(General.callRestEngine('ped#/crud/vendedor', 'FilterData', filter_vendedor));
                ZHPromise.all(promises).then(function(callback) {
                    var gruoper = callback[0].dataset.opergrupop.filter(function(value){ return value.CDOPERADOR == cdoperador && callback[1].dataset.autgrupop[0] && value.CDGRUPOPER == callback[1].dataset.autgrupop[0].CDGRUPOPER;});
                    var filterWidget = templateManager.container.getActiveWidget();
                    if (!gruoper || gruoper.length <= 0) {
                        if (wid.appliedFilter && wid.appliedFilter.FILTER_ROW){
                            
                                // wid.appliedFilter.FILTER_ROW.getField('NMFANVEN').NMFANVEN = true;
                                if (callback[2].dataset.vendedor.length == 1) {
                                    if(parametros.IDUTRELACVENDCLI == "S"){
                                        wid.getField('NMRAZSOCCLIE').dataSourceFilter = [
                                            {
                                                name: 'CDVENDEDOR',
                                                operator: '=',
                                                value: callback[2].dataset.vendedor[0].CDVENDEDOR
                                            }
                                        ];
                                    }else{
                                        wid.getField('NMRAZSOCCLIE').dataSourceFilter = [];
                                    }
                                        
                                    wid.appliedFilter.FILTER_ROW.CDVENDEDOR   = callback[2].dataset.vendedor[0].CDVENDEDOR;
                                    wid.appliedFilter.FILTER_ROW.NMFANVEN = callback[2].dataset.vendedor[0].NMFANVEN;
                                    
                                    // wid.getField('CDVENDEDOR').value(callback[2].dataset.vendedor[0].CDVENDEDOR);
                                    // wid.getField('NMFANVEN').value(callback[2].dataset.vendedor[0].NMFANVEN);
                                    wid.getField('NMFANVEN').readOnly = true;
                                } else {
                                    wid.getField('NMFANVEN').validations = {required: true};
                                    ScreenService.showMessage('Operador não relacionado a um vendedor.');
                                }
                                    
                                
                        }else {
                            if (callback[2].dataset.vendedor.length == 1) {
                                if(parametros.IDUTRELACVENDCLI == "S"){
                                   var widget = templateManager.container.getActiveWidget();
                                    widget.getField('NMRAZSOCCLIE').dataSourceFilter = [
                                        {
                                            name: 'CDVENDEDOR',
                                            operator: '=',
                                            value: callback[2].dataset.vendedor[0].CDVENDEDOR
                                        }
                                    ];
                                }else{
                                   wid.getField('NMRAZSOCCLIE').dataSourceFilter = []; 
                                }
                                filterWidget.currentRow.CDVENDEDOR = callback[2].dataset.vendedor[0].CDVENDEDOR;
                                filterWidget.currentRow.NMFANVEN = callback[2].dataset.vendedor[0].NMFANVEN;
                                filterWidget.getField('NMFANVEN').readOnly = true;
                            }
                            
                        }
                    }else{
                        filterWidget.currentRow.CDVENDEDOR = callback[2].dataset.vendedor[0].CDVENDEDOR;
                        filterWidget.currentRow.NMFANVEN = callback[2].dataset.vendedor[0].NMFANVEN;
                        
                        // wid.getField('CDVENDEDOR').value(callback[2].dataset.vendedor[0].CDVENDEDOR);
                        // wid.getField('NMFANVEN').value(callback[2].dataset.vendedor[0].NMFANVEN);
                        // wid.getField('NMFANVEN').readOnly = true;
                    }
                }.bind(this));
            }.bind(this));
        }
        wid.reload();
    };

    this.verifyFilterParameters = function (widget) {
        widget = templateManager.container.getWidget('widgetPedido');
        widget.activate();
        var filial = widget.appliedFilter.FILTER_ROW.CDFILIAL;
        // widget.appliedFilter.FILTER_ROW
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": filial
            }
        ];

        General.callRestEngine('ped#/crud/parampedido', 'FilterData', filter).then(function(callback) {
            if(!callback.dataset.parampedido[0]) {
                ScreenService.showMessage('Não foi encontrada nenhuma parametrização para a Filial logada.');
                for(var i = 0; i < widget.actions.length; i++) {
                    widget.actions[i].isVisible = false;
                }
            }else{
                
                widget.getAction('novoPedido').isVisible = true;
                widget.getAction('salvarPedido').isVisible = true;
                widget.getAction('cancelarEdicao').isVisible = true;
                
                this.parametros = callback.dataset.parampedido[0];
                if (callback.dataset.parampedido[0].IDOBRTPOPPED == 'N'){
                    widget.getField('NMTIPOOPER').requiredParam = false;
                    widget.getField('NMTIPOOPER').isVisible = false;
                    if(widget.getField('NMTIPOOPER').validations) {
                        delete widget.getField('NMTIPOOPER').validations;
                    }
                } else {
                    widget.getField('NMTIPOOPER').requiredParam = true;
                    widget.getField('NMTIPOOPER').isVisible = true;
                    // widget.getField('NMTIPOOPER').validations = {
                    //     required: true
                    // };
                }
            
                 widget.limitePendencia = callback.dataset.parampedido[0].NRDIAPENDFIN;
                this.verificaParamsPedido(callback.dataset.parampedido[0], widget);
            }
            
        }.bind(this));
    }; 

    this.deadlinesAdjustment = function (widgetPedido) {
        var widgetPrazo = templateManager.container.getWidget('widgetPrazoPed');
        if (widgetPedido.mode == 'view') {
            this.removeInlineEditable(templateManager.container.getWidget('widgetPrazoPed'));
            
            /*widgetModalidade.getField('DSMODPGTO').readOnly = true;     
            widgetModalidade.currentRow.CDMODPGTO = widgetModalidade.getParent().currentRow.CDMODPGTO;
            widgetModalidade.currentRow.DSMODPGTO = widgetModalidade.getParent().currentRow.DSMODPGTO;
            widgetModalidade.currentRow.IDTPFORPGTOMOD = widgetModalidade.getParent().currentRow.IDTPFORPGTPED;
            widgetModalidade.currentRow.CDFORMPGTO = widgetModalidade.getParent().currentRow.CDFORMPGTO;*/
            widgetPrazo.reload();
        
        } else if (widgetPedido.mode == 'edit'){
            this.removeInlineEditable(templateManager.container.getWidget('widgetPrazoPed'));
        }
        if (widgetPedido.currentRow.__is_new) {
            this.buildPrazo(templateManager.container.getWidget('widgetPrazoPed'));
        }
        templateManager.updateTemplate();
        this.setPrevisao(widgetPrazo);
    }; 

    this.changeToInlineMode = function (widget, action) {
        var widgetPrazo      = templateManager.container.getWidget('widgetPrazoPed');
        // var widgetModalidade = templateManager.container.getWidget('widgetModpgtoPed');
        widget.mode = 'edit';
        var i;
        var filter = [{
            "name": "CDFILIAL",
            "operator": "=",
            "value": 'FILIAL_LOGADA'
        }];
        this.saveActionControl(widget);
        Ped00100_lancamentoPedido_Service.findParameters(filter).then(function(callback) {
            if (action.name == 'editarPrazo') {
                widgetPrazo.lastAction = 'editarPrazo';
                widget.getField('NRDIASPGTOPED').readOnly = true;
                // widgetModalidade.backup = widgetModalidade.fields[0].value();
                
                var rows = [];
                widget.backup = [];
                for (i = 0; i < widget.dataSource.data.length; i++) {
                    rows = Util.clone(widget.dataSource.data[i], ['__leftActions', '__rightActions', '__proto__']);
                    widget.backup.push(rows);
                }
                widget.getAction('incluirPrazo').isVisible = true;
                if (callback.dataset.parampedido[0].IDALTFORMAPAG === 'S'){
                    widget.getAction('excluirPrazo').isVisible = true;
                    widget.isVisible = false;
                    widget.reload().then(function(){
                        widget.isVisible = true;
                        widget.reload().then(function(){
                            templateManager.updateTemplate();
                            this.setInlineEditable(widget);
                        }.bind(this));
                    }.bind(this));
                }
                // templateManager.updateTemplate();
                
                templateManager.updateTemplate();
            } else if (action.name == 'novoPrazo') {
                var filial;
                widget.getField('NRDIASPGTOPED').readOnly = false;
                
                // widget.getAction('incluirPrazo').isVisible = true;
                widgetPrazo.lastAction = 'novoPrazo';
                this.setInlineEditable(widgetPrazo);
                widgetPrazo.backup = Util.clone(widgetPrazo.dataSource.data, ['__leftActions', '__rightActions']);
                
                for (i = 0; i < widgetPrazo.getParent().dataSourceFilter.length; i++) {
                    if (widgetPrazo.getParent().dataSourceFilter[i].name == 'CDFILIAL'){
                        filial = widgetPrazo.getParent().dataSourceFilter[i].value;
                    }
                }
                widgetPrazo.dataSource.data.push({
                    "CDFILIAL": filial,
                    "NRPEDIDO": widgetPrazo.getParent().currentRow.NRPEDIDO,
                    "NRDIASPGTOPED": null,
                    "VRPERCPGTOPED": null,
                    "PREVISAO": null,
                    "VRPARCELA": null,
                    "__is_new": true
                });
                templateManager.updateTemplate();
            }
            
            templateManager.updateTemplate();
        }.bind(this));
        templateManager.updateTemplate();
    }; 

    this.statusControl = function (widget) {
        //var e;
        //var aux;
        //var name;
        var i = 0;
        var selectedStatus = [];
        var statusName;
        var conditions = {
            'pendente': [
                'STATUS_CONFIRMAR',
                'STATUS_CANCELAR'
            ],
            'confirmado': [ // exclusiva do Item
                'STATUS_EXC_CONFIRMACAO',
                'STATUS_APROVAR',
                'STATUS_CANCELAR'
            ],
            'aprovado': [ // exclusiva do Item
                'STATUS_EXC_APROVACAO',
                'STATUS_LIQMANUALMNTPED',
                'STATUS_CANCELAR'
            ],
            'liquidado': [],
            'liqManual': [
                'STATUS_EXC_LIQMANUALMNTPED'
            ],
            'parcAtendido': [
                'STATUS_LIQMANUALMNTPED'
            ],
            'cancelado': [
                'STATUS_EXL_CANCELAR'
            ]
        };
        widget.actions.forEach(function(action){
            if(action.name.includes('STATUS_')) action.isVisible = false;
        });
        if (widget.name == 'widgetPedido') {
            statusName = {
                "D": "emDigitacao",
                "E": "enviado",
                "N": "não Enviado",
                "1": "pendente",
                "2": "emAndamento",
                "3": "liquidado",
                "4": "cancelado",
                "5": "liqManual",
                "6": "parcAtendido",
                "7": "confirmado",
                "8": "aprovado",
            };
        } else if (widget.name == 'widgetItens') {
            statusName =  {
                "D": "emDigitacao",
                "1": "pendente",
                "2": "confirmado",
                "3": "aprovado",
                "4": "liquidado",
                "5": "cancelado",
                "6": "liqManual",
                "7": "parcAtendido"
            };
        }
        widget.getCheckedRows().forEach(function(row){
            selectedStatus[i] = (widget.name == 'widgetPedido') ? row.IDSITPEDIDO : row.IDSITITEMPED;
            i++;
        }.bind(this));
        
        this.checkedRows = widget.getCheckedRows();
        
        /*if(widget.getCheckedRows().length == 1) widget.actions[14].isVisible = true;
        else widget.actions[14].isVisible = false;*/
        
        // um Objeto onde cada propriedade representa uma action e recebe um array contendo quando a que da nome a propriedade deve ser mostrada
        var statusCod = selectedStatus;
        selectedStatus = selectedStatus.map(function(status) {
            return statusName[status];
        });
        var status = [];
        selectedStatus.forEach(function(value) {
            if (status.indexOf(value) == -1 ) {
                status.push(value);
            }
        });
        selectedStatus = status;
        // Status das linhas selecionadas, essas em conjunto formam as condições que devem ser respeitadas para mostrar as actions
        if (selectedStatus.indexOf("emAndamento") >= 0 || (selectedStatus.indexOf("confirmado") >= 0 && selectedStatus.indexOf('7') >= 0) || (selectedStatus.indexOf("aprovado") >= 0 && selectedStatus.indexOf('8') >= 0) ) {
            var pedidos = [];
            for (i = 0; i < widget.getCheckedRows().length; i++) {
                pedidos[i] = widget.getCheckedRows()[i].NRPEDIDO;
            }
            var filter = [
                {
                    "name": "NRPEDIDO",
                    "operator": "IN",
                    "value": pedidos
                },
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": widget.getCheckedRows()[0].CDFILIAL
                }
            ];
            General.callRestEngine('ped#/crud/itempedido_completa', "FilterData", filter).then(function(callback){
                var selectedItemStatus = [];

                var statusItemName = {
                    "D": "emDigitacao",
                    "1": "pendente",
                    "2": "confirmado",
                    "3": "aprovado",
                    "4": "liquidado",
                    "5": "cancelado",
                    "6": "liqManual",
                    "7": "parcAtendido"
                };

                i = 0;
                callback.dataset.itempedido_completa.forEach(function(row){
                    selectedItemStatus[i] = row.IDSITITEMPED;
                    i++;
                });
                if (selectedItemStatus.indexOf("1") >= 0) {
                    conditions.emAndamento = [   // exclusivo do pedido
                        'STATUS_CONFIRMAR',
                        'STATUS_CANCELAR'
                    ];
                } else if (selectedItemStatus.indexOf("2") >= 0) {
                    conditions.emAndamento = [   // exclusivo do pedido
                        'STATUS_EXC_CONFIRMACAO',
                        'STATUS_APROVAR',
                        'STATUS_CANCELAR'
                    ];
                } else if (selectedItemStatus.indexOf("3") >= 0) {
                    conditions.aprovado = [   // exclusivo do pedido
                        'STATUS_EXC_APROVACAO',
                        'STATUS_EXPEDIR',
                        'STATUS_LIQMANUALMNTPED',
                        'STATUS_CANCELAR'
                    ];
                }
                var statusNameItem =  {
                    "D": "emDigitacao",
                    "1": "pendente",
                    "2": "confirmado",
                    "3": "aprovado",
                    "4": "liquidado",
                    "5": "cancelado",
                    "6": "liqManual", 
                    "7": "parcAtendido"
                };
                selectedStatus = selectedItemStatus.map(function(status) {
                    return statusNameItem[status];
                });
                
                this.actionsControl(widget, conditions, selectedStatus);
            }.bind(this));
        } else if (selectedStatus.indexOf("emAndamento") >= 0 && widget.name == 'widgetPedido'){
            conditions.emAndamento = [  // exclusivo do pedido
                'STATUS_EXC_APROVACAO',
                'STATUS_EXPEDIR',
                'STATUS_LIQMANUALMNTPED',
                'STATUS_CANCELAR'
            ];
            this.actionsControl(widget, conditions, selectedStatus);
        } else {
            this.actionsControl(widget, conditions, selectedStatus);
        }
    }; 

    this.actionsControl = function (widget, conditions, selectedStatus) {
        var e = 0;
        var i = 0;
        var max = 0;
        var array = [];
        var contador = [];
        var selectedAction;
        var actionsToShow = [];
        var valoresMaximos = [];
        Object.keys(conditions).forEach(function(action) {
        //Pega o objeto como um array e da um foreach
            selectedAction = selectedStatus.map(function(row){
                if(row == action) return conditions[action];
            });
            //   armazena em uma variavel, quando todos os elementos das rows selecionadas forem encontrados no array de condições
            // se tiver encontrado entra no if e habilita as actions uma de cada vez
            for (e = 0; e < selectedAction.length; e++) {
                if(selectedAction[e] && selectedAction[e].length > 0) array = array.concat(selectedAction[e]);
            }
            if (selectedAction && selectedAction.length > 0 && selectedAction[0] && selectedAction[0].length > 0) {
                actionsToShow.push(selectedAction[0]);
            }
        });
        array.forEach(function(obj) {
            if (contador[obj]) {
                contador[obj].aparicoes += 1;
                if (contador[obj].aparicoes > max) {
                    max = contador[obj].aparicoes;
                    var ob = contador[obj].objeto;
                    valoresMaximos = [ob];
                } else if(contador[obj].aparicoes === max){
                    valoresMaximos.push(contador[obj].objeto);
                }
            } else  {
                var aparicoes = 1;
                var a = {objeto: obj, aparicoes: aparicoes};
                contador[obj] = a ;
            }
        });
        if (valoresMaximos.length > 0 && max >= selectedStatus.length){
            for (i = 0; i < valoresMaximos.length; i++) {
                widget.getAction(valoresMaximos[i]).isVisible = true;
            }
        } else if (selectedStatus.length == 1) {
            for (i = 0; i < array.length; i++) {
                widget.getAction(array[i]).isVisible = true;
            }
        }
    }; 

    this.changeStatus = function (widget, status, called_by) {
        var rows = widget.getCheckedRows();
        this.checkedRows = rows;

        this.pedidoFilterRow = templateManager.container.getWidget('widgetPedido').appliedFilter.FILTER_ROW;
        this.pedidoFilter = widget.dataSourceFilter;
        
        var route;
        var mensagem;

        rows.forEach(function(row){
            row.NOVOSTATUS = status;
            row.DTHORA = moment().format('DD/MM/YYYY HH:mm:ss');
            row.CALLED_BY = called_by;
        });
        if (widget.name == 'widgetPedido') {
            route = "ped_pedidos#/changeStatusPed";
            if(rows.length > 1){
                mensagem = {
                    "2":  "Pedidos Confirmados com sucesso.",
                    "8":  "Pedidos Aprovados com sucesso.",
                    "10": "Pedidos Liquidados Manualmente com sucesso.",
                    "9":  "Pedidos Cancelados com sucesso."
                };
            } else {
                mensagem = {
                    "2":  "Pedido Confirmado com sucesso.",
                    "8":  "Pedido Aprovado com sucesso.",
                    "10": "Pedido Liquidado Manualmente com sucesso.",
                    "9":  "Pedido Cancelado com sucesso."
                };
            }

        } else {
            route = "ped_pedidos#/changeStatusItemPed";
            if(rows.length > 1){
                mensagem = {
                    "2": "Itens Confirmados com sucesso.",
                    "3": "Itens Aprovados com sucesso.",
                    "6": "Itens Liquidados Manualmente com sucesso.",
                    "5": "Itens Cancelados com sucesso."
                };
            } else {
                mensagem = {
                    "2": "Item Confirmado com sucesso.",
                    "3": "Item Aprovado com sucesso.",
                    "6": "Item Liquidado Manualmente com sucesso.",
                    "5": "Item Cancelados com sucesso."
                };
            }
        }
        if(status == 8 && this.bypassPendencia == false && this.idPend != "3" || status == 8 && this.bypassPendencia == false && this.idSitu != "3") {
            
            this.aprovarPedido(widget);
                
                
        } else if (status == 11) {
            this.openExpedicaoPopUp();
        } else {
            General.callRestEngine(route, "DataSet", rows).then(function(callback) {
                ScreenService.showMessage(mensagem[status]);
                ScreenService.closePopup();
                
                widget.unSelectAll();
                this.enableDupPed();
                
                if (widget.name == 'widgetItens') {
                    templateManager.container.getWidget('widgetItens').reload();
                }
                this.getPedidos();
            }.bind(this))
            .catch(function(error){
                var erroAtualizar = ScreenService.i18n("Erro ao atualizar.");
                ScreenService.showMessage(erroAtualizar + ' \n ' + error.data.error);
                ScreenService.closePopup();
                widget.unSelectAll();
            });
        } 
    }; 

    this.aprovarPedido = function (widget) {
        
        var rows = widget.getCheckedRows();
        var arrayStatusPedido = [];
        var widgetPopupPed = widget.container.getWidget("widgetPopupPedido");
        
        General.callRestEngine('ped#/aprovarPedido', "DataSet", rows).then(
            function(response){
                widgetPopupPed.dataSource.data = response.dataset.mensagem;
                ScreenService.openPopup(widgetPopupPed);
                widget.reload();
            },
            function(error){
                ScreenService.showMessage(error);
            }
        );
    };
    
    this.verificaPendencias = function(widget) {
        var rows = widget.getCheckedRows();
        var arrayPendencias = [];
        var widgetPopupPend = widget.container.getWidget("widgetPopupPendencia");
        General.callRestEngine('ped_pedidos#/consultaPendencia', 'DataSet', rows).then(
            function(response) {
                arrayPendencias = response.dataset.pendencias;
                arrayPendencias.forEach(function(pendencia, index, array){
                    pendencia = JSON.parse(pendencia);
                    array[index] = pendencia;
                });
                widgetPopupPend.dataSource.data = arrayPendencias;
                ScreenService.openPopup(widgetPopupPend);
            },
            function(error) {
                ScreenService.showMessage(error);
            }
        );
    };
    
    this.exibirPendencias = function(widget) {
        
        var rows = widget.getCheckedRows();
        var widgetPopupPend = widget.container.getWidget("widgetPopupPendencia");
        var paramsCdFilial = ",";
        var paramsCdCliente = ",";
        
        rows.forEach(function(row){
            paramsCdFilial += row.CDFILIAL + ',';
            paramsCdCliente += row.CDCLIENTE + ',';
        }.bind(this));
        
        widgetPopupPend.dataSourceFilter[0].value = paramsCdFilial;
        widgetPopupPend.dataSourceFilter[1].value = paramsCdCliente;
        widgetPopupPend.reload();
        ScreenService.openPopup(widgetPopupPend);
    };
    
    this.enableDupPed = function(){
        var widget = templateManager.container.getWidget('widgetPedido');
        var rows = widget.getCheckedRows();

        widget.actions.forEach(function(act){
            if(act.name == 'duplicaPed'){
                if(rows.length == 1){
                    act.isVisible = true;
                }else{
                    act.isVisible = false;
                }
            }
        });
    };
    
    this.getDtEnt = function(){
        var widgetPopup =  templateManager.container.getWidget('widgetDuplicaPed');
        var widget = templateManager.container.getWidget('widgetPedido');
        var rows = widget.getCheckedRows();
        
        
        widgetPopup.currentRow.CDFILIAL = rows[0].CDFILIAL;

       var row ={
            CDFILIAL: rows[0].CDFILIAL,
            DTPEDIDO: widgetPopup.currentRow.DTPEDIDO
        };

        var promises = [];
        promises.push(General.callRestEngine("ped_pedidos#/getDataEntrega", "Row", row));
        ZHPromise.all(promises).then(function(callback){
            if(callback[0].dataset.data.length ==0){
                widgetPopup.getField('DTENTPED').value(moment().format('L'));
            }else{
                widgetPopup.getField('DTENTPED').value(moment(callback[0].dataset.data[0].DTENTREGA,'DD/MM/YYYY').format('L'));
            }

        });

     };
     
     this.validaDtDuplicaPed = function (){
        var widgetPopup =  templateManager.container.getWidget('widgetDuplicaPed');
        
        var now = (moment().format('L')).split("/").reverse("").join("/");
        var dtPedido = (moment((widgetPopup.currentRow.DTPEDIDO), 'DD/MM/YYYY').format('L')).split("/").reverse("").join("/");
        var dtEntPed = (moment((widgetPopup.currentRow.DTENTPED), 'DD/MM/YYYY').format('L')).split("/").reverse("").join("/");
        
        if(dtPedido > now){
            
            ScreenService.showMessage("A data pedido deve ser menor ou igual à data atual.");
            now = moment().format('L');
            widgetPopup.getField('DTPEDIDO').setValue(null);
            widgetPopup.getField('DTPEDIDO').reload();
            widgetPopup.getField('DTENTPED').setValue(null);
            widgetPopup.reload();
                
        }else if(dtEntPed != undefined && dtEntPed < dtPedido){
            
            widgetPopup.getField('DTENTPED').setValue(null);
            widgetPopup.reload();
            ScreenService.showMessage("A data de entrega deve ser maior ou igual à data atual");
        }
          
    };

    this.openPopUpImportacao = function(){
        var widget = templateManager.container.getWidget('popUpImportacao');

        ScreenService.openPopup(widget).then(function(){
            widget.reload();
        });
    };

    this.openPopupDuplicaPed = function(){
        var widgetPopup =  templateManager.container.getWidget('widgetDuplicaPed');
        var widget = templateManager.container.getWidget('widgetPedido');
        var rows = widget.getCheckedRows();
        var now = moment().format('L');
        var itens = [];
        
        var filterItens = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": rows[0].CDFILIAL
            },
            {
                "name": "NRPEDIDO",
                "operator": "=",
                "value": rows[0].NRPEDIDO
            }
        ];
        
        General.callRestEngine('ped#/crud/itempedido_completa', "FilterData", filterItens).then(function(itensPedido){
            
            itens = itensPedido.dataset.itempedido_completa;
            var cdproduto = [];
            itens.forEach(function(item){
                cdproduto.push(item.CDPRODUTO);

            });
            General.callRestEngine('ped#/crud/produto', "FilterData", [{name: 'CDPRODUTO', operator: 'IN', value: cdproduto}]).then(function(callback){
                var produtos = callback.dataset.produto;
                produtos.forEach(function(prod){
                    itens.forEach(function(item){
                        if(item.CDPRODUTO == prod.CDPRODUTO){
                            item.VRFATOCONV = prod.VRFATOCONV;
                        }
                    });
                });
                var data = [];
                data.push({'CDFILIAL': rows[0].CDFILIAL});
                data.push({'CDTIPOOPER': rows[0].CDTIPOOPER});
                data.push({'itens': itens});
                
                Ped00100_lancamentoPedido_Service.validaQtdeDispEstoque(data).then(function(callback) {
        
                    if(callback.dataset.validaQtdeDispEstoque.erro == 0){
                        widgetPopup.getField('DTPEDIDO').value(now);
                        this.getDtEnt();
                        
                        var filter = [
                            {
                                name: 'CDFILIAL',
                                operator: '=',
                                value: rows[0].CDFILIAL
                                
                            }
                        ];
                        General.callRestEngine('ped#/crud/parampedido', 'FilterData', filter).then(function(response){
                            var utilFilialDest = 'NAO';
                            if(response.dataset.parampedido.length != 0){
                                utilFilialDest = response.dataset.parampedido[0].IDUTFILIALDESTINO;
                            }
                             ScreenService.openPopup(widgetPopup).then(function(){
                                widgetPopup.getField('CDCLIENTE').setValue(rows[0].CDCLIENTE);
                                widgetPopup.getField('NMRAZSOCCLIE').setValue(rows[0].NMRAZSOCCLIE);
                                if(utilFilialDest == 'SIM'){
                                     widgetPopup.getField('FILIDEST').readOnly = false;
                                     if(rows[0].CDFILIALPED){
                                        widgetPopup.getField('FILIDEST').setValue(rows[0].FILIDEST);
                                    }
                                 }else{
                                    widgetPopup.getField('FILIDEST').readOnly = true; 
                                    widgetPopup.getField('FILIDEST').setValue(null);
                                     widgetPopup.getField('FILIDEST').reload();
                                 }
                                
                                widgetPopup.reload();
                            });
        
                        });
                    }else{
                        var widgetRetornoValidEst = templateManager.container.getWidget('popUpRetornoValidacaoEstoque');
                
                        var retorno = callback.dataset.validaQtdeDispEstoque;
                        
                        widgetRetornoValidEst.dataSource.data = retorno[0];
                        ScreenService.openPopup(widgetRetornoValidEst).then(function(){
                            widgetRetornoValidEst.reload();
                        });
                    }
                        
                }.bind(this));
                
            }.bind(this));
            
        }.bind(this));
    };
    
    this.salvarPedDuplicado = function(){
        var widgetPopup =  templateManager.container.getWidget('widgetDuplicaPed');
        var widget = templateManager.container.getWidget('widgetPedido');
        var row = widget.getCheckedRows();
        var pedido=[];
        var data = [];
        
        var filter = [
            {
                name: 'CDFILIAL',
                operator: '=',
                value: row[0].CDFILIAL
                
            },
            {
                name: 'NRPEDIDO',
                operator:'=',
                value: row[0].NRPEDIDO
            }
        ];
        
        var promises = [];
        promises.push(General.callRestEngine('ped#/crud/pedido_completa', "FilterData", filter));
        promises.push(General.callRestEngine("ped#/crud/operador","FilterData", [{name: 'CDOPERADOR', operator: 'IN', value: 'OPERADOR_LOGADO'}]));

        ZHPromise.all(promises).then(function(callback){
            
            pedido = callback[0].dataset.pedido_completa[0];
           
            if(widgetPopup.currentRow.CDFILIAL == widgetPopup.currentRow.CDFILIALPED){
                
                ScreenService.showMessage('A filial de destino deve ser diferente da filial de origem do pedido.');
                widgetPopup.getField('FILIDEST').clearValue();
                widgetPopup.getField('FILIDEST').reload();
                
            }else{
                if(widgetPopup.currentRow.NRORDEMCMPPED && widgetPopup.currentRow.NRORDEMCMPPED != ""){
                    pedido.NRORDEMCMPPED = widgetPopup.currentRow.NRORDEMCMPPED;
                }
                if(widgetPopup.currentRow.FILIDEST && widgetPopup.currentRow.FILIDEST != ""){
                    pedido.FILIDEST = widgetPopup.currentRow.FILIDEST;
                }

                pedido.CDCLIENTE = widgetPopup.currentRow.CDCLIENTE;
                pedido.DTPEDIDO = widgetPopup.currentRow.DTPEDIDO;
                pedido.DTENTPED = widgetPopup.currentRow.DTENTPED;
             
                data.push({'pedido': pedido});
                data.push({'operador': callback[1].dataset.operador[0].CDOPERADOR});
    
                Ped00100_lancamentoPedido_Service.salvarDuplicPed(data).then(function(response){
                    var codigo = response.dataset.codigo.P_CDMENSERRO;

                    if(codigo == null){
                        
                        ScreenService.showMessage('Pedido Duplicado com sucesso!');
                        
                    }else if(codigo == "FILIAL_N_PARAM"){
                        
                        ScreenService.showMessage('Impossível duplicar o pedido. Não há parametrização para a Filial logada.');
                        
                    }else if(codigo == "VENDEDOR_INF"){
                        
                        ScreenService.showMessage('Impossível duplicar o pedido. Cadastre o Vendedor na tela Parâmetros de Pedidos.');
                            
                    } else if(codigo == "TIPOOPER_INF"){
                        
                        ScreenService.showMessage('Impossível duplicar o pedido. Cadastre o Tipo de Operação na tela Parâmetros de Pedidos.');
                        
                    }else if(codigo == "MOD_PAGAMENTO"){
                        ScreenService.showMessage('Impossível duplicar o pedido.Cadastre a Modalidade Padrão na tela Parâmetros de Pedidos.');
                    }else if(codigo == 'VRPREUNITPED;'){
                        ScreenService.showMessage('Impossível duplicar o pedido. Valor Unitrio do item deve ser maior que zero.');
                    }else if(codigo == 'PRECOVENC;'){
                        ScreenService.showMessage('Impossível duplicar o pedido. Preço fora de vigência.');
                    }else if(codigo == 'IDSITITEMPED;'){
                        ScreenService.showMessage('Impossível duplicar o pedido. Item sem situação cadastrada.');
                    }
                    ScreenService.closePopup();
                    ScreenService.closePopup();
                    widget.reload();
                
                });
            }

        }.bind(this));
    };

    this.checkPendencias = function (widget, route, rows, mensagem, status) {
        this.checkedRows = widget.getCheckedRows();
        this.widgetPopup = templateManager.container.getWidget("widgetPendencias");

        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": this.checkedRows[0].CDCLIENTE
            }
        ];
        var promisses = [];

        if (widget.idPend != 3) {
            promisses.push(General.callRestEngine('ped_pedidos#/crud/cliente_pendencia', 'FilterData', filter));
        }
        if (widget.idSitu != 3) {
            promisses.push(General.callRestEngine('ped_pedidos#/crud/cliente_pendenciasituacao', 'FilterData', filter));
        }

        this.widgetPopup.dataSource.data = [];
        if (widget.idPend == 2 && widget.idSitu != 1 || widget.idSitu == 2 && widget.idPend != 1) {
            this.widgetPopup.actions[1].isVisible = true;
        } else {
            this.widgetPopup.actions[1].isVisible = false;
        }

        ZHPromise.all(promisses).then(function(callback) {
            var pendencias = [];
            if(callback[0]) pendencias.push(callback[0].dataset);
            if(callback[1]) pendencias.push(callback[1].dataset);

            var nmClientesPend = [];
            var nmClientesSitu = [];
            
            // if(pendencias[0].pendencia_cliente.PENDENCIA) {
            //     ScreenService.showMessage("Este cliente possui pendência");
            // } else {
            //     ScreenService.showMessage("Este cliente não possui pendência");
            // }
            
            
            //Percorre todos os pedidos selecionados
            for(var i=0; i < this.checkedRows.length; i++) {
                //Percorre as duas requisições de Pendência Financeira (Pendência e Situação)
                for(var j=0; j < pendencias.length; j++) {
                    var currentPendencia;
                    var currentCheck;

                    if (pendencias[j].cliente_pendencia) {
                        currentPendencia = pendencias[j].cliente_pendencia;
                        currentCheck = "PEND";
                    } else if (pendencias[j].cliente_pendenciasituacao) {
                        currentPendencia = pendencias[j].cliente_pendenciasituacao;
                        currentCheck = "SITU";
                    }

                    var foundPendencia = false;
                    //Percorre todas as pendências encontradas na requisição atual
                    for(var k = 0; k < currentPendencia.length && !foundPendencia; k++) {
                        if (currentPendencia[k].CDCLIENTE == this.checkedRows[i].CDCLIENTE &&
                            this.checkedRows[i].VRTOTALPED + currentPendencia[k].VRFINALBREC >= this.limitePendencia) {
                            foundPendencia = true;
                            if (currentCheck == "PEND") {
                                nmClientesPend.push(this.checkedRows[i].NMRAZSOCCLIE);
                            }
                            if (currentCheck == "SITU") {
                                nmClientesSitu.push(this.checkedRows[i].NMRAZSOCCLIE);
                            }
                        }
                    }
                }
            }
            //Monta o popup de Pendências
            if (nmClientesPend.length >= 1 || nmClientesSitu.length >= 1) {
                ScreenService.openPopup(this.widgetPopup);
                var row;
                for(i=0; i < nmClientesPend.length; i++) {
                    row = {
                        "NMRAZSOCCLIE": nmClientesPend[i],
                        "TPPENDENCIA": "Pendência Financeira"
                    };
                    this.widgetPopup.dataSource.data.push(row);
                }
                for(i = 0; i < nmClientesSitu.length; i++) {
                    row = {
                        "NMRAZSOCCLIE": nmClientesSitu[i],
                        "TPPENDENCIA": "Data limite de Crédito vencida"
                    };
                    this.widgetPopup.dataSource.data.push(row);
                }
            } else {
                var widgetPedidos = templateManager.container.getWidget("widgetPedido");
                this.bypassPendencia = true;
                // this.changeStatus(widgetPedidos, 8);
                
                General.callRestEngine(route, "DataSet", rows).then(function(callback) {
                    ScreenService.showMessage(mensagem[status]);
                    ScreenService.closePopup();
                    widget.unSelectAll();
                    if (widget.name == 'widgetItens') {
                        templateManager.container.getWidget('widgetItens').reload();
                    }
                    templateManager.container.getWidget('widgetPedido').reload();
                    this.bypassPendencia = false;
                }.bind(this));
             }
        }.bind(this));
    };

    this.openSenha = function() {
        if (this.grupOperApro != "") {
            General.callRestEngine('ped#/crud/grupoper', 'FilterData', [{name: 'CDGRUPOPER', operator: '=', value: this.grupOperApro}]).then(function(callback) {
                var widgetSenha = templateManager.container.getWidget("widgetSenha");
                widgetSenha.currentRow.DSGRUPOPER = callback.dataset.grupoper[0].DSGRUPOPER;
                ScreenService.openPopup(widgetSenha);
            }.bind(this));
        } else {
            var widgetSenha = templateManager.container.getWidget("widgetSenha");
            widgetSenha.fields[0].isVisible = false;
            ScreenService.openPopup(widgetSenha);
        }
    };
    
     this.abrirTransmissaoNFe = function(args) {
      
        var notaFiscalPedido = args.owner.getParent().currentRow;
        
        localStorageEngine.setLocalVar('PED_CDFILIAL', General.getFieldValue('CDFILIAL', 'widgetPedido'));
        
        localStorageEngine.setLocalVar('PED_DTENTRSAID.end', notaFiscalPedido.DTENTRSAID);
        
        localStorageEngine.setLocalVar('PED_DTENTRSAID.start', notaFiscalPedido.DTENTRSAID);
        
        localStorageEngine.setLocalVar('PED_CDEMPRESA', notaFiscalPedido.CDEMPRESA);
         
        localStorageEngine.setLocalVar('PED_NRINSJURNF', notaFiscalPedido.NRINSJURNF);

        localStorageEngine.setLocalVar('PED_IDORIGDESTNF', notaFiscalPedido.IDORIGDESTNF);
        
        localStorageEngine.setLocalVar('PED_IDSTATUSNFE', notaFiscalPedido.IDSTATUSNFE);
        
        localStorageEngine.setLocalVar('PED_VRNOTAFISC', notaFiscalPedido.VRNOTAFISC);
        
        this.openWindow("df_saida#dfs49000_transmissao_nota_fiscal_eletronica");
        
      };

    this.requestModulesMetadata = function () {
        var modulesPackage = window.modulesPackage || "modules";
        return restEngine.requestMetaData(modulesPackage + "#json/modules.json").then(function (response) {
            return response.data;
        });
    };

    this.openWindow = function(windowName, newWindow) {
        this.requestModulesMetadata().then(function (modules) {
            var subModule = windowName.split('#')[0];
            var module = subModule.split('_')[0];
            var url = window.location.origin + '/' + modules[module].baseUrl + "/#/" + windowName;
            ScreenService.openLink(url, false);
        });
    };
      
    this.checkLogin = function(widget) {
        var widgetPedidos = templateManager.container.getWidget("widgetPedido");
        if(widget.currentRow.OPRLOGIN != undefined && widget.currentRow.OPRSENHA != undefined &&
           widget.currentRow.OPRLOGIN != "" && widget.currentRow.OPRSENHA != "") {
            var login = [{
                login: widget.currentRow.OPRLOGIN,
                senha: widget.currentRow.OPRSENHA,
            }];
            if(this.grupOperApro != "") login[0].grupo = this.grupOperApro;
            Ped00300_aprovacao_Service.checkLogin(login).then(function(callback){
                var result = callback.dataset.result;
                if(result.matched) {
                    if(result.isOnGroup) {
                        this.bypassPendencia = true;
                        this.changeStatusAprovacao(widgetPedidos, 8);
                        ScreenService.closePopup();
                        ScreenService.closePopup();
                    } else {
                        ScreenService.showMessage("Este operador não tem autorização para aprovar pedidos com pendência.");
                    }
                } else {
                    ScreenService.showMessage("Usuário e senha inválidos.");
                }
            }.bind(this));
        } else {
            ScreenService.showMessage("É necessário preencher todos os campos.");
        }
    };

    this.openWindowAprovacao = function(widget) {
        ScreenService.openWindow('ped_pedidos#ped00300_aprovacao').then(function(){
            templateManager.containers["ped_pedidos#ped00300_aprovacao"].getWidget('widgetPedido').reload().then(function() {
                var widgetAprovacao = templateManager.containers["ped_pedidos#ped00300_aprovacao"].getWidget('widgetPedido');

                var filterPed = templateManager.containers['ped_pedidos#ped00100_lancamento_pedido'].getWidget('widgetPedido').appliedFilter;
                var promisses = [];

                promisses.push(ZhFilterPreferences.applyFilter(widgetAprovacao, filterPed));
                promisses.push(ScreenService.closePopup());
                ZHPromise.all(promisses).then(function() {
                    var widgetAprovacao = templateManager.containers["ped_pedidos#ped00300_aprovacao"].getWidget('widgetPedido');
                    if (this.checkedRows.length == 1) {
                        widgetAprovacao.actions[1].isVisible = true;
                    } else {
                        widgetAprovacao.actions[1].isVisible = false;
                    }
                    widgetAprovacao.appliedFilter = filterPed;
                    Ped00100_lancamentoPedido_Controller.checkedRows = this.checkedRows;
                    widgetAprovacao.actions[2].isVisible = true;
                
                }.bind(this));
            }.bind(this));
        }.bind(this));
    };
    
    this.excluirStatus = function (widget, index, called_by) {
        var rows = widget.getCheckedRows();
        var route;
        var mensagem;
        if (widget.name == 'widgetPedido') {
            route = "ped_pedidos#/removeCurrentStatusPed";
            if (rows.length > 1){
                mensagem = {
                    "1": "Confimação dos Pedidos excluída com sucesso.",
                    "2": "Aprovação dos Pedidos excluída com sucesso.",
                    "3": "Liquidação Manuais dos Pedidos excluída com sucesso.",
                    "4": "Cancelamento dos Pedidos excluído com sucesso."
                };
            } else {
                mensagem = {
                    "1": "Confimação do Pedido excluída com sucesso.",
                    "2": "Aprovação do Pedido excluída com sucesso.",
                    "3": "Liquidação Manual do Pedido excluída com sucesso.",
                    "4": "Cancelamento do Pedido excluído com sucesso."
                };
            }
        } else {
            route = "ped_pedidos#/removeCurrentStatus";
            if(rows.length > 1){
                mensagem = {
                    "1": "Confimação dos Itens excluída com sucesso.",
                    "2": "Aprovação dos Itens excluída com sucesso.",
                    "3": "Liquidação Manuais dos Itens excluída com sucesso.",
                    "4": "Cancelamento dos Itens excluído com sucesso."
                };
            } else {
                mensagem = {
                    "1": "Confimação do Item excluída com sucesso.",
                    "2": "Aprovação do Item excluída com sucesso.",
                    "3": "Liquidação Manual do Item excluída com sucesso.",
                    "4": "Cancelamento do Item excluído com sucesso."
                };
            }
        }
        rows.forEach(function(row){
            row.DTHORA = moment().format('DD/MM/YYYY HH:mm:ss');
            row.CALLED_BY = called_by;
        });
        General.callRestEngine(route, "DataSet", rows).then(function(callback) {
            ScreenService.showMessage(mensagem[index]);
            ScreenService.closePopup();
            widget.unSelectAll();
            this.enableDupPed();
            if (widget.name == 'widgetItens') {
                templateManager.container.getWidget('widgetItens').reload().then(function(){
                    this.verificaStatus(templateManager.container.getWidget('widgetPedido'));
                    this.verificaStatusEncargo(templateManager.container.getWidget('widgetEncargo'));
                }.bind(this));
            }
            this.getPedidos();
        }.bind(this))
        .catch(function(error){
            var erroAtualizar_msg = ScreenService.i18n("Erro ao atualizar.");
            ScreenService.showMessage(erroAtualizar_msg + ' \n ' + error.data.error);
            ScreenService.closePopup();
            widget.unSelectAll();
        });
        
    }; 

    this.getPedidos = function () {
        
        templateManager.container.getWidget('widgetPedido').reload();
        // var filter = Util.clone(templateManager.container.getWidget('widgetPedido').filterApplied, ['__proto__']);
        /*General.callRestEngine('ped_pedidos#/crud/pedido_completa', 'FilterData', filter).then(function(callback) {
            templateManager.container.getWidget('widgetPedido').dataSource.data = callback.dataset.pedido_completa;
        });*/
    };

    this.fixWidget = function (widget) {
        widget.isVisible = false;
        widget.reload().then(function(){
            widget.isVisible = true;
            widget.reload().then(function(){
                this.saveActionControl(widget);
                if (widget.getParent().currentRow.__is_new) {
                    Ped00100_lancamentoPedido_Service.getData("ped#/crud/prazopgtoped").then(function(callback){
                        widget.dataSource.data = callback;
                    }.bind(this));
                }
            }.bind(this));
        }.bind(this));
    }; 

    this.saveActionControl = function (widget) {
        var action = widget.getAction('save');
        if (action) {
            widget.getAction('save').isVisible = false;
        }
    }; 

    this.controlVisibilityImport = function(){
        var widget = templateManager.container.getWidget('widgetPedido');
        var action = widget.getAction('importarPedido');
        
        action.isVisible = action.isVisible == false ? true : false;
    };
    /*this.editModalidade = function (widget) {
        widget.getField('DSMODPGTO').readOnly = false;
        General.edit(widget);
    };*/ 

    this.setInlineEditable = function (widget) {
        // passar os fields da widget prazo para inline editable
        var lastAction = widget.lastAction;
        widget.fields.forEach(function(field){
            if (field.name !== 'NRDIASPGTOPED' && field.name !== 'PREVISAO' && lastAction == 'editarPrazo') {
                field.inlineEditable = "number";
            } else if (lastAction == 'novoPrazo' && field.name !== 'PREVISAO'){
                field.inlineEditable = "number";
            }
        });
        widget.inlineEdit();
    }; 

    this.removeInlineEditable = function (widget) {
        widget.fields.forEach(function(field){
            delete field.inlineEditable;
        });
    }; 

    this.fixPrazoInlineEdit = function (widget) {
        // var widget = field.widget;
        if (widget.currentRow.__is_new) {
            var dataPed = widget.getParent().getField("DTPEDIDO").value();
            if (dataPed) {
                dataPed = moment(dataPed, 'DD/MM/YYYY').format();
            } else {
                dataPed = moment().format('DD/MM/YYYY');
            }
            dataPed = moment(dataPed).format('DD/MM/YYYY');
            var diasPg = widget.currentRow.NRDIASPGTOPED_inline;
            widget.getField("PREVISAO").setValue(this.calcPreview(dataPed, diasPg));
            var dtPrevisao = widget.currentRow.PREVISAO;
            widget.getField("NRDIASPGTOPED").setValue((this.calcPrazo(dataPed, dtPrevisao)));
        } else {
            ScreenService.showMessage('Impossível alterar prazo em dias de uma parcela já lançado.');
        }
    }; 

    this.checkImpostoVisibility = function(widget) {
        var pedidosWidget = widget.getParent();
        if (pedidosWidget.currentRow.__is_new) {
            templateManager.container.getWidget('widgetImposto').isVisible = false;
        } else {
            templateManager.container.getWidget('widgetImposto').isVisible = true;
        }
    }; 

    this.salvarInlineEdit = function (widget) { 
        var pedidosWidget = widget.getParent();
        
        var i = 0;
        var percnt = 0;
        var wrongRows = [];
        var invalidPrazo = true;
        var aux;
        var vrPrazos = 0;
        var vrTotal;
        if (pedidosWidget.currentRow.__is_new) {
            vrTotal = pedidosWidget.getField('VRTOTPEDLIQ').value();
        } else {
            vrTotal = pedidosWidget.getField('VRTOTALPED').value();
        }
        widget.dataSource.data.forEach(function(row){
            row.NRPEDIDO = pedidosWidget.currentRow.NRPEDIDO;
            percnt += parseFloat(row.VRPERCPGTOPED);
            percnt = parseFloat(percnt.toFixed(2));
            wrongRows[i] = row.VRPERCPGTOPED > 0 ? true : false;
            aux =  widget.dataSource.data.filter(function(key){return key.NRDIASPGTOPED == row.NRDIASPGTOPED;});
            if (aux.length > 1) {
                invalidPrazo = false;
            }
            widget.dataSource.data[i].VRPARCELA = parseFloat(widget.dataSource.data[i].VRPARCELA.toFixed(2));
            if (i+1 < widget.dataSource.data.length) {
                vrPrazos += widget.dataSource.data[i].VRPARCELA;
            }
            i++;
        });
        var idx = widget.dataSource.data.length - 1;//esse idx represanta a ultima parcela, em que é feito um ajuste para que nao fique maior que o valor do pedido
        widget.dataSource.data[idx].VRPARCELA =  (parseFloat(parseFloat(vrTotal).toFixed(2)) - parseFloat(parseFloat(vrPrazos).toFixed(2)));
        widget.dataSource.data[idx].VRPARCELA = parseFloat(widget.dataSource.data[idx].VRPARCELA.toFixed(2));
        wrongRows = wrongRows.filter(function(key){return key === false;});
        
        if (pedidosWidget.currentRow.__is_new && percnt == 100 && wrongRows[0] !== false && invalidPrazo) {
            this.removeInlineEditable(widget);
            var matches = [];
            for (i = 0; i < widget.dataSource.data.length; i++) {
                for (var key in widget.dataSource.data[i]) {
                    if (key.includes('changed_') || key.includes('_inline')) {
                        matches.push(key);
                    }
                }
                for (var e = 0; e < matches.length; e++) {
                    delete widget.dataSource.data[i][matches[i]];
                }
                matches = [];
            }
            widget.getAction('excluirPrazo').isVisible = false;

            Ped00100_lancamentoPedido_Service.saveData("ped#/crud/prazopgtoped", widget.dataSource.data);//.then(function() {
            widget.list();
            widget.activate();
            templateManager.updateTemplate();
            // widget.reload();
        } else if (!(pedidosWidget.currentRow.__is_new) && percnt == 100 && wrongRows[0] !== false && invalidPrazo) {
            this.removeInlineEditable(widget);
            widget.getAction('excluirPrazo').isVisible = false;
            var data = widget.dataSource.data.map(function(row){ return Util.clone(row, ['__leftActions', '__rightActions']);});
            var prazos = widget.backup;
            
            Ped00100_lancamentoPedido_Service.deletePrazo(prazos).then(function(){
                
                if(!widget.getParent().currentRow.__is_new) {
                    for(i=0; i<data.length; i++) {
                        data[i].__is_new = true;
                    }
                }
                
                var filter = [{
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": pedidosWidget.currentRow.CDFILIAL
                }];
                
                General.callRestEngine('ped#/crud/filial', 'FilterData', filter).then(function(callback) {
                    
                    pedidosWidget.currentRow.CDEMPRESA = callback.dataset.filial[0].CDEMPRESA;
                    pedidosWidget.currentRow.CDINSCESTA = callback.dataset.filial[0].CDINSCESTA;
                    var promises = [];
                    promises.push(General.callRestEngine("ped_pedidos#/prazopgtoped/updatePrazo", "DataSet", data));
                    promises.push(this.getItem(templateManager.container.getWidget('widgetItens')));
                    if (this.vendPedAux) {
                        promises.push(this.tiraVendedoresCache());
                    }
                    ZHPromise.all(promises).then(function (callback) {
                        var vendedores = callback[2] ? callback[2] : { CDVENDEDOR: templateManager.container.getWidget('widgetPedido').currentRow.CDVENDEDOR };
                        widget.activate();
                        widget.list();
                        widget.reload();
                        if (!(pedidosWidget.currentRow.__is_new)) {
                            widget.getParent().getField('DSMODPGTO').readOnly = true;
                        }
                        this.fixWidget(widget);
                        var prazos = widget.container.getWidget('widgetPrazoPed').dataSource.data.map(function(row) {
                            return Util.clone(row, ['__leftActions', '__rightActions']);
                        });
                        
                        widget.container.getWidget('widgetPedido').currentRow.CALLED_BY = 'UPDATE_PED';
                        var encargos = widget.container.getWidget('widgetEncargo').dataSource.data.filter( function(value){ return value.VRENCARGOPED != "0"; });
                        var itens = widget.container.getWidget('widgetItens').dataSource.data;
                        // itens = itens.forEach(function(row){row.changePrazo = false;});
                        // for (var i = 0; i < itens.length; i++) {
                            // itens[i].changePrazo = false;
                        // }
                        var savePedido = [itens, prazos, [widget.container.getWidget('widgetPedido').currentRow], encargos, [vendedores]];
                        
                        Ped00100_lancamentoPedido_Service.updateOrder(savePedido).then(function(){
                            widget.currentRow.__is_new = false;
                            widget.container.getWidget('widgetPedido').reload();
                        })
                        .catch(function(error){
                            var msg_erroAtualizar = ScreenService.i18n("Erro ao atualizar.");
                            ScreenService.showMessage(msg_erroAtualizar +' \n ' + error.data.error);
                            widget.unSelectAll();
                        });
                    }.bind(this)).catch(function(error){
                        ScreenService.showMessage('Erro ao atualizar o pedido' + error);
                        widget.getAction('excluirPrazo').isVisible = false;
                        if (!(pedidosWidget.currentRow.__is_new)) {
                            widget.getParent().getField('DSMODPGTO').readOnly = true;
                        }
                        widget.list();
                        this.fixWidget(widget);
                    }.bind(this));
                }.bind(this));
            }.bind(this));
            
        } else if (!invalidPrazo) {
            ScreenService.showMessage('O prazo, em dias, das parcelas não podem ser iguais.');
        } else if (wrongRows[0] !== false || percnt > 100 || percnt < 100 && invalidPrazo){
            ScreenService.showMessage('O valor total dos prazos difere do valor total do pedido.');
        } else {
            ScreenService.showMessage('Existe uma parcela do vencimento do pedido menor ou igual a zero.');
        }
    }; 

    this.cancelarInlineEdit = function (widget) {
        
        templateManager.updateTemplate();
        var widgetPrazo = templateManager.container.getWidget('widgetPrazoPed');
        /*var idx;
        widget.widgets[0].dataSource.data.forEach(function(row){
            if (row.__is_new) {
                idx = widget.widgets[0].dataSource.data.indexOf(row);
            }
        });
        if (widget.widgets[0].lastAction == 'novoPrazo') {
            widget.widgets[0].dataSource.data.splice(idx, 1);
        } else*/ 
        
        widgetPrazo.getAction('excluirPrazo').isVisible = false;
        this.fixWidget(widgetPrazo);
        if (widgetPrazo.lastAction == 'editarModalidade') {
            if (widget.currentRow.__is_new) {
                Ped00100_lancamentoPedido_Service.getData("ped#/crud/prazopgtoped").then(function(callback){
                    widgetPrazo.dataSource.data = callback;
                });
            }
        }
        templateManager.updateTemplate();
        this.removeInlineEditable(widgetPrazo);
        templateManager.updateTemplate();
        /*if (!(widget.getParent().currentRow.__is_new)) {
            widget.getField('DSMODPGTO').readOnly = true;
        }*/
        widgetPrazo.dataSource.data = widgetPrazo.backup;
        // widget.fields[0].setValue(widget.backup);
        widgetPrazo.list();
        widgetPrazo.activate();
        // widgetPrazo.currentRow.CDMODPGTO = widgetPrazo.getParent().currentRow.CDMODPGTO; 
        // widgetPrazo.currentRow.DSMODPGTO = widgetPrazo.getParent().currentRow.DSMODPGTO;
        templateManager.updateTemplate();
    }; 

    this.setPrevisao = function (widget) {
        if (!(widget.getParent().currentRow.__is_new)) {
            for (var i = 0; i < widget.dataSource.data.length; i++) {
                var nrDiasPg = widget.dataSource.data[i].NRDIASPGTOPED;
                var dtPedido =  widget.getParent().currentRow.DTPEDIDO;
                widget.dataSource.data[i].PREVISAO = moment(dtPedido, 'DD/MM/YYYY').add(nrDiasPg, 'days').format('DD/MM/YYYY');
            }
            General.callRestEngine('ped#/crud/filial', 'FilterData', [{name: 'CDFILIAL', operator: '=', value: 'FILIAL_LOGADA'}]).then(function(response) {
                var filial = response.dataset.filial[0].CDFILIAL;
                this.filialLogada = filial;
                
                if(widget.name == 'widgetPrazoPed' && filial){
                    var filter = [{
                        "name": "CDFILIAL",
                        "operator": "=",
                        "value": filial
                    }];
                    Ped00100_lancamentoPedido_Service.findParameters(filter).then(function(callback){
                        
                        if (callback.dataset.parampedido[0].IDALTFORMAPAG === 'S' && widget.getParent().currentRow.IDSITPEDIDO != 3 && widget.getParent().currentRow.IDSITPEDIDO != 4){
                            // widget.getAction('editarModalidade').isVisible = true;
                            widget.getAction('editarPrazo').isVisible = true;
                            widget.getAction('novoPrazo').isVisible = true;
                        } else {
                            widget.getAction('editarPrazo').isVisible = false;
                            widget.getAction('novoPrazo').isVisible = false;
                        }
                    }.bind(this));
                }
            }.bind(this));
        }
    };
    
    this.checaDeleteVendedor = function(widget) {
        var pedido = widget.container.getWidget('widgetPedido');
        return [
            {
                label: ScreenService.i18n("Sim"),
                code: function(){
                    General.callRestEngine("ped_pedidos#/delete_vendpedaux", "DataSet", [pedido.currentRow])
                    .then(function(sucess){
                         if (sucess.dataset.deleteAll_vendpedaux == 'done') {
                            
                            ScreenService.showMessage('Vendedores adicionais removidos');
                            this.deletaCacheVendedores();
                            widget.vendPedAuxRegistrado = false;
                            widget.vendInCache = false;
                        }
                    }.bind(this))
                    .catch(function(fail){
                        ScreenService.showMessage(fail);
                         
                    }.bind(this));
                }.bind(this)
            },{
                label: ScreenService.i18n("Não"),
                code: function(){
                    
                    widget.dataSource.addCheckedRows(widget.dataSource.checkedRows);
                    templateManager.updateTemplate();
                }.bind(this)
            }
        ];
    };
    
    this.checaDeleteVendedores = function(widget) {
        
        if (!this.PedidoEhNovo() && widget.vendPedAuxRegistrado && !widget.fechaPopUp && !widget.sincroniza) {
            var vendedoresDesselecionados_msg = ScreenService.i18n("Foi desselecionado todos os vendedores registrados, Deseja excluir do banco?");
            ScreenService.showCustomDialog(vendedoresDesselecionados_msg, 'question', 'question', this.checaDeleteVendedor(widget));
        }
        if (widget.fechaPopUp) {
            widget.fechaPopUp = false;
        }
        if (widget.sincroniza) {
            widget.sincroniza = false;
        }
    };
    
    this.checaDeleteUltVendedor = function(widget) {
        
        var quant = widget.dataSource.checkedRows.length;
        if (!this.PedidoEhNovo() && quant == 1 && widget.vendPedAuxRegistrado && !widget.fechaPopUp && !widget.sincroniza) {
            var desselecionadoUltimoVendedor_msg = ScreenService.i18n("Foi desselecionado o último vendedor regitrado, Deseja excluir do banco?");
            ScreenService.showCustomDialog(desselecionadoUltimoVendedor_msg, 'question', 'question', this.checaDeleteVendedor(widget));
        }
        if (widget.fechaPopUp) {
            widget.fechaPopUp = false;
        }
        if (widget.sincroniza) {
            widget.sincroniza = false;
        }
        
    };
    
    this.btnVendedoresAdicionais = function(widget, param) {
        
        if (param.IDEXIBVENDCOM == 'S') {
            widget.getField('VENDPEDAUX').readOnly = false;
        } else {
            widget.getField('VENDPEDAUX').readOnly = true;
        }
    };

    this.addPedido = function (widget) {
        var validFiltro = this.testFiltro(widget);
        var filial;
        if (validFiltro) {
            templateManager.updateTemplate();
            widget.newRow();
            // widget.widgets[3].widgets[0].fields[0].readOnly = false;
            // widget.widgets[3].widgets[0].fields[0].clearValue();
            // widget.widgets[3].widgets[0].fields[1].clearValue();
            // widget.widgets[3].widgets[0].dataSource.data = [];
            // widget.widgets[3].widgets[0].reload();
            
            for (var i = 0; i < widget.dataSourceFilter.length; i++) {
                if (widget.dataSourceFilter[i].name == 'CDFILIAL'){
                    filial = widget.dataSourceFilter[i].value;
                }
            }
            var filter = [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": filial
                }
            ];
            /* for (var i = 0; i < widget.widgets.length; i++) {
                widget.widgets[i].floatingControl.visibleModes = [];
            }*/
            //widget.container.getWidget('widgetItens').floatingControl.reload =false;
            Ped00100_lancamentoPedido_Service.getNewCode(filial).then(function(callback){
                widget.currentRow.NRPEDIDO = callback.dataset.data[0].NOVOCODIGO;
                widget.currentRow.CDFILIAL = filial;
                
                widget.currentRow.__is_new = true;
                widget.currentRow.DTPEDIDO = moment().format('DD/MM/YYYY');
                widget.getField('DTVALIPED').minDate = widget.getField('DTPEDIDO').value();
                widget.getField('DTENTPED').minDate  = widget.getField('DTPEDIDO').value();
                
                var promises = [];
                promises.push(Ped00100_lancamentoPedido_Service.findParameters(filter));         
                promises.push(General.callRestEngine("ped_pedidos#/getDataEntrega", "Row", widget.currentRow));

                ZHPromise.all(promises).then(function(callback){
    
                    widget.getField('DTENTPED').setValue(callback[1].dataset.data[0].DTENTREGA);
                    
                    this.parametros = callback[0].dataset.parampedido[0];
                    this.setClientePadrao(this.parametros);
                    

                    /*
                        var prazoEntrega = callback[0].dataset.parampedido[0] ? callback[0].dataset.parampedido[0].NRDIASENTPED : null;
                        if (prazoEntrega === null) {
                            prazoEntrega = 5;
                        }
                        var dtEntPed = widget.getField('DTPEDIDO').value();
                        dtEntPed = moment(dtEntPed, 'DD/MM/YYYY').add(prazoEntrega,'days').format('DD/MM/YYYY');
                        
                        for (var i = 0; i < prazoEntrega; i++) {
                            dtEntPed = moment(dtEntPed, 'DD/MM/YYYY').add(1,'days');
                            
                            if(dtEntPed.format('dddd') == 'Sábado'){
                                dtEntPed = moment(dtEntPed, 'DD/MM/YYYY').add(2,'days');
                            } else if(dtEntPed.format('dddd') == 'Domingo'){
                                dtEntPed = moment(dtEntPed, 'DD/MM/YYYY').add(1,'days');
                            }
                        }
                    */
                    
                    widget.currentRow.CDMODPGTO = this.parametros.CDMODPGTO;
                    widget.currentRow.DSMODPGTO = this.parametros.DSMODPGTO;
                    
                    if(callback[0].dataset.parampedido[0].IDUTVALIPED == 'S'){
                    	widget.getField('DTVALIPED').readOnly = false;
                    	if (callback[0].dataset.parampedido[0].QTDIAVALIPED > 0) {
                    		widget.currentRow.DTVALIPED = moment(widget.getField('DTPEDIDO').value(), 'DD/MM/YYYY').add(callback[0].dataset.parampedido[0].QTDIAVALIPED,'days').format('DD/MM/YYYY');
                    	} 
                    }else{
                    	widget.getField('DTVALIPED').readOnly = true;
                    }  
                    
                    this.setTipoOperClie(this.parametros);
                    /*General.callRestEngine('ped#/crud/cliente_parametrizacoes', 'FilterData', [{name: 'CDCLIENTE', operator: '=', value: this.parametros.CDCLIENTE}]).then(function(tipoopercclie){
                        var tipooper;
                        if(tipoopercclie.dataset.cliente_parametrizacoes[0].CDTIPOOPERPED && tipoopercclie.dataset.cliente_parametrizacoes[0].CDTIPOOPERPED != null ){
                            
                            tipooper = widget.getField('NMTIPOOPER').dataSource.data.filter(function(row){ return row.CDTIPOOPER == tipoopercclie.dataset.cliente_parametrizacoes[0].CDTIPOOPERPED;});
                            widget.getField('NMTIPOOPER').readOnly = true;
                            
                        }else if (callback[0].dataset.parampedido[0].CDTIPOOPER > 0  || callback[0].dataset.parampedido[0].CDTIPOOPER == 0) {
                            
                            tipooper = widget.getField('NMTIPOOPER').dataSource.data.filter(function(row){ return row.CDTIPOOPER == callback[0].dataset.parampedido[0].CDTIPOOPER;});
                            widget.getField('NMTIPOOPER').readOnly = false;

                        }
                        widget.currentRow.CDTIPOOPER = tipooper[0].CDTIPOOPER;
                        widget.currentRow.NMTIPOOPER = tipooper[0].NMTIPOOPER;
                        widget.currentRow.IDORIGDESTOP = tipooper[0].IDORIGDESTOP;
                        widget.currentRow.IDOPERDEVONF = tipooper[0].IDOPERDEVONF;
                        widget.currentRow.IDSERIEAUTO = tipooper[0].IDSERIEAUTO;
                        widget.currentRow.IDUTILVENC = tipooper[0].IDUTILVENC;
                        widget.currentRow.IDENTRSAIDOP = tipooper[0].IDENTRSAIDOP;
                        widget.currentRow.DSOPERNFORIG = tipooper[0].DSOPERNFORIG;
                        widget.currentRow.CDMODDOCFISC = tipooper[0].CDMODDOCFISC;
                        widget.currentRow.DSMODDOCFISC = tipooper[0].DSMODDOCFISC;
                        widget.currentRow.IDATUESTTPOP = tipooper[0].IDATUESTTPOP;
                        
                        var row = {
                        	IDORIGDESTOP: widget.currentRow.IDORIGDESTOP
                        };
                        this.verificaTipoOper(row);
                    }.bind(this));*/
                                        
                    
                    
                    widget.getField('CDVENDEDOR').setValue(widget.appliedFilter.FILTER_ROW.CDVENDEDOR);
                    widget.getField('NMFANVEN').setValue(widget.appliedFilter.FILTER_ROW.NMFANVEN);
                    
                    
                    widget.container.getWidget('widgetDadosAdicionais').getAction('fecharPedidoDadosAdic').isVisible = true;
                    widget.container.getWidget('transportadora').getAction('fecharPedidoTransportadora').isVisible = true;
                    
                    widget.container.getWidget('widgetItens').getAction('fecharPedidoItem').isVisible = true;
                    widget.container.getWidget('widgetPrazoPed').getAction('fecharPedidoPrazo').isVisible = true;
                    //Alteracoes para nao editar o prazo
                    widget.container.getWidget('widgetPrazoPed').getAction('novoPrazo').isVisible = true;
                    widget.container.getWidget('widgetPrazoPed').getAction('editarPrazo').isVisible = true;
                    // widget.container.getWidget('widgetPrazoPed').getAction('excluirPrazo').isVisible = true;
                    
                    if (callback[0].dataset.parampedido[0]) {
                        widget.container.getWidget('widgetPrazoPed').getAction('novoPrazo').isVisible = false;
                        // widget.container.getWidget('widgetPrazoPed').getAction('editarModalidade').isVisible = false;
                        widget.container.getWidget('widgetPrazoPed').getAction('editarPrazo').isVisible = false;
                        if (callback[0].dataset.parampedido[0].IDALTMODPAG === 'S') {
                            widget.container.getWidget('widgetPedido').getField('DSMODPGTO').readOnly = false;
                            // widget.container.getWidget('widgetPrazoPed').getAction('editarModalidade').isVisible = true;
                            // widget.container.getWidget('widgetPrazoPed').getAction('editarPrazo').isVisible = false;
                        } 
                        if (callback[0].dataset.parampedido[0].IDALTFORMAPAG == 'S'){
                            widget.container.getWidget('widgetPrazoPed').getAction('novoPrazo').isVisible = true;
                            widget.container.getWidget('widgetPrazoPed').getAction('editarPrazo').isVisible = true;
                        }
                        
                        // RAISETRANSP tratar entrada da widget aqui
                        // widget.container.getWidget('transportadora').mode = 'edit';
                        // General.edit(widget.container.getWidget('transportadora'));
                        // widget.container.getWidget('transportadora').template = "widget/form.html";
                        widget.container.getWidget('transportadora').getAction('ATUALIZA_ENDERECO').isVisible = false;
                        
                        widget.container.getWidget('transportadora').getField('NMROTATRANS').readOnly = false;
                        widget.container.getWidget('transportadora').getField('NMRAZSOCTRAN').readOnly = false;
                        widget.container.getWidget('transportadora').getField('NMTIPTRANS').readOnly = false;
                        widget.container.getWidget('transportadora').getField('IDPGFRETTRAN').readOnly = false;
                        
                        widget.container.getWidget('transportadora').getField('DSENDECLIE').readOnly = false;
                        
                        widget.container.getWidget('transportadora').reload();
                        
                    }
                    
                    templateManager.updateTemplate();
                }.bind(this));
            }.bind(this));
        } else {
            ScreenService.showMessage('É necessário utilizar o filtro nesta tela.');
        }
    };

    this.setClientePadrao = function (parametros) {
        if (parametros.CDCLIENTE){
            var widget = templateManager.container.getActiveWidget();
            
            var filterPopup = widget.appliedFilter.FILTER_ROW;
            
            var filter = [];
            
            if(parametros.IDEXIBPEDIDO == '2' && parametros.IDUTRELACVENDCLI == 'S'){
                filter = [
                    {
                        "name": "CDCLIENTE",
                        "operator": "=",
                        "value": parametros.CDCLIENTE
                    },
                    {
                        "name": "CDVENDEDOR",
                        "operator": "=",
                        "value": filterPopup.CDVENDEDOR
                    }
                ];
            }else{
                filter = [
                    {
                        "name": "CDCLIENTE",
                        "operator": "=",
                        "value": parametros.CDCLIENTE
                    }
                ];
            }
            
            General.callRestEngine("ped#/crud/cliente_vendedor", "FilterData", filter).then(function(sucess){
                if(sucess.dataset.cliente_vendedor.length > 0){
                    widget.currentRow.CDVENDEDOR     = sucess.dataset.cliente_vendedor[0].CDVENDEDOR;
                    widget.currentRow.NMFANVEN       = sucess.dataset.cliente_vendedor[0].NMFANVEN;
                    widget.currentRow.CDCLIENTE      = sucess.dataset.cliente_vendedor[0].CDCLIENTE;
                    widget.currentRow.NRINSJURCLIE   = sucess.dataset.cliente_vendedor[0].NRINSJURCLIE;
                    widget.currentRow.NMRAZSOCCLIE   = sucess.dataset.cliente_vendedor[0].NMRAZSOCCLIE;
                    widget.currentRow.IDTPIJURCLIE   = sucess.dataset.cliente_vendedor[0].IDTPIJURCLIE;
                    widget.currentRow.CDMODPGTO      = sucess.dataset.cliente_vendedor[0].CDMODPGTO;
                    widget.currentRow.DSMODPGTO      = sucess.dataset.cliente_vendedor[0].DSMODPGTO;
                    widget.currentRow.NMFANTCLIE     = sucess.dataset.cliente_vendedor[0].NMFANTCLIE;
                    widget.currentRow.IDDIAVISITA    = sucess.dataset.cliente_vendedor[0].IDDIAVISITA;
                    widget.currentRow.DSEMAILCLIE    = sucess.dataset.cliente_vendedor[0].DSEMAILCLIE;
                    widget.currentRow.SGESTADO       = sucess.dataset.cliente_vendedor[0].SGESTADO;
                    widget.currentRow.CDPAIS         = sucess.dataset.cliente_vendedor[0].CDPAIS;
                    widget.currentRow.PENDENCIA      = sucess.dataset.cliente_vendedor[0].PENDENCIA;
                    widget.currentRow.DTATUAVENREC   = sucess.dataset.cliente_vendedor[0].DTATUAVENREC;
                    widget.currentRow.NRDIAPENDFIN   = sucess.dataset.cliente_vendedor[0].NRDIAPENDFIN;
                    widget.currentRow.IDTPFORPGTOMOD = sucess.dataset.cliente_vendedor[0].IDTPFORPGTOMOD;
                    widget.currentRow.NRDIAPGFIXMOD  = sucess.dataset.cliente_vendedor[0].NRDIAPGFIXMOD;
                    widget.currentRow.NRPARCPGTOMOD  = sucess.dataset.cliente_vendedor[0].NRPARCPGTOMOD;
                    widget.currentRow.IDUTDIAPAGMOD  = sucess.dataset.cliente_vendedor[0].IDUTDIAPAGMOD;
                    widget.currentRow.CDFORMPGTO     = sucess.dataset.cliente_vendedor[0].CDFORMPGTO;
                    widget.currentRow.VRPEMAXDESCL   = sucess.dataset.cliente_vendedor[0].VRPEMAXDESCL;
                    widget.currentRow.VRPEMAXDESVE   = sucess.dataset.cliente_vendedor[0].VRPEMAXDESVE;                
                    this.setParams(widget);
                }
                // else{
                //     ScreenService.showMessage('O cliente padrão não compõe a cartela de clientes do vendedor');
                // }
            }.bind(this));
        }
    };
    
    this.setPrebaseFilter = function (widget) {
        widget.container.getWidget('widgetItens').getField('NMPRODUTO').dataSourceFilter = [
            {
                "name": "CDPRECOBASE",
                "operator": "=",
                "value": widget.currentRow.CDPRECOBASE
            },
            {
                "name": "CDCLIENTE",
                "operator": "=",
                "value": widget.currentRow.CDCLIENTE
            }, {
                "name": "CDFILIAL",
                "operator": "=",
                "value": widget.currentRow.CDFILIAL
            }, {
                "name": "DTPEDIDO",
                "operator": "=",
                "value": widget.currentRow.DTPEDIDO
            }
        ];
    }; 

    this.goBack = function (widget, args) {

        General.backOrCancel(args);
    }; 

    this.dataPop = function(widget) {
        widget = widget.container.getWidget('widgetPedido');
        // a ideia e remover o registro nao salvo da tela ao cancelar o lançamento do pedido em uma widget que nao seja a de pedidos.
        if (widget.currentRow.__is_new || widget.currentRow.__is_new !== false  && widget.currentRow.__is_new !== true) {
            widget.dataSource.data.pop();
        }
        widget.container.getWidget('widgetPedido').reload();
    }; 

    this.verifyModPgto = function (widget) {
        var widgetPedido = widget.container.getWidget('widgetPedido');
        // var wdgtParentModpgtoPed = wdgtModpgtoPed.getParent();
        var filter = [];
        if (widget.name == 'widgetPedido' && widget.currentRow.__is_new) {
            
            if (this.parametros.CDMODPGTO) {
                
                widget.currentRow.CDMODPGTO = this.parametros.CDMODPGTO;
                // wdgtModpgtoPed.currentRow.CDMODPGTO = widget.currentRow.CDMODPGTO;
                filter = [
                    {
                        "name": "CDMODPGTO",
                        "operator": "=",
                        "value": this.parametros.CDMODPGTO
                    }
                ];
                General.callRestEngine('ped#/crud/modpgto', 'FilterData', filter).then(function(callback) {
                    
                    widgetPedido.currentRow.CDMODPGTO      = callback.dataset.modpgto[0].CDMODPGTO;
                    widgetPedido.currentRow.DSMODPGTO      = callback.dataset.modpgto[0].DSMODPGTO;
                    widgetPedido.currentRow.CDFORMPGTO     = callback.dataset.modpgto[0].CDFORMPGTO;
                    widgetPedido.currentRow.IDTPFORPGTPED = callback.dataset.modpgto[0].IDTPFORPGTOMOD;
                   
                    widgetPedido.currentRow.IDUTDIAPAGMOD = callback.dataset.modpgto[0].IDUTDIAPAGMOD;
                    widgetPedido.currentRow.NRDIAPGFIXMOD = callback.dataset.modpgto[0].NRDIAPGFIXMOD;
                    widgetPedido.currentRow.NRPARCPGTOMOD = callback.dataset.modpgto[0].NRPARCPGTOPED;
                });
            }
        }
        if (widgetPedido.currentRow.CDMODPGTO) {
            this.buildPrazo(widget.container.getWidget('widgetPrazoPed'));
            var cdmodpgto = widgetPedido.currentRow.CDMODPGTO ? widgetPedido.currentRow.CDMODPGTO : this.parametros.CDMODPGTO;
            filter = [
                {
                    "name": "CDMODPGTO",
                    "operator": "=",
                    "value": cdmodpgto
                }
            ];
            General.callRestEngine('ped#/crud/modpgto', 'FilterData', filter).then(function(callback) {
                if(widgetPedido.currentRow.__is_new){
                    widgetPedido.currentRow.CDMODPGTO     = callback.dataset.modpgto[0].CDMODPGTO;
                    widgetPedido.currentRow.DSMODPGTO     = callback.dataset.modpgto[0].DSMODPGTO;
                    widgetPedido.currentRow.CDFORMPGTO    = callback.dataset.modpgto[0].CDFORMPGTO;
                    widgetPedido.currentRow.IDTPFORPGTPED = callback.dataset.modpgto[0].IDTPFORPGTOMOD;
                   
                    widgetPedido.currentRow.IDUTDIAPAGMOD = callback.dataset.modpgto[0].IDUTDIAPAGMOD;
                    widgetPedido.currentRow.NRDIAPGFIXMOD = callback.dataset.modpgto[0].NRDIAPGFIXMOD;
                    widgetPedido.currentRow.NRPARCPGTOMOD = callback.dataset.modpgto[0].NRPARCPGTOPED;
                }
            });
            
        }

        
        if (this.parametros.CDFILIAL) {
            
            var filtro = [{
                "name": "CDFILIAL",
                "operator": "=",
                "value": this.parametros.CDFILIAL
            }];
            
            Ped00100_lancamentoPedido_Service.findParameters(filtro).then(function(callback){
                this.parametros = callback.dataset.parampedido[0];
                if (callback.dataset.parampedido[0].IDALTMODPAG === 'S'  && widget.container.getWidget('widgetPedido').currentRow.__is_new) {
                    widgetPedido.getField('DSMODPGTO').readOnly = false;
                } else if (widget.container.getWidget('widgetPedido').currentRow.__is_new) {
                    widgetPedido.getField('DSMODPGTO').readOnly = true;
                }
            }.bind(this));
        }
        // widget.getParent().childTemplate = "widget/form.html";
        templateManager.updateTemplate();
    }; 

    this.atualizaParampreco = function (){
        var widgetPed = templateManager.container.getWidget('widgetPedido');
        var widgetItens = templateManager.container.getWidget('widgetItens');
        // var widgetModpgto = templateManager.container.getWidget('widgetModpgtoPed');
        var widgetPrazo = templateManager.container.getWidget('widgetPrazoPed');
        var data = widgetPed.getField('NMFILIAL').dataSource.data.filter(function(data){ return data.CDFILIAL == widgetPed.appliedFilter.FILTER_ROW.CDFILIAL;});
        var filter = [
            {
                "name": "P_CDEMPRESA",
                "operator": "=",
                "value":  data[0].CDEMPRESA
            },
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": widgetPed.currentRow.CDFILIAL
            }
        ];
        if (widgetPed.currentRow.CDPRECOBASE && widgetPed.currentRow.CDMODPGTO) {
            ScreenService.showMessage('Ao alterar esta informação o valor dos itens pode mudar devido a parametrização de preços.');
            General.callRestEngine('ped#/crud/precouti_filial', "FilterData", filter).then(function(success) {
                var vrTotal = 0;
                var vrTotalLq = 0;
                var itens = widgetItens.dataSource.data;
                var paramPreco = success.dataset.precouti_filial.filter(function(row){ 
                    return  row.CDEMPRESA == data[0].CDEMPRESA &&
                            row.CDFILIAL  == widgetPed.currentRow.CDFILIAL  &&
                            row.CDPRECOBASE == widgetPed.currentRow.CDPRECOBASE &&
                            row.CDMODPGTO   == widgetPed.currentRow.CDMODPGTO;
                });
                for (var i = 0; i < itens.length; i++) {
                    if (widgetPed.currentRow.NRPEDIDO == itens[i].NRPEDIDO) {
                        
                        itens[i].VRPREUNITPED = (itens[i].VRITEPREBASE) ? itens[i].VRITEPREBASE : itens[i].VRPREUNITPED;
                        if (paramPreco.length > 0) {
                            itens[i].VRPREUNITPED = itens[i].VRPREUNITPED + ((itens[i].VRPREUNITPED * paramPreco[0].VRPEADPBASE)/100);
                            itens[i].VRPREUNITPED = parseFloat(itens[i].VRPREUNITPED.toFixed(2));
                            itens[i].IDITPEDDIFER = 'R';
                        }
                        itens[i].PERDESC = 0;
                        itens[i].VRDESITPED = 0;
                        itens[i].VRTOTALITEMSEMIMP = itens[i].QTITEMPED * itens[i].VRPREUNITPED;
                        itens[i].VRTOTALITEMSEMIMP = parseFloat(itens[i].VRTOTALITEMSEMIMP.toFixed(2));
                        itens[i].VRTOTALITEM = itens[i].VRTOTALITEMSEMIMP;
                        itens[i].VRTOTALITEM = parseFloat(itens[i].VRTOTALITEMSEMIMP.toFixed(2));
                        
                        vrTotalLq += itens[i].VRTOTALITEMSEMIMP;
                        vrTotalLq = parseFloat(vrTotalLq.toFixed(2));
                        
                        vrTotal += itens[i].VRTOTALITEM;
                        vrTotal = parseFloat(vrTotal.toFixed(2));
                    }
                }
                var widgetEncargo = templateManager.container.getWidget('widgetEncargo');
                var encargos = widgetEncargo.dataSource.data.filter(function(row){ 
                    return row.CDFILIAL == widgetPed.currentRow.CDFILIAL &&
                    row.NRPEDIDO == widgetPed.currentRow.NRPEDIDO;
                });
                if (encargos.length > 0) {
                    for (i = 0; i < encargos.length; i++) {
                        if (encargos[i].NRPEDIDO == widgetPed.currentRow.NRPEDIDO) {
                            
                            encargos[i].VRPERCENTENC = ((encargos[i].VRENCARGOPED * 100) / vrTotalLq);
                            encargos[i].VRPERCENTENC = parseFloat(encargos[i].VRPERCENTENC.toFixed(2)); 
                            
                            if ( encargos[i].IDENCARGO == 'A') {
                                vrTotal = vrTotal + encargos[i].VRENCARGOPED;
                                vrTotal = parseFloat(vrTotal.toFixed(2));
                            } else if ( encargos[i].IDENCARGO == 'D'){
                                vrTotal = vrTotal - encargos[i].VRENCARGOPED;
                                vrTotal = parseFloat(vrTotal.toFixed(2));
                            }
                        }
                    }
                }
                widgetPed.currentRow.VRTOTPEDLIQ = parseFloat(vrTotalLq.toFixed(2)) > 0 ? parseFloat(vrTotalLq.toFixed(2)) : widgetPed.currentRow.VRTOTPEDLIQ;
                widgetPed.currentRow.VRTOTALPED = parseFloat(vrTotal.toFixed(2)) > 0 ? parseFloat(vrTotal.toFixed(2)) : widgetPed.currentRow.VRTOTALPED;
                
                this.buildPrazo(widgetPrazo);
                // Ped00100_lancamentoPedido_Service.setData("ped#/encargoped_completa", encargos);
                // Ped00100_lancamentoPedido_Service.setData("ped#/itempedido_completa", itens).then(function() {
                // }.bind(this));
            }.bind(this));
        }
    };

    /* (funcition verificaHabilitaEncargo)
        Função utilizada para verificar parametro específico para
        habilitar ou não a visualização de Encargo no Lançamento de Pedido,
        esta função é executada no evento WidgetOnEnter de widgetPedido    
    */

    this.verificaHabilitaEncargo = function() {

        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": getLocalVar('CDFILIAL')
            },
            {
                "name": "NRORG",
                "operator": "=",
                "value": getLocalVar('NRORG')
                
            }
        ];
        Ped00100_lancamentoPedido_Service.findParamPedido(filter).then(function(parametros){
            
            if (parametros) {
                if (parametros.dataset.ped_parampedido[0].IDLANENCARGOPED == 'S') {
                    var widget = templateManager.container.getWidget('widgetEncargo');
                    widget.isVisible = true;
                }
            }
        }.bind(this))
        .catch(function(error){
            ScreenService.showMessage(error);
        }.bind(this));
    };

    this.verificaOrcamento = function() {
        var widget = templateManager.container.getActiveWidget();
        var filial;
        for (var i = 0; i < widget.dataSourceFilter.length; i++) {
            if (widget.dataSourceFilter[i].name == 'CDFILIAL'){
                filial = widget.dataSourceFilter[i].value;
            }
        }
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": filial
            },
            {
                "name": "NRORG",
                "operator": "=",
                "value": getLocalVar('NRORG')
                
            }
        ];
        if (widget.currentRow.IDTIPOPEDIDO == '2' && widget.currentRow.__is_new) {
            General.callRestEngine('ped#/crud/ped_parampedido', 'FilterData', filter).then(function(parametros) {
                widget.currentRow.CDCLIENTE = parametros.dataset.ped_parampedido[0].CDCLIEORC; 
                widget.currentRow.NMRAZSOCCLIE = parametros.dataset.ped_parampedido[0].NMRAZSOCCLIEORC; 
                
                this.setParams(widget); 
            }.bind(this));
        } else if (widget.currentRow.IDTIPOPEDIDO == '1' && widget.currentRow.__is_new) {
            General.callRestEngine('ped#/crud/ped_parampedido', 'FilterData', filter).then(function(parametros) {
                widget.currentRow.CDCLIENTE =  parametros.dataset.ped_parampedido[0].CDCLIEORC ==  widget.currentRow.CDCLIENTE ? null  : widget.currentRow.CDCLIENTE; 
                widget.currentRow.NMRAZSOCCLIE =  parametros.dataset.ped_parampedido[0].NMRAZSOCCLIEORC ==  widget.currentRow.NMRAZSOCCLIE ? null  : widget.currentRow.NMRAZSOCCLIE; 
                
                this.setParams(widget);
            }.bind(this));
        }// else if (widget.currentRow.orcamento && !widget.currentRow.__is_new){
        //}
        
    }; 

    this.editPedido = function(widget){
        this.verificaTipoOper();
        this.setTipoOperClie();
        var filial = widget.currentRow.CDFILIAL;
        General.callRestEngine('ped#/crud/parampedido', 'FilterData', [{ "name": "CDFILIAL", "operator": "=", "value": filial }]).then(function(callback) {
 
            if(callback.dataset.parampedido[0].IDUTVALIPED == 'S'){
                widget.getField('DTVALIPED').readOnly = false;
                if (callback.dataset.parampedido[0].QTDIAVALIPED > 0) {
                    widget.currentRow.DTVALIPED = moment(widget.getField('DTPEDIDO').value(), 'DD/MM/YYYY').add(callback.dataset.parampedido[0].QTDIAVALIPED,'days').format('DD/MM/YYYY');
                } 
            }else{
                widget.getField('DTVALIPED').readOnly = true;
            }
        });
        if(widget.currentRow.IDTIPOPEDIDO == 2) {
            widget.currentRow.orcamento = true;
            widget.getField('NMRAZSOCCLIE').readOnlyOnEdit = false;
        } else {
            widget.currentRow.orcamento = false;
        }
        General.edit(widget);
    };

    this.setParams = function(widget) {
        if (widget.currentRow.__is_new) {
            this.setVendedor(widget);
            this.verifyModPgto(widget);
            this.filterPrecobase(widget);
            this.verificaPendencia(widget);
            this.setDadosTransportadora();
        }
    }; 
    
    this.setTipoOperClie = function(parametro){
        var widget = templateManager.container.getActiveWidget();
        var tipoOperacao = this.parametros.CDTIPOOPER;
        var filtro = [];
        
        if(widget.currentRow.CDCLIENTE != "" && widget.currentRow.CDCLIENTE != undefined){
            filtro.push(
               {
                    name: 'CDCLIENTE',
                    operator: '=',
                    value: widget.currentRow.CDCLIENTE
                    
                } 
            );
        }else{
           filtro.push(
               {
                    name: 'CDCLIENTE',
                    operator: '=',
                    value: parametro.CDCLIENTE
                    
                } 
            ); 
        }
        
        General.callRestEngine('ped#/crud/cliente_parametrizacoes', 'FilterData', filtro).then(function(callback){
            
            if(this.parametros.IDOBRTPOPPED =='S'){
                var tipooper;
                if(callback.dataset.cliente_parametrizacoes[0] && callback.dataset.cliente_parametrizacoes[0].CDTIPOOPERPED != null ){
                    
                        tipooper = widget.getField('NMTIPOOPER').dataSource.data.filter(function(row){ return row.CDTIPOOPER == callback.dataset.cliente_parametrizacoes[0].CDTIPOOPERPED;});
                        widget.getField('NMTIPOOPER').readOnly = true;
    
                }else if (tipoOperacao > 0  || tipoOperacao == 0) {
                    
                    tipooper = widget.getField('NMTIPOOPER').dataSource.data.filter(function(row){ return row.CDTIPOOPER == tipoOperacao;});
                    widget.getField('NMTIPOOPER').readOnly = false;
                }
                if(tipooper.length != 0){
                    widget.currentRow.CDTIPOOPER = tipooper[0].CDTIPOOPER;
                    widget.currentRow.NMTIPOOPER = tipooper[0].NMTIPOOPER;
                    widget.currentRow.IDORIGDESTOP = tipooper[0].IDORIGDESTOP;
                    widget.currentRow.IDOPERDEVONF = tipooper[0].IDOPERDEVONF;
                    widget.currentRow.IDSERIEAUTO = tipooper[0].IDSERIEAUTO;
                    widget.currentRow.IDUTILVENC = tipooper[0].IDUTILVENC;
                    widget.currentRow.IDENTRSAIDOP = tipooper[0].IDENTRSAIDOP;
                    widget.currentRow.DSOPERNFORIG = tipooper[0].DSOPERNFORIG;
                    widget.currentRow.CDMODDOCFISC = tipooper[0].CDMODDOCFISC;
                    widget.currentRow.DSMODDOCFISC = tipooper[0].DSMODDOCFISC;
                    widget.currentRow.IDATUESTTPOP = tipooper[0].IDATUESTTPOP;
                    var row = {
                    	IDORIGDESTOP: widget.currentRow.IDORIGDESTOP
                    };
                    this.verificaTipoOper(row);
                }
            }
        }.bind(this));
        
    };

    this.verificaPendencia = function(widget){
        var filter = [
            {
                name: "CDCLIENTE",
                operator: "=",
                value: widget.currentRow.CDCLIENTE
            }
        ];
        if(widget.IDPENDFINANLANC == 'S'){
            General.callRestEngine('ped_pedidos#/crud/cliente_pendenciafinanceira', 'FilterData', filter).then(function(success) {
                var rowCliente  = success.dataset.cliente_pendenciafinanceira.filter(function(data){ return data.CDCLIENTE == widget.currentRow.CDCLIENTE;});
                if (rowCliente && rowCliente.length > 0) {
                    var limite = parseInt(widget.limitePendencia);
                    if (widget.IDPENDFINAN == '2') {
                        if (rowCliente[0].DATA > 0 && rowCliente[0].DATA > limite) {
                            ScreenService.showMessage('Cliente possui pendência financeira');
                            widget.currentRow.CDCLIENTE = '';
                            widget.currentRow.NMRAZSOCCLIE = '';
                            widget.currentRow.CDVENDEDOR = '';
                            widget.currentRow.NMFANVEN = '';
                            widget.currentRow.CDPRECOBASE = '';
                            widget.currentRow.DSPRECOBASE = '';
                            widget.currentRow.CDFORMPGTO = '';
                            widget.currentRow.CDMODPGTO = '';
                            widget.currentRow.DSMODPGTO = '';
                        }
                    } else if (widget.IDPENDFINAN == '3') {
                        this.openPendenciaPopUp(widget);
                    }
                }
            }.bind(this));
        }
    }; 

    this.openPendenciaPopUp = function (widget) {
        var pendenciaFinanceira_msg = ScreenService.i18n("Cliente possui pendência financeira, para continuar será necessário validar o operador.");
        ScreenService.showCustomDialog(pendenciaFinanceira_msg, 'exclamation', 'exclamation', [
            {
                label: ScreenService.i18n("Ok"),
                code: function(){
                    ScreenService.openPopup(widget.container.getWidget('widgetSenha'));
                }
            }
        ]);
    }; 

    this.checkLogin = function(widget) {
        var widgetPedidos = templateManager.container.getWidget("widgetPedido");
        if (widget.currentRow.OPRLOGIN != undefined && widget.currentRow.OPRSENHA != undefined &&
           widget.currentRow.OPRLOGIN != "" && widget.currentRow.OPRSENHA != "") {
            var filial = '';
            for (i = 0; i < widgetPedidos.dataSourceFilter.length; i++) {
                if (widgetPedidos.dataSourceFilter[i].name == 'CDFILIAL'){
                    filial = widgetPedidos.dataSourceFilter[i].value;
                }
            }
            var login = [
                {
                    login: widget.currentRow.OPRLOGIN,
                    senha: widget.currentRow.OPRSENHA,
                    cdfilial: filial
                }
            ];
            /*if (this.grupOperApro != ""){
                login[0].grupo = this.grupOperApro;
            }*/
            General.callRestEngine('ped_pedidos#/pendencia/checkLogin', 'DataSet', login).then(function(callback) {
                var result = callback.dataset.result;
                if (result.matched) {
                    if (result.isOnGroup) {
                        templateManager.container.getWidget('widgetSenha').currentRow = {};
                        ScreenService.closePopup(templateManager.container.getWidget('widgetSenha'));
                        templateManager.container.getWidget('widgetPedido').mode = 'edit';
                        templateManager.updateTemplate();
                        templateManager.container.getWidget('widgetPedido').activate().then(function(){
                            templateManager.container.getWidget('widgetPedido').activate();
                        });
                    } else {
                        ScreenService.showMessage("Este operador não possui autorização para realizar esta operação.");
                    }
                } else {
                    ScreenService.showMessage("Usuário e senha inválidos.");
                }
            }.bind(this));
        } else {
            ScreenService.showMessage("É necessário preencher todos os campos.");
        }
    }; 

    this.cancelarLoginPopUp = function (widget) {
        templateManager.container.getWidget('widgetPedido').currentRow.CDCLIENTE = '';
        templateManager.container.getWidget('widgetPedido').currentRow.NMRAZSOCCLIE = '';
        templateManager.container.getWidget('widgetPedido').currentRow.CDVENDEDOR = '';
        templateManager.container.getWidget('widgetPedido').currentRow.NMFANVEN = '';
        templateManager.container.getWidget('widgetPedido').currentRow.CDPRECOBASE = '';
        templateManager.container.getWidget('widgetPedido').currentRow.DSPRECOBASE = '';
        templateManager.container.getWidget('widgetPedido').currentRow.CDFORMPGTO = '';
        templateManager.container.getWidget('widgetPedido').currentRow.CDMODPGTO = '';
        templateManager.container.getWidget('widgetPedido').currentRow.DSMODPGTO = '';
        ScreenService.closePopup();
    }; 
    this.setDescontoOP = function(){
        this.retornaOperadorLogadoDesk().then(function(operador){
			var cdoperador = operador.dataset.operador[0].CDOPERADOR;
			var filter_vendedor = [
				{
					name: 'CDOPERADOR',
					operator: '=',
					value: cdoperador
				}
			];

			var promises =[];
			promises.push(General.callRestEngine('ped#/crud/vendedor', 'FilterData', filter_vendedor));
			ZHPromise.all(promises).then(function(callback) {
				
				if(callback[0].dataset.vendedor[0].length != 0){
					var widget = templateManager.container.getActiveWidget();
					var vendedor = [
						{
							name:'CDVENDEDOR',
							operator:'=',
							value: callback[0].dataset.vendedor[0].CDVENDEDOR
						}
					];
					General.callRestEngine("ped#/crud/cliente_vendedor", "FilterData", vendedor).then(function(sucess){
						widget.currentRow.VRPEMAXDESVE = sucess.dataset.cliente_vendedor[0].VRPEMAXDESVE;
					});
				}
			});
		});
    };

    this.setVendedor = function (widget) {
        if(this.parametros) {
            if ((!widget.currentRow.CDVENDEDOR) && this.parametros.CDVENDEDOR) {
                widget.currentRow.CDVENDEDOR = this.parametros.CDVENDEDOR;
                
                if (this.parametros.IDUTRELACVENDCLI == 'N'){
                    widget.currentRow.CDVENDEDOR = widget.appliedFilter.FILTER_ROW.CDVENDEDOR;
                    widget.currentRow.NMFANVEN = widget.appliedFilter.FILTER_ROW.NMFANVEN;
                }
                if(this.parametros.CDVENDEDOR){
                    
                    var filter = [{
                        "name": "CDVENDEDOR",
                        "operator": "=",
                        "value": this.parametros.CDVENDEDOR
                    }];
    
                    General.callRestEngine('ped#/crud/vendedor', 'FilterData', filter).then(function(callback) {
                        widget.currentRow.NMFANVEN = callback.dataset.vendedor[0].NMFANVEN;
                        widget.currentRow.CDVENDEDOR = callback.dataset.vendedor[0].CDVENDEDOR;
                        widget.currentRow.VRPEMAXDESVE= callback.dataset.vendedor[0].VRPEMAXDESVE;
                    });
                } 
            }else {
                
                var filterClieVen = [
                    {
                        "name": "CDCLIENTE",
                        "operator": "=",
                        "value": widget.currentRow.CDCLIENTE 
                    }
                ];
                General.callRestEngine('ped#/crud/cliente_vendedor', 'FilterData', filterClieVen).then(function(callback){
                    var cdvendedor = callback.dataset.cliente_vendedor[0].CDVENDEDOR;
                    if(cdvendedor){
                        widget.currentRow.NMFANVEN = callback.dataset.cliente_vendedor[0].NMFANVEN;
                        widget.currentRow.CDVENDEDOR = callback.dataset.cliente_vendedor[0].CDVENDEDOR;
                    }else{
                        
                        var filter_vendedor = [
                            {
                                "name": "CDOPERADOR",
                                "operator": "=",
                                "value": "OPERADOR_LOGADO"
                            }
                        ];
                        
                        General.callRestEngine('ped#/crud/vendedor', 'FilterData', filter_vendedor).then(function(callback){
                            var vendedor = callback.dataset.vendedor;
                            
                            widget.currentRow.NMFANVEN = vendedor[0].NMFANVEN;
                            widget.currentRow.CDVENDEDOR = vendedor[0].CDVENDEDOR;

                        }.bind(this));
                    }
                
                }.bind(this));

            }
        }
        this.setDescontoOP();
    }; 

    this.filterPrecobase = function (widget) {

        if(widget.name != "widgetPedido") {
            widget = templateManager.container.getWidget('widgetPedido');
        }
        if (widget.currentRow.CDCLIENTE) {
            widget.getField('DSPRECOBASE').readOnly = false;
            widget.getField('DSPRECOBASE').reload();
            
            var filter = [
                {
                    "name": "CDCLIENTE",
                    "operator": "=",
                    "value": widget.currentRow.CDCLIENTE
                },
                {
                    "name": "IDPRBASEPRIN",
                    "operator": "=",
                    "value": "S"
                }
            ];
            General.callRestEngine('ped#/crud/precobasecli_parametrizacao', 'FilterData', filter).then(function(callback) {
                if (callback.dataset.precobasecli_parametrizacao.length > 0){
                    var dsprecobasePrincipal = callback.dataset.precobasecli_parametrizacao[0].DSPRECOBASE;
                    var cdprecobasePrincipal = callback.dataset.precobasecli_parametrizacao[0].CDPRECOBASE;
                    var nmIndicePrincipal = callback.dataset.precobasecli_parametrizacao[0].NMINDICE;
                        
                    if (widget.currentRow.__is_new){
                        templateManager.container.getWidget('widgetPedido').getField('DSPRECOBASE').setValue(dsprecobasePrincipal);
                        templateManager.container.getWidget('widgetPedido').getField('CDPRECOBASE').setValue(cdprecobasePrincipal);
                        templateManager.container.getWidget('widgetPedido').getField('NMINDICE').setValue(nmIndicePrincipal);
                        // ADICIONADO PARA CORRIGIR ERRO DE PRECOBASSE ERRADO NA ESCOLHA DO PRODUTO
                        this.setPrebaseFilter(widget);
                    }
                } else if (widget.currentRow.__is_new) {
                    templateManager.container.getWidget('widgetPedido').getField('DSPRECOBASE').setValue("");
                }
            }.bind(this));
        } else {
            widget.getField('DSPRECOBASE').clearValue();
            widget.getField('DSPRECOBASE').readOnly = true;
        }
    }; 

    this.changeFilterPrecobase = function (widget) {
        widget.container.getWidget('widgetItens').getField('NMPRODUTO').dataSourceFilter[0] =
            {
                "name": "CDPRECOBASE",
                "operator": "=",
                "value": widget.currentRow.CDPRECOBASE
            };
    };
    
    this.changeMoeda = function(widget) {
        var nomeMoeda = widget.currentRow.NMINDICE;
        widget.getField('NMINDICE').setValue(nomeMoeda); 
    };

    this.addZero = function(number) {
        if (parseInt(number) < 10) {
            return "0"+number;
        } else {
            return number;
        }
    }; 

    this.addItens = function (widget) {
        ScreenService.openSwipe(templateManager.container.getWidget('widgetConsultaProduto'));
        templateManager.container.getWidget('widgetConsultaProduto').reload();
    };
    
    this.addItem = function (widget) {
        this.backupItem = {};
        this.backupData = Util.clone(widget.dataSource.data);
        widget.newRow();
        
        if (!(widget)) {
            widget = templateManager.container.getWidget('widgetItens');
        }
        if (this.parametros.IDPERALTPRECO == 'N') {
            widget.getField('VRPREUNITPED').readOnly = true;
        } else {
            widget.getField('VRPREUNITPED').readOnly = false;
        }
        widget.currentRow.DTENTITPED = widget.getParent().getField('DTENTPED').value().substr(0,10) + " " + new Date().getHours() + ":" + this.addZero(new Date().getMinutes());
        widget.currentRow.NRPEDIDO = widget.getParent().getField('NRPEDIDO').value();
        widget.currentRow.CDFILIAL = widget.getParent().getField('CDFILIAL').value(); //this.parametros.CDFILIAL;
        for (var i = 0; i < widget.getParent().dataSourceFilter.length; i++) {
            if (widget.getParent().dataSourceFilter[i].name == 'CDFILIAL'){
                filial = widget.getParent().dataSourceFilter[i].value;
            }
        }
        var filial = '0000';
        for (i = 0; i < widget.container.getWidget('widgetPedido').dataSourceFilter.length; i++) {
            if (widget.container.getWidget('widgetPedido').dataSourceFilter[i].name == 'CDFILIAL') {
                filial = widget.container.getWidget('widgetPedido').dataSourceFilter[i].value;
            }
        }
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": filial
            }
        ];
        Ped00100_lancamentoPedido_Service.findParameters(filter).then(function(callback){
            widget.paramsPreco = callback.dataset.parampedido[0]; 
            
        });
        
        templateManager.container.getWidget('widgetImposto').isVisible = false;
        templateManager.container.getWidget('widgetReserva').isVisible = false;
    }; 

    this.validaPrecoUnit = function (widget) {
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": widget.currentRow.CDFILIAL
            }
        ];
        Ped00100_lancamentoPedido_Service.findParameters(filter).then(function(callback){
             widget.paramsPreco = callback.dataset.parampedido[0]; 

        if (widget.paramsPreco) {
            var parametros = widget.paramsPreco;
            var VRPREUNITPED = widget.currentRow.VRPREUNITPED;
            if (typeof(VRPREUNITPED) == 'string') {
                VRPREUNITPED+=" ";
                VRPREUNITPED = VRPREUNITPED.replace(',', '.');
                VRPREUNITPED = parseFloat(VRPREUNITPED);
            }
            widget.getField('VRPREUNITPED').value(VRPREUNITPED);
            var VRPRTABITPED = widget.currentRow.VRITEPREBASE;

            if (parametros.IDPERALTPRECO === 'S') {
                var validaMax = false;
                var validaMin = false;
                if ((parametros.DSPERALTMAIOR)) {
                    var vrMaior = VRPRTABITPED + ((VRPRTABITPED * parametros.DSPERALTMAIOR)/100);
                    if (VRPREUNITPED > vrMaior) {
                        if (!parametros.CDGRUALTPRECO) {
                            ScreenService.showMessage('Operação não permitida.');
                            widget.getField('VRPREUNITPED').value(VRPRTABITPED);
                        } else {
                            this.retornaOperadorLogadoDesk().then(function(calloper) {
        
                                var cdoperador = calloper.dataset.operador[0].CDOPERADOR;
                                this.verificaGrupOper(parametros.CDGRUALTPRECO, cdoperador).then(function(callgrup) {
                                    if (!callgrup.dataset.opergrupop[0]) {
                                        ScreenService.showMessage('Operador não tem permissão.');
                                        widget.getField('VRPREUNITPED').value(VRPRTABITPED);
                                    }
                                    this.calcValorDesc(widget);
                                    this.calcValorTotal(widget);
                                }.bind(this));
                            }.bind(this));
                        }
                    } else {
                        this.calcValorDesc(widget);
                        this.calcValorTotal(widget);
                    }
                } else if ((parametros.DSPERALTMAIOR == '') || (parametros.DSPERALTMAIOR === null)) {
                    validaMax = true;
                }
                if ((parametros.DSPERALTMENOR)) {
                    var vrMenor = VRPRTABITPED - ((VRPRTABITPED * parametros.DSPERALTMENOR)/100);
                    if (VRPREUNITPED < vrMenor) {
                        if (!parametros.CDGRUALTPRECO) {
                            ScreenService.showMessage('Operação não permitida.');
                            widget.getField('VRPREUNITPED').value(VRPRTABITPED);
                        } else {
                            this.retornaOperadorLogadoDesk().then(function(calloper) {

                                var cdoperador = calloper.dataset.operador[0].CDOPERADOR;
                                this.verificaGrupOper(parametros.CDGRUALTPRECO, cdoperador).then(function(callgrup){
                                    if (!callgrup.dataset.opergrupop[0]){
                                        ScreenService.showMessage('Operador não tem permissão.');
                                        widget.getField('VRPREUNITPED').value(VRPRTABITPED);

                                        //ScreenService.showMessage('S - Vou deixar alterar.');
                                    }
                                    this.calcValorDesc(widget);
                                    this.calcValorTotal(widget);
                                }.bind(this));
                            }.bind(this));
                        }
                    } else {
                        this.calcValorDesc(widget);
                        this.calcValorTotal(widget);
                    }
                } else if ((parametros.DSPERALTMENOR == '') || (parametros.DSPERALTMENOR === null)) {
                    validaMin = true;
                }
                if (validaMin && validaMax) {
                    this.calcValorDesc(widget);
                    this.calcValorTotal(widget);
                }
            } else {
                this.retornaOperadorLogadoDesk().then(function(calloper){
        
                    var cdoperador = calloper.dataset.operador[0];
                    this.verificaGrupOper(parametros.CDGRUALTPRECO, cdoperador).then(function(callgrup){
                        if (!callgrup.dataset.opergrupop[0]){
                            ScreenService.showMessage('Operador não tem permissão.');
                            widget.getField('VRPREUNITPED').value(VRPRTABITPED);
                        } else {
                            this.calcValorDesc(widget);
                            this.calcValorTotal(widget);
                        }
                    }.bind(this));
                }.bind(this));
            }
        }
     }.bind(this));
    }; 

    this.verificaGrupOper = function(cdgrupoper, cdoperador){
        var filter = [
            {
                "name": "CDGRUPOPER",
                "operator": "=",
                "value": cdgrupoper
            },
            {
                "name": "CDOPERADOR",
                "operator": "=",
                "value": cdoperador
            }
        ];

        var params = {
            "requestType": "FilterData",
            "filter": filter
        };

        return restEngine.request("ped#/crud/opergrupop", params);
    }; 

    this.calculaValor = function (field) {
        
        var percnt = field;
        // var percnt = field.value();
        
        var vrTotal;
        var widgetPedido = templateManager.container.getWidget('widgetPedido');
        if (widgetPedido.currentRow.__is_new) {
            vrTotal = widgetPedido.getField('VRTOTPEDLIQ').value();
        } else {
            vrTotal = widgetPedido.getField('VRTOTALPED').value();
        }
        percnt = percnt/100;
        vrTotal = vrTotal * percnt;
        vrTotal = parseFloat(vrTotal.toFixed(2));
        
        var widgetPrazoPed = templateManager.container.getWidget('widgetPrazoPed');
        widgetPrazoPed.getField('VRPARCELA').setValue(vrTotal);
        // field.widget.getField('VRPARCELA').setValue(vrTotal);
    }; 

    this.calcPercentual = function (field) {
        var percnt = field.value();
        var vrTotal = field.widget.getParent().getField('VRTOTALPED').value();
        percnt = percnt/100;
        vrTotal = vrTotal * percnt;
        field.widget.getField('VRPERCPGTOPED').setValue(percnt);
    }; 

    this.checkProperties = function (widget) {
        widget = widget.container.getWidget('widgetPedido');
        if (widget.currentRow.CDFILIAL) {
            if (widget.currentRow.CDFILIAL != "") {
                var filter = [{
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": widget.currentRow.CDFILIAL
                }];

                General.callRestEngine('ped#/crud/filial', 'FilterData', filter).then(function(callback) {

                    widget.currentRow.CDEMPRESA = callback.dataset.filial[0].CDEMPRESA;
                    widget.currentRow.CDINSCESTA = callback.dataset.filial[0].CDINSCESTA;
                });
            }
        }
        if (!(widget.currentRow.__is_new)) {
            widget.container.getWidget('widgetItens').getAction('fecharPedidoItem').isVisible = false;
            widget.container.getWidget('widgetPrazoPed').getAction('fecharPedidoPrazo').isVisible = false;
            widget.container.getWidget('widgetDadosAdicionais').getAction('fecharPedidoDadosAdic').isVisible = false;
            widget.container.getWidget('transportadora').getAction('fecharPedidoTransportadora').isVisible = false;
            
            widget.container.getWidget('widgetItens').reload();
            widget.container.getWidget('widgetPrazoPed').reload();
            widget.container.getWidget('widgetDadosAdicionais').reload();
            widget.container.getWidget('transportadora').reload();
        } 

    }; 

    this.verificaStatusNotaFiscal = function (widget) {
        
        var pedido = widget.currentRow;
        var notaFiscal = widget.container.getWidget('widgetNotaFiscal');
        
        if (pedido.IDSITPEDIDO == 3 || pedido.IDSITPEDIDO == 6) {
            notaFiscal.isVisible = true;
        } else {
            notaFiscal.isVisible = false;
        }
    };

    
    this.verificaStatus = function (widget) {
        
        //widget e ações de pedido
        widget = widget.container.getWidget('widgetPedido');
        var editarPedido = widget.getAction('editarPedido');
        var excluirPedido = widget.getAction('excluirPedido');
        
        //widget e ações de itens
        var itensPedido = widget.container.getWidget('widgetItens');
        var novoItem = itensPedido.getAction('novoItem');
        var fecharPedidoItem = itensPedido.getAction('fecharPedidoItem');
        var excluirItem = itensPedido.getAction('excluirItem');
        
        //widget e ações de prazoped
        var prazoPed = widget.container.getWidget('widgetPrazoPed');
        // var editarModalidade = prazoPed.getAction('editarModalidade');
        var editarPrazo = prazoPed.getAction('editarPrazo');
        var incluirPrazo = prazoPed.getAction('incluirPrazo');
        
        //widget e ações de dados adicionais
        var dadosAdicionais = widget.container.getWidget('widgetDadosAdicionais');
        var actNovoDadosAdicionais = dadosAdicionais.getAction('actNovoDadosAdicionais');
        var excluirDadosAdicionais = dadosAdicionais.getAction('excluirDadosAdicionais');
        var editarDadosAdicionais = dadosAdicionais.getAction('editarDadosAdicionais');
        
        if (widget.currentRow.IDSITPEDIDO == '2' || widget.currentRow.IDSITPEDIDO == '7' || widget.currentRow.IDSITPEDIDO == '8') {
            var filter = [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": widget.currentRow.CDFILIAL
                },
                {
                    "name": "NRPEDIDO",
                    "operator": "=",
                    "value": widget.currentRow.NRPEDIDO
                }
            ];
            General.callRestEngine('ped#/crud/itempedido', 'FilterData', filter).then(function(callback) {
                var status = [];
                callback.dataset.itempedido.forEach(function(value) {
                    if (status.indexOf(value.IDSITITEMPED) == -1 ) {
                        status.push(value.IDSITITEMPED);
                    }
                });
                if (status.indexOf("1") >= 0 || status.indexOf("2") >= 0 || status.indexOf("7") >= 0 || status.indexOf("8") >= 0) {
                    // posso editar e talvez excluir
                    editarPedido.isVisible = true;
                    novoItem.isVisible = true;
                    if (widget.IDEXCLPEDIDO == 'S') {
                        excluirPedido.isVisible = true;
                    }
                } else if (status.indexOf("3") >= 0 || status.indexOf("4") >= 0) {
                    editarPedido.isVisible = false;
                    excluirPedido.isVisible = false;
                    novoItem.isVisible = false;
                    fecharPedidoItem.isVisible = false;
                }
                
                if (this.parametros.IDALTMODPAG == 'S'){
                    // editarModalidade.isVisible = true;
                    widget.getField('DSMODPGTO').readOnly = false;
                } else if (this.parametros.IDALTMODPAG == 'N'){
                    widget.getField('DSMODPGTO').readOnly = false;
                }
                if (this.parametros.IDALTFORMAPAG == 'S'){
                    editarPrazo.isVisible = true;
                } else if (this.parametros.IDALTFORMAPAG == 'N'){
                    editarPrazo.isVisible = false;
                }
                
            }.bind(this));
        } else if (widget.currentRow.IDSITPEDIDO == '3' || widget.currentRow.IDSITPEDIDO == '4'){
            //Nao edita item nem pedido, não adiciona item, nao exclui item nem pedido
            editarPedido.isVisible = false;
            excluirPedido.isVisible = false;
            novoItem.isVisible = false;
            excluirItem.isVisible = false;
            // editarModalidade.isVisible = false;
            editarPrazo.isVisible = false;
            incluirPrazo.isVisible = false;
        } else {
            editarPedido.isVisible = true;
            novoItem.isVisible = true;
            if (widget.IDEXCLPEDIDO == 'S') {
                excluirPedido.isVisible = true;
            }
        }
        if (widget.currentRow.IDSITPEDIDO == '3' || widget.currentRow.IDSITPEDIDO == '4') {
            actNovoDadosAdicionais.isVisible = false;
            excluirDadosAdicionais.isVisible = false;
            editarDadosAdicionais.isVisible = false;
        } else {
            actNovoDadosAdicionais.isVisible = true;
            excluirDadosAdicionais.isVisible = true;
            editarDadosAdicionais.isVisible = true;
        }
        
        this.verificaStatusNotaFiscal(widget);
       //templateManager.container.getActiveWidget().reload();
        templateManager.updateTemplate();
    }; 

    this.verificaStatusItem = function (widget) {
        //widget.reload().then(function(callback){
            var status = [];
            var row = widget.currentRow;
            
            status.push(row.IDSITITEMPED);
            /*widget.dataSource.data.forEach(function(value) {
                if (status.indexOf(value.IDSITITEMPED) == -1 ) {
                    status.push(value.IDSITITEMPED);
                }
            });*/
            
            var widgetPedido = templateManager.container.getWidget('widgetPedido');
            
            if (status.indexOf("1") >= 0) {
                // posso editar e talvez excluir o
                widget.getAction('editarItem').isVisible = true;
                widget.getAction('excluirItem').isVisible = true;
                if (this.parametros.IDEXCLPEDIDO == 'S') {
                    widgetPedido.getAction('excluirPedido').isVisible = true;
                }
            } else if (status.indexOf("2") >= 0) {
                // posso editar e talvez excluir
                widget.getAction('editarItem').isVisible = true;
                if (this.parametros.IDEXCLPEDIDO == 'S') {
                    widgetPedido.getAction('excluirPedido').isVisible = true;
                }
            } else if (status.indexOf("3") >= 0 || status.indexOf("4") >= 0 || status.indexOf("5") >= 0) {
                // nao posso fazer nada
                widget.getAction('editarItem').isVisible = false;
                widget.getAction('excluirItem').isVisible = false;
                widgetPedido.getAction('excluirPedido').isVisible = false;
            }
            
            if (!widget.currentRow.__is_new){
                if (this.parametros.IDEXIBIMPITPED == 'N'){
                    templateManager.container.getWidget('widgetImposto').isVisible = false;
                } else if (this.parametros.IDEXIBIMPITPED == 'S'){
                    templateManager.container.getWidget('widgetImposto').isVisible = true;
                } else { 
                    templateManager.container.getWidget('widgetImposto').isVisible = false;
                }
                
                //ainda nao e usada a parte de reserva
                if (this.parametros.IDUTRESELOTE == 'N'){
                    templateManager.container.getWidget('widgetReserva').isVisible = false;
                } else if (this.parametros.IDUTRESELOTE == 'S'){
                    templateManager.container.getWidget('widgetReserva').isVisible = true;
                } else {
                    templateManager.container.getWidget('widgetReserva').isVisible = false;
                }
                if(templateManager.container.getWidget('widgetPedido').currentRow.IDTIPOPEDIDO !== '1') {
                    templateManager.container.getWidget('widgetReserva').isVisible = false;
                }
                if(templateManager.container.getWidget('widgetPedido').currentRow.IDATUESTTPOP !== 'S') {
                    templateManager.container.getWidget('widgetReserva').isVisible = false;
                } else if (templateManager.container.getWidget('widgetPedido').currentRow.IDATUESTTPOP == 'S') {
                    templateManager.container.getWidget('widgetReserva').isVisible = true;
                }
            }
            
            // var widItensSwipe = templateManager.container.getWidget('widgetItensTabb');	
            // ScreenService.openSwipe(templateManager.container.getWidget('widgetItensTabb'));	
            	
            // widItensSwipe.activate();	
            // widItensSwipe.view();	
            // widItensSwipe.currentRow = templateManager.container.getWidget('widgetItensTabb').currentRow;	
            // widItensSwipe.isVisible = false;	
            	
            // widItensSwipe.reload().then(function(){	
            //     widItensSwipe.isVisible = true;	
            // });	
            
        // });
    }; 

    this.verificaStatusEncargo = function (widget) {
        var pedido = widget.getParent();
        var editarEncargo = widget.getAction('editarEncargo');
        var excluirEncargo = widget.getAction('excluirEncargo');
        var fecharPedido = widget.getAction('fecharPedidoEncargo');
        if (pedido.currentRow.__is_new || pedido.currentRow.IDSITPEDIDO == 1 || pedido.currentRow.IDSITPEDIDO == 2 || pedido.currentRow.IDSITPEDIDO == 7) {
            editarEncargo.isVisible = true;
            excluirEncargo.isVisible = true;
        } else {
            editarEncargo.isVisible = false;
            excluirEncargo.isVisible = false;
        }
        if (pedido.currentRow.__is_new){
            fecharPedido.isVisible = true;
        } else {
            fecharPedido.isVisible = false;
        }
    }; 
    
    

    this.editItem = function (widget) {
        //widget.currentRow.__is_new = widget.getParent().currentRow.__is_new;
        // widget.getParent().currentRow.__is_new = false;
        General.edit(widget);
        this.backupItem = Util.clone(widget.currentRow);
        this.backupData = Util.clone(widget.dataSource.data);      
        this.getParamPreco(templateManager.container.getWidget('widgetPedido'));
        if (this.parametros.IDPERALTPRECO == 'N') {
            widget.getField('VRPREUNITPED').readOnly = true;
        } else {
            widget.getField('VRPREUNITPED').readOnly = false;
        }
        this.verificaPrecoOpcio();

    }; 
    
    this.editEncargo = function (widget) {
        
        widget.currentRow.__is_new = widget.getParent().currentRow.__is_new;
        General.edit(widget);
    }; 

    this.cancelEditItem = function(args) {
        var widget = args.owner.widget;
        
        if (widget.getParent().currentRow.__is_new){
            var rowEdited = widget.dataSource.data.filter(function(row){
                return row.NRITEMPED == this.backupItem.NRITEMPED && row.NRPEDIDO == this.backupItem.NRPEDIDO;
            }.bind(this));
            
            if (rowEdited.length > 0 ) {
                for (var i = 0; i < widget.dataSource.data.length; i++) {
                    if (widget.dataSource.data[i].NRITEMPED == this.backupItem.NRITEMPED && widget.dataSource.data[i].NRPEDIDO == this.backupItem.NRPEDIDO) {
                        widget.dataSource.data[i] = this.backupItem;
                    }
                }
            } else {
                widget.dataSource.data = this.backupData;
            }
            widget.view();
    		ScreenService.goBack();
        } else {
            General.backOrCancel(args).then(function(){
                this.getItem(widget);
            }.bind(this));
        }
    };
    
    this.removeEncargoCache = function(widget) {
        Ped00100_lancamentoPedido_Service.getData("ped_pedidos#/encargo_lancamento").then(function(dadosEncargos) {
        //  dadosEncargos = dadosEncargos.filter(function(value){ return value.CDENCARGO !== widget.currentRow.CDENCARGO; });
          
            widget.currentRow.VRENCARGOPED = "0";
            widget.currentRow.VRPERCENTENC = "0";
            dadosEncargos.forEach(function(encargo){
                if (encargo.CDENCARGO == widget.currentRow.CDENCARGO) {
                    
                    encargo.VRENCARGOPED = "0";
                    encargo.VRPERCENTENC = "0";
                }
            }.bind(this));
            widget.dataSource.data.forEach(function(encargoDataSource, index){
                if (encargoDataSource.CDENCARGO == widget.currentRow.CDENCARGO) {
                    widget.dataSource.data[index].VRENCARGOPED = "0";
                    widget.dataSource.data[index].VRPERCENTENC = "0";
                }
            }.bind(this));
           
           this.salvarEncargosCache(dadosEncargos, widget);
          
        }.bind(this));
    };
    
    /*  (function defineEncargo)
        Função para atribuir aos encargos padrões valores de um pedido específico
    */
    this.defineEncargo = function(encargo, pedido) {
        if ( !encargo.NRPEDIDO && pedido.CDFILIAL != "") {
            encargo.NRPEDIDO = pedido.NRPEDIDO;
            encargo.CDFILIAL = pedido.CDFILIAL;
            encargo.__is_new = true;
        }
    };
    
    /* (function excluirEncargo)
        Função que exclui Encargo em dois estados:
        Ou se Pedido é novo ou se o Pedido já foi cadastrado antes
    */
    this.excluirEncargo = function(widget) {
        var widgetPedido = templateManager.container.getWidget('widgetPedido');
        if (this.PedidoEhNovo()) {
            this.removeEncargoCache(widget);
        } else {
            General.deleteCrud(widget).then(function(){
                widgetPedido.getField('VRTOTALPED').reload();
                widgetPedido.reload();
                
            });
        }
        
    };
  
    this.montaConfig = function(args){
        
        var pedido = args.owner.getParent().currentRow;
    
        Ped00100_lancamentoPedido_Service.montaConfigTransmissao(pedido).then(function(resp){
        }, requestError);
    };
    
     var requestError = function(error){
        var errorMessage = ScreenService.i18n("Ocorreu um erro ao tentar realizar a operação.");
        if (error && error.data) {
            errorMessage = error.data.error;
        }
        ScreenService.showMessage(errorMessage, "ERROR");
    };
    
    this.verificarStatusServico = function(args){
        var rows = args.owner.widget.getCheckedRows();
        
        var notasMarcadas = rows.filter(function(nota) {
            return nota.IDSTATUSNFE == 'P' || nota.IDSTATUSNFE == 'R';
        });
        if (notasMarcadas.length > 0) {
            Ped00100_lancamentoPedido_Service.statusServico(notasMarcadas).then(function(status){
                if(Object.keys(status[0])[0] === "STATUS"){
                    var popupTransmissao = args.owner.widget.container.getWidget('popupTransmissao');
                    popupTransmissao.getField("MENSAGEM").setValue(status[0].STATUS);
                    ScreenService.openPopup(popupTransmissao);
                }
                if(Object.keys(status[0])[0] === "SUCCESS"){
                    ScreenService.showMessage('Nota(s) transmitida(s) com sucesso!');
                    atualizaStatusNota(notasMarcadas, status[0].SUCCESS);
                    args.owner.widget.reload();
                    args.owner.widget.unSelectAll();
                }
                else if(Object.keys(status[0])[0] === "ERRORS"){
                    if(typeof status[0].ERRORS === 'string')
                        ScreenService.showMessage(status[0].ERRORS, "ERROR");
                    else{
                        var popupErros = args.owner.widget.container.getWidget('popupErros');
                        popupErros.currentRow.MENSAGEM = status[0].ERRORS;
                        popupErros.getField('MENSAGEM').textRows = status[0].ERRORS.length;
                        ScreenService.openPopup(popupErros);
                    }
                }
                else{
                    ScreenService.showMessage(status[0]);
                }
            });
        }
        else {
            ScreenService.showMessage("Todas as notas selecionadas já foram transmitidas.");
        }
        
    };

    this.excluirItem = function (widget) {
        var itens = widget.dataSource.data.filter(function(value){return value.NRPEDIDO == widget.getParent().currentRow.NRPEDIDO;});
        if (itens && itens.length > 1) {
            if (widget.getParent().currentRow.__is_new) {
                var excluir_Item_msg = ScreenService.i18n("Deseja Excluir o item?");
                ScreenService.showCustomDialog(excluir_Item_msg, 'question', 'question', [{
                    label: ScreenService.i18n("Sim"),
                    code: function(){
                        for(var i=0; i<widget.dataSource.data.length; i++) {
                            if(widget.dataSource.data[i] == widget.currentRow) {
                                widget.dataSource.data.splice(i,1);
                            }
                        }
                        widget.getParent().currentRow.VRTOTALPED = 0;
                        widget.getParent().currentRow.VRTOTPEDLIQ = 0;
                        widget.currentRow.IDSITITEMPED = '1';
                        widget.dataSource.data.forEach(function(item){
                            widget.getParent().currentRow.VRTOTALPED += parseFloat(item.VRTOTALITEM);
                            widget.getParent().currentRow.VRTOTPEDLIQ += parseFloat(item.VRTOTALITEMSEMIMP);
                        });

                        Ped00100_lancamentoPedido_Service.setData("ped#/crud/itempedido_completa", widget.dataSource.data).then(function(){
                            Ped00100_lancamentoPedido_Service.getData("ped#/crud/itempedido_completa").then(function(callback){
                                widget.dataSource.data = callback;
                                if (widget.container.getWidget('widgetPrazoPed').dataSource.data && widget.container.getWidget('widgetPrazoPed').dataSource.data.length > 0 ) {
                                    // var percnt;
                                    // var vrTotalPrazo;
                                    // var vrTotal = widget.getParent().getField('VRTOTALPED').value();
                                    this.buildPrazo(widget.container.getWidget('widgetPrazoPed')); //.dataSource.data.forEach(function(prazo){
                                        /*percnt = prazo.VRPERCPGTOPED/100;
                                        vrTotalPrazo = vrTotal * percnt;
                                        prazo.VRPARCELA = vrTotalPrazo;
                                    });*/
                                }
                            }.bind(this));
                        }.bind(this));

                        ScreenService.closeSwipe().then(function () {
                            widget.activate();
                        });
                }.bind(this)},{
                    label: ScreenService.i18n("Não"),
                    code: function(){}.bind(this)
                }]);
            } else {
                var excluirItem_msg = ScreenService.i18n("Deseja Excluir o item?");
                ScreenService.showCustomDialog(excluirItem_msg, 'question', 'question', [{
                    label: ScreenService.i18n("Sim"),
                    code: function(){
                        var promises = [];
                        promises.push(widget.removeRow());
                        if (this.vendPedAux) {
                            promises.push(this.tiraVendedoresCache());
                        }
                        ZHPromise.all(promises).then(function (callback) {
                            var vendedores = callback[1] ? callback[1] : { CDVENDEDOR: templateManager.container.getWidget('widgetPedido').currentRow.CDVENDEDOR };
                            widget.getParent().currentRow.VRTOTALPED = 0;
                            widget.getParent().currentRow.VRTOTPEDLIQ = 0;
                            widget.currentRow.IDSITITEMPED = '1';
                            widget.dataSource.data.forEach(function(item){
                                widget.getParent().currentRow.VRTOTALPED += parseFloat(item.VRTOTALITEM);
                                widget.getParent().currentRow.VRTOTPEDLIQ += parseFloat(item.VRTOTALITEM);
                            });

                            /*.dataSource.data.forEach(function(prazo){
                            if (widget.container.getWidget('widgetPrazoPed').dataSource.data && widget.container.getWidget('widgetPrazoPed').dataSource.data.length > 0 ) {
                                // var percnt;
                                // var vrTotalPrazo;
                                // var vrTotal = widget.getParent().getField('VRTOTALPED').value();
                                    percnt = prazo.VRPERCPGTOPED/100;
                                    vrTotalPrazo = vrTotal * percnt;
                                    prazo.VRPARCELA = vrTotalPrazo;
                            }
                                });*/
                            ZHPromise.all(this.buildPrazo(widget.container.getWidget('widgetPrazoPed'))).then(function(){
                                widget.container.getWidget('widgetPedido').currentRow.CALLED_BY = 'UPDATE_PED';
                                
                                var encargos = widget.container.getWidget('widgetEncargo').dataSource.data.filter( function(value){ return value.VRENCARGOPED != "0"; });
                                
                                if (widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO == '7' || widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO == '8'){
                                    widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO = '2';
                                } 
                                var prazos = widget.container.getWidget('widgetPrazoPed').dataSource.data.map(function(row) {
                                    return Util.clone(row, ['__leftActions', '__rightActions']);
                                });
                                
                                var savePedido = [widget.container.getWidget('widgetItens').dataSource.data, prazos, [widget.container.getWidget('widgetPedido').currentRow], encargos, [vendedores]];
    
                                Ped00100_lancamentoPedido_Service.updateOrder(savePedido).then(function(){
                                    ScreenService.showMessage('Item excluido com sucesso');
                                    widget.currentRow.__is_new = false;
                                    widget.container.getWidget('widgetPedido').reload();
                                })
                                .catch(function(error){
                                    var erroExcluir_msg = ScreenService.i18n("Erro ao excluir o item.");
                                    ScreenService.showMessage(erroExcluir_msg +' \n ' + error.data.error);
                                });
    
                                ScreenService.closeSwipe().then(function () {
                                    widget.activate();
                                    widget.reload();
                                });
                            }.bind(this));
                        }.bind(this));
                }.bind(this)},{
                    label: ScreenService.i18n("Não"),
                    code: function(){}.bind(this)
                }]);
            }
        }  else {
            ScreenService.showMessage('Exclusão Bloqueada. Pedido deve ter um item cadastrado.');
        }
    }; 

    this.fecharItem = function (widget) {
        // var itens = [widget.currentRow];
        
        // var data = [];
        // data.push({'CDFILIAL': widget.currentRow.CDFILIAL});
        // data.push({'CDTIPOOPER': widget.currentRow.CDTIPOOPER});
        // data.push({'itens': itens});

        // // função para validar quantidade disponível em estoque
        // // se retornar '0' é porque não houve inconsistencias ou a parametrização não controla estoque
        // // se retornar '1' é porque houve inconsistencias de estoque e uma mensagem é exibida impedindo o salvamento do pedido
        // Ped00100_lancamentoPedido_Service.validaQtdeDispEstoque(data).then(function(callback) {
            
        //     if(callback.dataset.validaQtdeDispEstoque.erro == 0){
                if (widget.isValid()) {
                    this.salvarItem(widget);
                }
        //     }else{
        //         var widgetRetornoValidEst = templateManager.container.getWidget('popUpRetornoValidacaoEstoque');
                
        //         var retorno = callback.dataset.validaQtdeDispEstoque;
                
        //         widgetRetornoValidEst.dataSource.data = retorno[0];
        //         ScreenService.openPopup(widgetRetornoValidEst).then(function(){
        //             widgetRetornoValidEst.reload();
        //         });
        //     }
            
        // }.bind(this));
    };
    
    /* (function widgetEncargoOnEnter)
        Função para o evento que sempre ativa ao visitar a widget de Encargo
    */
    this.widgetEncargoOnEnter = function(widget) {
        if (widget.getParent().currentRow.__is_new) {
            this.atualizaDadosEncargoNovoPedido(widget);
        } else {
            widget.reload();
        }
    };
    
    /* (function salvarEncargo)
        Função principal para salvar registro de Encargo
        to do: Avaliar se necessita de melhoria
    */
    this.salvarEncargo = function(widget) {
        
        //  Ped00100_lancamentoPedido_Service.salvarEncargo(widget.currentRow);
        var pedido = widget.getParent().currentRow;
        if (this.PedidoEhNovo()) {
            this.defineEncargo(widget.currentRow, pedido);
            this.adicionaEncargoPedidoNovo(widget);
        } else {
            // Filtra todos os encargos já existentes ao pedido, pois são > 0 e se não for, é encargo padrão    
            var encargos = widget.dataSource.data.filter(function(encargo){ return encargo.VRENCARGOPED > 0; } );
             
            encargos.forEach(function(encargo){
                this.defineEncargo(encargo, pedido);
                if (encargo.CDENCARGO == widget.currentRow.CDENCARGO) {
                    encargo.VRENCARGOPED = widget.currentRow.VRENCARGOPED;
                    encargo.VRPERCENTENC = widget.currentRow.VRPERCENTENC;
                }
            }.bind(this));
            widget.view();
            this.fecharPedido(widget.getParent());
        }
    };
    
    /* (function adicionaEncargoPedidoNovo)
        Função especifica para rotina de inserção de Encargo caso o Pedido for Novo
    */
    this.adicionaEncargoPedidoNovo = function(widget) {
        Ped00100_lancamentoPedido_Service.getData("ped_pedidos#/encargo_lancamento").then(function(dadosEncargos) {
            dadosEncargos = dadosEncargos.filter(function(value){ return value.VRENCARGOPED != "0"; });
            if (!Array.isArray(dadosEncargos)) {
                var list = [];
                list.push(dadosEncargos);
                list.push(widget.currentRow);
                this.salvarEncargosCache(list, widget);
            } else {
                dadosEncargos.push(widget.currentRow);
                this.salvarEncargosCache(dadosEncargos, widget);
            }
        }.bind(this));  
    };
    
    /* function (resetarEncargosCache)
        Função que substitui valores de Encargos em 0 para os dados da widget
        e também substitui a Cache de Encargos por um Array vazio
    */
    this.resetarEncargosCache = function(widget) {
        widget = widget.container.getWidget('widgetEncargo');
        
        widget.dataSource.data.forEach(function(encargoDataSource){
            encargoDataSource.VRENCARGOPED = "0";
            encargoDataSource.VRPERCENTENC = "0";
        }.bind(this));
        Ped00100_lancamentoPedido_Service.setData("ped_pedidos#/encargo_lancamento",[]).then(function(){
            this.atualizaDadosEncargoNovoPedido(widget);
        }.bind(this))
        .catch(function(){
        }.bind(this));
    };
    
    
    /* (function salvarEncargosCache)
        Função de adicionar Encargos no Cache do Navegador
    */
    this.salvarEncargosCache = function(dados, widget){
        Ped00100_lancamentoPedido_Service.saveData("ped_pedidos#/encargo_lancamento",dados).then(function(){
            widget.activate();
            widget.view();
            ScreenService.goBack();
            ScreenService.showMessage('Salvo com sucesso.');
            
            this.atualizaDadosEncargoNovoPedido(widget);
            /* 
            * Método criado para desabilitar o grid de pedidos no backgroud do swipe
            */
            this.desabilitaBackgroundPedido('widgetDadosAdicionais');
        }.bind(this))
        .catch(function(error){
            var erroAoSalvar_msg = ScreenService.i18n("Erro ao salvar.");
            ScreenService.showMessage(erroAoSalvar_msg +' '+error);
            /* 
            * Método criado para desabilitar o grid de pedidos no backgroud do swipe
            */
            this.desabilitaBackgroundPedido('widgetDadosAdicionais');
        }.bind(this));
    };
    
    
    /*  (function atualizaDadosEncargoNovoPedido)
        Função para atualizar a lista de Encargos caso existir registro novo no cache do Navegador, 
        que geralmente é realizado quando usuário edita Encaro de um NOVO PEDIDO
    */
    this.atualizaDadosEncargoNovoPedido = function(widget) {
        
        if (this.PedidoEhNovo()) {
            Ped00100_lancamentoPedido_Service.getData("ped_pedidos#/encargo_lancamento").then(function(dadosEncargos) {
                dadosEncargos = dadosEncargos.filter(function(value){ return value.VRENCARGOPED != "0"; });
                dadosEncargos.forEach(function(dado) {
                    widget.dataSource.data.forEach(function(dadoDatasource, index) {
                        if (dadoDatasource.CDENCARGO == dado.CDENCARGO) {
                            widget.dataSource.data[index] = dado;
                        }
                    }.bind(this)); 
                });
            
            }.bind(this));
        }
    };
     
    /* (function calculaValorEncargoPercentPedido)
        Função que ao digitar valor no field/campo VRENCARGOPED da widgetEncargo
        será calculado um valor percentual para atribuir no campo/field VRPERCENTENC
    
    */
    this.calculaValorEncargoPercentPedido = function(args) {
        var widget = args.owner.owner.widget;
        var valorEncargo = widget.currentRow.VRENCARGOPED;
        var valorPedido = widget.getParent().currentRow.VRTOTPEDLIQ;
        var result = 0;
        try {
        
            valorEncargo = valorEncargo.replace('.','').replace(',','.'); // Ao receber valores como 1,25 transforma pra 1.25
            valorEncargo = parseFloat(valorEncargo); // para em seguida a conversão para número ser autêntica e sem erros
            
            result = parseFloat((valorEncargo/valorPedido) * 100); // cálculo único desta função
            
            // result = (result).toLocaleString('pt-BR'); // conversão de número de ponto flutuante para notação numérica brasileira
            // result = result.replace('.',''); // o template específico do campo VRPERCENTENC em 'text-edit' interpreta PONTO como VIRGULA
            
            widget.currentRow.VRPERCENTENC = result;
        } catch(e) {
            var naoPossivelCalcularPorcentagem = ScreenService.i18n("Não foi possível calcular a porcentagem:");
            ScreenService.showMessage(naoPossivelCalcularPorcentagem+" " + e);
        }
    };
      
    /* (function calculaPercentEncargoPedido)
        Função que ao digitar valor no field/campo VRPERCENTENC da widgetEncargo
        será calculado um valor para atribuir no campo/field VRENCARGOPED
    */

    this.calculaPercentEncargoPedido = function(args) {
        
        var widget = args.owner.owner.widget;
        var percent = widget.currentRow.VRPERCENTENC;
        var valorPedido = widget.getParent().currentRow.VRTOTPEDLIQ;
        var result = 0;
        try {
            
            percent = percent.replace('.','').replace(',','.'); // Ao receber valores como 1,25 transforma pra 1.25
            percent = parseFloat(percent); // para em seguida a conversão para número ser autêntica e sem erros
            result = parseFloat((percent/100) * valorPedido); // cálculo único desta função
            
         //   result = (result).toLocaleString('pt-BR'); // conversão de número de ponto flutuante para notação numérica 
         //   result = result.replace('.',''); // o template específico do campo VRENCARGOPED em 'text-edit' interpreta PONTO como VIRGULA
            
            widget.currentRow.VRENCARGOPED = result;
        } catch(e) {
            var naoFoiPossivelCalcular = ScreenService.i18n("Não foi possível calcular o valor da porcentagem:");
            ScreenService.showMessage(naoFoiPossivelCalcular+ " " + e);
        }
        
    };
    
    this.salvarVendedoresCache = function (widget) {
        
        Ped00100_lancamentoPedido_Service.setData("ped#/crud/vendedor", widget.getCheckedRows()).then(function(sucess){
            ScreenService.showMessage('Vendedores Adicionados!');
            ScreenService.closePopup();
        }.bind(this));
    };
    this.setDataSourceFilterImp = function(){
        var widgetItens = templateManager.container.getWidget('widgetItens');
        var widgetImposto = templateManager.container.getWidget('widgetImposto');
        var nrpedido = widgetItens.currentRow.NRPEDIDO;
        var cdfilial = widgetItens.currentRow.CDFILIAL;
        var nritemped = widgetItens.currentRow.NRITEMPED;
        
         var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": cdfilial
            },
            {
                "name": "NRPEDIDO",
                "operator": "=",
                "value": nrpedido
            },
            {
                "name": "NRITEMPED",
                "operator": "=",
                "value": nritemped
            }
                            
        ];
        widgetImposto.dataSourceFilter = filter;
        widgetImposto.reload();
        
    };
    
    this.calcImpostoItem = function(){
        var widgetItens = templateManager.container. getActiveWidget();
        var widgetPedido = templateManager.container.getWidget('widgetPedido');
        widgetItens.currentRow._isActiveRow = true;
        
        var qtItem = widgetItens.currentRow.QTITEMPED;
        var vrUnit = widgetItens.currentRow.VRPREUNITPED;
        if (typeof(qtItem) == 'string' || typeof(vrUnit) == 'string') {
            qtItem +=" ";
            qtItem = qtItem.replace(',', '.');
            qtItem = parseFloat(qtItem);
            vrUnit+=" ";
            vrUnit = vrUnit.replace(',', '.');
            vrUnit = parseFloat(vrUnit);
        }
        widgetItens.currentRow.QTITEMPED = qtItem;
        widgetItens.currentRow.VRPREUNITPED = vrUnit;
        var itens = Util.clone(templateManager.container.getWidget('widgetItens').currentRow, ['__leftActions', '__rightActions', '__proto__', '$error']);
        itens.VRTOTALITEM = "0";
        this.calcValorTotal(widgetItens);
        itens.VRTOTALITEMSEMIMP = widgetItens.currentRow.VRTOTALITEMSEMIMP;

        General.callRestEngine('ped#/crud/filial', 'FilterData', [{name: 'CDFILIAL', operator: '=', value: 'FILIAL_LOGADA'}]).then(function(response) {
            widgetPedido.currentRow.CDEMPRESA = response.dataset.filial[0].CDEMPRESA;
            widgetPedido.currentRow.CDINSCESTA = response.dataset.filial[0].CDINSCESTA;
        
            var params = {
                'CDFILIAL'    : widgetPedido.currentRow.CDFILIAL,
                'CDEMPRESA'   : widgetPedido.currentRow.CDEMPRESA,
                'NRPEDIDO'    : widgetPedido.currentRow.NRPEDIDO,
                'CDVENDEDOR'  : widgetPedido.currentRow.CDVENDEDOR,
                'CDOPERADOR'  : widgetPedido.currentRow.CDOPERADOR,
                'IDSITITEMPED': "1",
                'OLDCDVENDE'  : widgetPedido.currentRow.CDVENDEDOR,
                'CDINSCESTA'  : widgetPedido.currentRow.CDINSCESTA,
                'CDCLIENTE'   : widgetPedido.currentRow.CDCLIENTE,
                'DTENTITPED'  : widgetPedido.currentRow.DTENTPED,
                'CDTIPOOPER'  : widgetPedido.currentRow.CDTIPOOPER,
                'IDORIGDESTOP'  : widgetPedido.currentRow.IDORIGDESTOP,
                'NRORG' : widgetPedido.currentRow.NRORG       
            };
            
            var encargos =[];
            var promises = [];
            promises.push(Ped00100_lancamentoPedido_Service.calcImpostoItem([[itens],[encargos],params]));
            ZHPromise.all(promises).then(function(callback) {
                var impItens = callback[0].dataset.itens[0][0].VRTOTALITEM;
                
                widgetItens.currentRow.VRTOTALITEM = parseFloat(parseFloat(impItens).toFixed(2));
            }.bind(this));
        }.bind(this));
    };
  

    this.salvarItem = function (widget) {
        
        var vendedores = [];
        
        var encargos = widget.container.getWidget('widgetEncargo').dataSource.data.filter(function(value){ return value.VRENCARGOPED != "0"; });
        widget.currentRow.QTEXPITEMPED    = '0';
        widget.currentRow.IDITPEDSEMQTDIS = 'N';
        var i;
        var filter = [{
            "name": "CDPRODUTO",
            "operator": "=",
            "value": widget.currentRow.CDPRODUTO
        }];
        
        this.calcValorTotal(widget);
        
        General.callRestEngine('ped#/crud/produto', 'FilterData', filter).then(function(callback) {
            
            widget.currentRow.VRFATOCONV = callback.dataset.produto[0].VRFATOCONV;
            if (!widget.currentRow.VRFATOCONV) {
                widget.currentRow.VRFATOCONV = 1;
            }
            widget.currentRow.QTITEMPED2 = parseFloat(widget.currentRow.VRFATOCONV) * parseFloat(widget.currentRow.QTITEMPED);
            var vrUnitario = widget.currentRow.VRPREUNITPED;
            
            if (vrUnitario) {
                if (typeof(vrUnitario) == 'string') {
                    vrUnitario = vrUnitario.replace(/\./g, '');
                    vrUnitario = parseFloat(vrUnitario.replace(',', '.'));
                }
            }

            if (widget.isValid() && widget.getParent().currentRow.__is_new && widget.getParent().currentRow.IDSITPEDIDO == 'D' && parseFloat(widget.currentRow.QTITEMPED) > 0 && vrUnitario > 0) {
                var filial;
                widget.currentRow.NRPEDIDO = widget.getParent().currentRow.NRPEDIDO;
                for (i = 0; i < widget.getParent().dataSourceFilter.length; i++) {
                    if (widget.getParent().dataSourceFilter[i].name == 'CDFILIAL'){
                        filial = widget.getParent().dataSourceFilter[i].value;
                    }
                }
                widget.currentRow.CDFILIAL = filial;
                var dataItens = widget.dataSource.data;
                var vrTotalPedido = 0;
                var vrTotalPedidoLiquido = 0;
                dataItens.forEach(function(itens){
                    if(itens.NRITEMPED != widget.currentRow.NRITEMPED){
                        vrTotalPedido += itens.VRTOTALITEM;
                        vrTotalPedidoLiquido += itens.VRTOTALITEMSEMIMP;
                    }
                });
                // widget.getParent().currentRow.VRTOTALPED = parseFloat(widget.getParent().currentRow.VRTOTALPED) + parseFloat(widget.currentRow.VRTOTALITEM);
                // widget.getParent().currentRow.VRTOTPEDLIQ = parseFloat(widget.getParent().currentRow.VRTOTPEDLIQ) + parseFloat(widget.currentRow.VRTOTALITEMSEMIMP);
                widget.getParent().currentRow.VRTOTALPED = vrTotalPedido + parseFloat(widget.currentRow.VRTOTALITEM);
                widget.getParent().currentRow.VRTOTPEDLIQ = vrTotalPedidoLiquido + parseFloat(widget.currentRow.VRTOTALITEMSEMIMP);
                
                ScreenService.closeSwipe();
                
                /* 
                * Metodo criado para desabilitar o grid de pedidos no backgroud do swipe
                */
                this.desabilitaBackgroundPedido('widgetItens');
                
                //widget.currentRow.__is_new = false;
                
                Ped00100_lancamentoPedido_Service.saveData("ped#/crud/itempedido_completa", widget.currentRow).then(function(){
                    Ped00100_lancamentoPedido_Service.getData("ped#/crud/itempedido_completa").then(function(callback){

                        callback = callback.filter(function(value){return value.NRPEDIDO == widget.currentRow.NRPEDIDO;});
                        widget.dataSource.data = callback;

                        if (widget.container.getWidget('widgetPrazoPed').dataSource.data && widget.container.getWidget('widgetPrazoPed').dataSource.data.length > 0 ) {
                            var percnt;
                            var vrTotal;
                            var vrTotalPrazo;
                            if (widget.container.getWidget('widgetPedido').currentRow.__is_new) {
                                vrTotal = widget.getParent().getField('VRTOTPEDLIQ').value();
                            } else {
                                vrTotal = widget.getParent().getField('VRTOTALPED').value();
                            }
                            widget.container.getWidget('widgetPrazoPed').dataSource.data.forEach(function(prazo){
                                percnt = prazo.VRPERCPGTOPED/100;
                                vrTotalPrazo = vrTotal * percnt;
                                prazo.VRPARCELA = vrTotalPrazo;
                            });
                        }
                    }.bind(this));
                }.bind(this));
            } else if (widget.isValid() && parseFloat(widget.currentRow.QTITEMPED) > 0 && vrUnitario > 0){
                widget.currentRow.NRPEDIDO = widget.getParent().currentRow.NRPEDIDO;
                widget.currentRow.QTEXPITEMPED    = '0';
                widget.currentRow.IDITPEDSEMQTDIS = 'N';

                // widget.currentRow.IDSITITEMPED = 1;
                this.calcValorTotal(widget);
                // widget.getParent().currentRow.VRTOTALPED = parseFloat(widget.getParent().currentRow.VRTOTALPED) + parseFloat(widget.currentRow.VRTOTALITEM);
                // widget.dataSource.data.forEach(function(item){
                //     widget.getParent().currentRow.VRTOTALPED += parseFloat(item.VRTOTALITEM);
                //     widget.getParent().currentRow.VRTOTPEDLIQ += parseFloat(item.VRTOTALITEMSEMIMP);
                // });
                widget.getParent().currentRow.VRTOTALPED = 0;
                widget.getParent().currentRow.VRTOTPEDLIQ = 0;
                var itens = widget.dataSource.data.filter(function(value){return value.NRPEDIDO == widget.getParent().currentRow.NRPEDIDO;});
                var totalItens = 0;
                var totalItensSemImp = 0;

                for (i = 0; i < itens.length; i++) {
                    // totalItens = parseInt(itens[i].VRTOTALITEM) + totalItens;
                    totalItensSemImp = parseFloat(itens[i].VRTOTALITEM) + totalItensSemImp;
                    itens[i].QTITEMPED2 = parseFloat(itens[i].VRFATOCONV) * parseFloat(itens[i].QTITEMPED);
                }
                totalItensSemImp += widget.container.getWidget('widgetItens').currentRow.VRTOTALITEMSEMIMP;
                widget.getParent().currentRow.VRTOTALPED = totalItensSemImp;
                widget.getParent().currentRow.VRTOTPEDLIQ = totalItensSemImp;
                // widget.getParent().currentRow.VRTOTALPED = widget.getParent().currentRow.VRTOTALPED.toFixed(3);
                widget.currentRow.NRPEDIDO = widget.getParent().currentRow.NRPEDIDO;

                widget = widget.container.getWidget('widgetPedido');
                var filter = [
                    {
                        "name": "CDFILIAL",
                        "operator": "=",
                        "value": widget.currentRow.CDFILIAL
                    }
                ];
                General.callRestEngine('ped#/crud/filial', 'FilterData', filter).then(function(callback) {
                    widget.currentRow.CDEMPRESA = callback.dataset.filial[0].CDEMPRESA;
                    widget.currentRow.CDINSCESTA = callback.dataset.filial[0].CDINSCESTA;
                    filter = [
                        {
                            "name": "CDTIPOOPER",
                            "operator": "=",
                            "value": widget.currentRow.CDTIPOOPER
                        },
                        {
                            "name": "IDENTRSAIDOP",
                            "operator": "=",
                            "value": 'S'
                        }
                    ];
                    
                    var promises = [];
                    promises.push(General.callRestEngine('ped#/crud/tipooperac', 'FilterData', filter));
                    promises.push(General.callRestEngine("ped_pedidos#/select_vendpedaux", "DataSet", [widget.currentRow]));
                    promises.push(this.buildPrazo(widget.container.getWidget('widgetPrazoPed')));
                    
                    
                    ZHPromise.all(promises).then(function(callback) {
                        if(callback[0].dataset.tipooperac.length > 0){
                            widget.currentRow.IDORIGDESTOP = callback[0].dataset.tipooperac[0].IDORIGDESTOP;
                        }
                        
                        vendedores = callback[1].dataset.vendedores;
                        
                        /*for (i = 0; i < widget.container.getWidget('widgetItens').dataSource.data.length; i++) {
                            widget.container.getWidget('widgetItens').dataSource.data[i].IDSITITEMPED = '1';
                        }*/
                        
                        /*var percnt;
                        var vrTotalPrazo;
                        var vrTotal = widget.getField('VRTOTALPED').value();
                        widget.container.getWidget('widgetPrazoPed').dataSource.data.forEach(function(prazo){
                            percnt = prazo.VRPERCPGTOPED/100;
                            vrTotalPrazo = vrTotal * percnt;
                            prazo.VRPARCELA = vrTotalPrazo;
                        });*/
                        
                        
                        var itens = widget.container.getWidget('widgetItens').dataSource.data.filter(function(row){
                            return row.changed == true;
                        });
                        /*if (itens.length == 0) {
                            itens = [widget.container.getWidget('widgetItens').currentRow];
                            itens[0].IDSITITEMPED = 1;
                        } else {
                            itens[0].IDSITITEMPED = 1;
                        }*/
                        widget.container.getWidget('widgetPedido').currentRow.CALLED_BY = 'UPDATE_PED';
                        if (widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO == '7' || widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO == '8'){
                            widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO = '2';
                        }
                        var prazos = widget.container.getWidget('widgetPrazoPed').dataSource.data.map(function(row) {
                            return Util.clone(row, ['__leftActions', '__rightActions']);
                        });
                        
                        var savePedido = [itens, 
                                        prazos, 
                                        [widget.container.getWidget('widgetPedido').currentRow], 
                                        encargos, 
                                        vendedores];
                        //Alteracoes para nao editar o prazo
                        // widget.container.getWidget('widgetPrazoPed').getAction('novoPrazo').isVisible = true;
                        // widget.container.getWidget('widgetPrazoPed').getAction('editarPrazo').isVisible = false;
                        // widget.container.getWidget('widgetPrazoPed').getAction('excluirPrazo').isVisible = true;
                        
                        Ped00100_lancamentoPedido_Service.updateOrder(savePedido).then(function(){
                            ScreenService.closeSwipe();
                            
                            /* 
                            * Método criado para desabilitar o grid de pedidos no backgroud do swipe
                            */
                            this.desabilitaBackgroundPedido('widgetItens');
                            
                            ScreenService.showMessage('Item atualizado com sucesso');
                            // for (e = 0; e < widget.widgets.length; e++) {
                                // widget.widgets[e].floatingControl.visibleModes = ["list"];
                            // }
                            widget.container.getWidget('widgetItens').getAction('fecharPedidoItem').isVisible = false;
                            widget.container.getWidget('widgetPrazoPed').getAction('fecharPedidoPrazo').isVisible = false;
                            widget.container.getWidget('widgetDadosAdicionais').getAction('fecharPedidoDadosAdic').isVisible = false;
                            widget.container.getWidget('transportadora').getAction('fecharPedidoTransportadora').isVisible = false;
                            
                            widget.currentRow.__is_new = false;
                            widget.container.getWidget('widgetPedido').reload();
                            widget.container.getWidget('widgetItens').reload();
                        }.bind(this)).catch(function(error){
                            var erroAtualizarItem_msg = ScreenService.i18n("Erro ao atualizar o item.");
                            ScreenService.showMessage(erroAtualizarItem_msg + ' \n ' + error.data.error);
                        }.bind(this));
                    }.bind(this));
                }.bind(this));
            } else if(widget.isValid() && parseFloat(widget.currentRow.QTITEMPED) <= 0 ){
                ScreenService.showMessage("Quantidade do Item deve ser maior que zero '0'.");
            } else if (widget.isValid() && vrUnitario <= 0 ){
                ScreenService.showMessage("Valor Unitário do Item deve ser maior que zero '0'.");
            }
        }.bind(this));

    }; 

    this.openPosicaoFinanceira = function(widget) {
        ScreenService.openWindow('ped_pedidos#ped00301_posicao_financeira_cliente').then(function(){
            var widgetAprovacao = templateManager.containers["ped_pedidos#ped00301_posicao_financeira_cliente"].getWidget('widgetPosicao');
            widgetAprovacao.currentRow.TELAORIGINAL = 'LANCAMENTO';
            widgetAprovacao.currentRow.CDCLIENTE = this.checkedRows[0].CDCLIENTE;
            widgetAprovacao.currentRow.NMRAZSOCCLIE = this.checkedRows[0].NMRAZSOCCLIE;
        }.bind(this));
    }; 

    this.buildPrazo = function (widget) {
        var filter = [];
        var prazos = [];
        var prazo  = {};
        var widgetPedido = templateManager.container.getWidget('widgetPedido');
        if ((widget.getParent().mode == 'edit' || widget.mode == 'edit')  && (widget.getParent().currentRow.CDMODPGTO || widget.getParent().currentRow.CDMODPGTO) ) {
            var cdmodpgto = widget.getParent().currentRow.CDMODPGTO;
            
            filter = [
                {
                    "name": "CDMODPGTO",
                    "operator": "=",
                    "value": cdmodpgto
                }
            ];
            
            Ped00100_lancamentoPedido_Service.findModpgtoPrazo(filter).then(function(callback){
                var i;
                var filial;
                for (i = 0; i < widgetPedido.dataSourceFilter.length; i++) {
                    if (widgetPedido.dataSourceFilter[i].name == 'CDFILIAL'){
                        filial = widgetPedido.dataSourceFilter[i].value;
                    }
                }
                var vrParcial = 0;
                var vrTotal;
                if (widgetPedido.currentRow.__is_new) {
                    vrTotal = widgetPedido.getField('VRTOTPEDLIQ').value();
                } else {
                    vrTotal = widgetPedido.getField('VRTOTALPED').value();
                }
                if (callback.dataset.modpgto_prazomodpgto.length > 0) {
                    // widget.dataSource.data = [];
                    for (i = 0; i < callback.dataset.modpgto_prazomodpgto.length; i++) {
                        if ((i+1) != (callback.dataset.modpgto_prazomodpgto.length)) {
                            this.calculaValor(callback.dataset.modpgto_prazomodpgto[i].VRPERCMODPGTO);
                            // this.calculaValor(widget.getField('VRPERCPGTOPED'));
                            prazo = {
                                "NRPEDIDO": widgetPedido.currentRow.NRPEDIDO,
                                "NRDIASPGTOPED": callback.dataset.modpgto_prazomodpgto[i].NRDIASMODPGTO,
                                "VRPERCPGTOPED": callback.dataset.modpgto_prazomodpgto[i].VRPERCMODPGTO,
                                "CDFILIAL": filial,
                                "__is_new": true
                            };
                            prazo.PREVISAO = this.calcPreview(widgetPedido.currentRow.DTPEDIDO, callback.dataset.modpgto_prazomodpgto[i].NRDIASMODPGTO);
                            widget.getField('VRPERCPGTOPED').setValue(callback.dataset.modpgto_prazomodpgto[i].VRPERCMODPGTO);
                            prazo.VRPARCELA = parseFloat(widget.getField('VRPARCELA').value().toFixed(2));
                            prazos.push(prazo);
                            
                            vrParcial += parseFloat(prazo.VRPARCELA.toFixed(2));
                            // console.log('OW!!', widget.dataSource.data);
                        } else if ((i + 1) == (callback.dataset.modpgto_prazomodpgto.length) ) {
                            this.calculaValor(widget.getField('VRPERCPGTOPED'));
                            prazo = {
                                "NRPEDIDO": widgetPedido.currentRow.NRPEDIDO,
                                "NRDIASPGTOPED": callback.dataset.modpgto_prazomodpgto[i].NRDIASMODPGTO,
                                "VRPERCPGTOPED": callback.dataset.modpgto_prazomodpgto[i].VRPERCMODPGTO,
                                "CDFILIAL": filial,
                                "__is_new": true
                            };
                            prazo.PREVISAO = this.calcPreview(widgetPedido.currentRow.DTPEDIDO, callback.dataset.modpgto_prazomodpgto[i].NRDIASMODPGTO);
                            widget.getField('VRPERCPGTOPED').setValue(callback.dataset.modpgto_prazomodpgto[i].VRPERCMODPGTO);
                            prazo.VRPARCELA = (parseFloat(parseFloat(vrTotal).toFixed(2)) - parseFloat(parseFloat(vrParcial).toFixed(2)));
                            prazo.VRPARCELA = parseFloat(prazo.VRPARCELA.toFixed(2));
                            prazos.push(prazo);
                            
                            vrParcial += parseFloat(prazo.VRPARCELA);
                        }
                    }
                } else {
                    // widget.dataSource.data = [];
                    prazo = {
                        "NRPEDIDO": widgetPedido.currentRow.NRPEDIDO,
                        "NRDIASPGTOPED": 0,
                        "VRPERCPGTOPED": 100,
                        "CDFILIAL": filial,
                        "__is_new": true
                    };
                    prazo.PREVISAO = this.calcPreview(widgetPedido.currentRow.DTPEDIDO, '0');
                    widget.getField('VRPERCPGTOPED').setValue('100');
                    this.calculaValor(widget.getField('VRPERCPGTOPED'));
                    prazo.VRPARCELA = parseFloat(widget.getField('VRPARCELA').value().toFixed(2));
                    prazos.push(prazo);
                }
                if (widget.dataSource.data !== prazos && prazos.length > 0) {
                    widget.dataSource.data = prazos;
                }
                Ped00100_lancamentoPedido_Service.setData("ped#/crud/prazopgtoped", widget.dataSource.data);
            }.bind(this));
        } else if (widgetPedido.currentRow.CDCLIENTE.length > 0 && widgetPedido.mode == 'edit') {
            filter = [
                {
                    "name": "CDMODPGTO",
                    "operator": "=",
                    "value": widgetPedido.currentRow.CDMODPGTO
                }
            ];
            Ped00100_lancamentoPedido_Service.findModpgtoPrazo(filter).then(function(callback){
                var diasEntrg = 0;
                if (this.parametros.NRDIASENTPED) {
                    diasEntrg = this.parametros.NRDIASENTPED;
                }
                var filial;
                for (var i = 0; i < widgetPedido.dataSourceFilter.length; i++) {
                    if (widgetPedido.dataSourceFilter[i].name == 'CDFILIAL'){
                        filial = widgetPedido.dataSourceFilter[i].value;
                    }
                }
                prazo = [{
                    "NRPEDIDO": widgetPedido.currentRow.NRPEDIDO,
                    "NRDIASPGTOPED": diasEntrg,
                    "VRPERCPGTOPED": 100,
                    "CDFILIAL": filial,
                    "__is_new": true
                }];
                prazo[0].PREVISAO = this.calcPreview(widgetPedido.currentRow.DTPEDIDO, prazo[0].NRDIASPGTOPED);
                widget.getField('VRPERCPGTOPED').setValue(100);
                this.calculaValor(widget.getField('VRPERCPGTOPED'));
                prazo[0].VRPARCELA = parseFloat(widget.getField('VRPARCELA').value().toFixed(2));
                widget.dataSource.data = prazo;
                // Ped00100_lancamentoPedido_Service.setData("ped#/crud/prazopgtoped", widget.dataSource.data);
            }.bind(this));
        }
    }; 

    this.getPrazo = function (){
        var widgetPed = templateManager.container.getWidget('widgetPedido');
        var widgetPrazo = templateManager.container.getWidget('widgetPrazoPed');
        if(widgetPed.mode == 'form'){
            Ped00100_lancamentoPedido_Service.getData("ped#/crud/prazopgtoped").then(function(callback){
                var prazos = callback.filter(function(row){ return row.CDFILIAL == widgetPed.currentRow.CDFILIAL && row.NRPEDIDO == widgetPed.currentRow.NRPEDIDO; });    
                widgetPrazo.dataSource.data = prazos;
            });
            
        }    
    };

    this.verificaRequiredPedido = function (widget) {
        var message;
        if (!(widget.container.getWidget('widgetPedido').currentRow.CDCLIENTE)){
            message = ScreenService.i18n("O Cliente deve ser escolhido.");
            ScreenService.showMessage(message, 'error');
        } else {
            if (!(widget.getParent().currentRow.CDPRECOBASE)) {
                message = ScreenService.i18n("A Tabela de Preço deve ser escolhida.");
                ScreenService.showMessage(message, 'error');
            } 
        }
            this.getItem(widget);
    }; 

    this.getItem = function (widget) {
        // widget.dataSource.data = [];
        //Ped00100_lancamentoPedido_Service.getData("ped#/crud/itempedido_completa").then(function(callback){
            var item = null;
            item = /*callback*/widget.dataSource.data.filter(function(value){return value.NRPEDIDO == widget.getParent().currentRow.NRPEDIDO;});
            widget.dataSourceFilter = [
                {
                    "name": "NRPEDIDO",
                    "operator": "=",
                    "value": widget.getParent().currentRow.NRPEDIDO
                }
            ];
            if (item.length > 0 && widget.getParent().currentRow.__is_new) {
                widget.dataSource.data = item;
            } else if (!(widget.getParent().currentRow.__is_new)) {
                var filial;
                for (var i = 0; i < widget.getParent().dataSourceFilter.length; i++) {
                    if (widget.getParent().dataSourceFilter[i].name == 'CDFILIAL'){
                        filial = widget.getParent().dataSourceFilter[i].value;
                    }
                }
                var filter = [
                    {
                        "name": "CDFILIAL",
                        "operator": "=",
                        "value": filial
                    },
                    {
                        "name": "NRPEDIDO",
                        "operator": "=",
                        "value": widget.getParent().currentRow.NRPEDIDO
                    }
                ];
                widget.dataSourceFilter = filter;
                General.callRestEngine('ped#/crud/itempedido_completa', "FilterData", filter).then(function(callback){
                    widget.dataSource.data = callback.dataset.itempedido_completa;
                });
            } else if (widget.getParent().currentRow.__is_new){
                widget.dataSource.data = item;
            }
       // }.bind(this));
    }; 

    // Widget recebida deve ser a widget de Pedido
    this.fecharPedido = function (widget) {
        var itens = [];
        
        if(widget.currentRow.__is_new){
            itens = widget.container.getWidget('widgetItens').dataSource.data;
        }else{
            itens = this.getItensSalvos(widget);
        }
        
        var data = [];
        data.push({'CDFILIAL': widget.currentRow.CDFILIAL});
        data.push({'CDTIPOOPER': widget.currentRow.CDTIPOOPER});
        data.push({'IDTIPOPEDIDO': widget.currentRow.IDTIPOPEDIDO});
        data.push({'itens': itens});

        // função para validar quantidade disponível em estoque
        // se retornar '0' é porque não houve inconsistencias ou a parametrização não controla estoque
        // se retornar '1' é porque houve inconsistencias de estoque e uma mensagem é exibida impedindo o salvamento do pedido
        Ped00100_lancamentoPedido_Service.validaQtdeDispEstoque(data).then(function(callback) {
            
            if(callback.dataset.validaQtdeDispEstoque.erro == 0){
                
                var widgetEncargo = widget.container.getWidget('widgetEncargo');
                
                // Instrução para adquirir Encargos do usuário
                var encargos = widgetEncargo.dataSource.data.filter( function(value){ return value.VRENCARGOPED != "0"; });
                
                widget = widget.container.getWidget('widgetPedido');
                
                widget.getField('NMRAZSOCCLIE').readOnlyOnEdit = false;
                
                var vendedores = [];
                
                var percent = 0;
                widget.container.getWidget('widgetPrazoPed').dataSource.data.forEach(function(prazo){
                    percent += parseFloat(prazo.VRPERCPGTOPED);
                    percent = parseFloat(percent.toFixed(2));
                });
                
                // widget.currentRow.CDMODPGTO = widget.container.getWidget('widgetModpgtoPed').currentRow.CDMODPGTO;
                
                var qtItens = widget.container.getWidget('widgetItens').dataSource.data.filter(function(row){  
                    return row.NRPEDIDO == widget.currentRow.NRPEDIDO && row.CDFILIAL == widget.currentRow.CDFILIAL; 
                    
                });   
                qtItens = qtItens.length;
                var cdmodptgo; 
                if(widget.currentRow.CDMODPGTO) {
                    cdmodptgo = true;
                } else {
                    cdmodptgo = false;
                }
                var promises = [];
                var numPrazos = widget.container.getWidget('widgetPrazoPed').dataSource.data.length;
                var validaWidgetTrans = templateManager.container.getWidget('transportadora').isValid();

                if (widget.isValid() && cdmodptgo && percent == 100 && qtItens > 0 && numPrazos > 0 && widget.currentRow.__is_new && validaWidgetTrans) {
                    
                    widget.currentRow.IDSITPEDIDO  = '1';
                    widget.currentRow.IDPRIOPED    = '3';
                    widget.currentRow.IDPEDIDOIMPR = 'N';
                    widget.currentRow.IDORIGPED    = '3';
                    widget.currentRow.DTHRLANPED   = moment().format('DD/MM/YYYY');
                    // Verificar se posso ou nao salvar
                    // console.log('Verificar se posso ou nao salvar e passar os Rests para true');
                    
                    // promises.push(Ped00100_lancamentoPedido_Service.getData("ped#/crud/itempedido_completa"));
                    // promises.push(Ped00100_lancamentoPedido_Service.getData("ped#/crud/prazopgtoped"));
                    
                    promises.push(this.retornaOperadorLogado());
                    promises.push(Ped00100_lancamentoPedido_Service.getData("ped_pedidos#/crud/dadosadicped"));
                    
                    if (this.vendPedAux) {
                        promises.push(this.tiraVendedoresCache());
                    }
                    
                    var e;
                    ZHPromise.all(promises).then(function(callback){
                        if (widget.container.getWidget('widgetItens').dataSource.data.length > 0 && widget.container.getWidget('widgetPrazoPed').dataSource.data.length > 0 ) {
                            var i;
                            var filial;
                            for (i = 0; i < widget.dataSourceFilter.length; i++) {
                                if (widget.dataSourceFilter[i].name == 'CDFILIAL'){
                                    filial = widget.dataSourceFilter[i].value;
                                }
                            }
                            
                            if(this.vendPedAux) {
                                vendedores = callback[2];
                                this.vendPedAux = false;
                            } else {
                                 vendedores = [{CDVENDEDOR: widget.currentRow.CDVENDEDOR, NMFANVEN: widget.currentRow.NMFANVEN }];
                            }
                            widget.currentRow.CDFILIAL = filial;
                            widget.currentRow.CDFILIALPED = widget.currentRow.CDFILIALPED;
                            widget.currentRow.CDOPELANPED = callback[0][0].CDOPERADOR;
                            var dadosadic = callback[1].filter(function(row){return row.NRPEDIDO == widget.currentRow.NRPEDIDO; });
                            
                            var itemWidget = widget.container.getWidget('widgetItens');
                            for (i = 0; i < itemWidget.dataSource.data.length; i++) {
                                
                                itemWidget.dataSource.data[i].CDOPERADOR = callback[0][0].CDOPERADOR;
                                //itemWidget.dataSource.data[i].NRITORDEMCMPPED = itemWidget.currentRow.NRITEMPED.substr(5,10);
                                if(itemWidget.dataSource.data[i].NRITORDEMCMPPED == "" || !itemWidget.dataSource.data[i].NRITORDEMCMPPED)
                                    itemWidget.dataSource.data[i].NRITORDEMCMPPED = itemWidget.dataSource.data[i].NRITEMPED.substr(5,10);
                            
                            }
                            
                            var filter = [{
                                "name": "CDFILIAL",
                                "operator": "=",
                                "value": widget.currentRow.CDFILIAL
                            }];
                            
                            General.callRestEngine('ped#/crud/filial', 'FilterData', filter).then(function(callback) {
                                
                                widget.currentRow.CDEMPRESA = callback.dataset.filial[0].CDEMPRESA;
                                widget.currentRow.CDINSCESTA = callback.dataset.filial[0].CDINSCESTA;
                                
                                filter = [
                                    {
                                        "name": "CDTIPOOPER",
                                        "operator": "=",
                                        "value": widget.currentRow.CDTIPOOPER
                                    },
                                    {
                                        "name": "IDENTRSAIDOP",
                                        "operator": "=",
                                        "value": 'S'
                                    }
                                ];
                                General.callRestEngine('ped#/crud/tipooperac', 'FilterData', filter).then(function(callback) {
                                    if (callback.dataset.tipooperac.length > 0) {
                                        widget.currentRow.IDORIGDESTOP = callback.dataset.tipooperac[0].IDORIGDESTOP;
                                    }
                                    
                                    filter = [{
                                        "name": "CDMODPGTO",
                                        "operator": "=",
                                        "value": widget.currentRow.CDMODPGTO
                                    }];
                                    
                                    General.callRestEngine('ped#/crud/modpgto', 'FilterData', filter).then(function(callback) {
                                        
                                        for (i = 0; i < widget.container.getWidget('widgetItens').dataSource.data.length; i++) {
                                            widget.container.getWidget('widgetItens').dataSource.data[i].IDSITITEMPED = '1';
                                        }
                                        
                                        for (var i = 0; i < itemWidget.dataSource.data.length; i++) {
                                            if (callback.dataset.modpgto[0].IDLANCPEDMOD && callback.dataset.modpgto[0].CDMODPGTO == widget.currentRow.CDMODPGTO) {
                                                if (callback.dataset.modpgto[0].IDLANCPEDMOD == '1') {
                                                    widget.currentRow.IDSITPEDIDO = '1';
                                                    itemWidget.dataSource.data[i].IDSITITEMPED = '1';
                                                } else if (callback.dataset.modpgto[0].IDLANCPEDMOD == '2') {
                                                    widget.currentRow.IDSITPEDIDO = '2';
                                                    itemWidget.dataSource.data[i].IDSITITEMPED = '2';
                                                } else if (callback.dataset.modpgto[0].IDLANCPEDMOD == '3') {
                                                    widget.currentRow.IDSITPEDIDO = '2';
                                                    itemWidget.dataSource.data[i].IDSITITEMPED = '3';
                                                } else {
                                                    widget.currentRow.IDSITPEDIDO = '1';
                                                    itemWidget.dataSource.data[i].IDSITITEMPED = '1';
                                                }
                                            }
                                        }
                                        
                                        filter = [{
                                            "name": "CDFILIAL",
                                            "operator": "=",
                                            "value": widget.currentRow.CDFILIAL
                                        }];
                                        
                                        General.callRestEngine('ped#/crud/parampedido', 'FilterData', filter).then(function(parametros) {
                                            for (var i = 0; i < itemWidget.dataSource.data.length; i++) {
                                                if (!callback.dataset.modpgto[0].IDLANCPEDMOD && parametros.dataset.parampedido[0].IDLANCPED && callback.dataset.modpgto[0].CDMODPGTO == widget.currentRow.CDMODPGTO) {
                                                    if (parametros.dataset.parampedido[0].IDLANCPED == '1'){
                                                        widget.currentRow.IDSITPEDIDO = '1';
                                                        itemWidget.dataSource.data[i].IDSITITEMPED = '1';
                                                    } else if (parametros.dataset.parampedido[0].IDLANCPED == '2'){
                                                        widget.currentRow.IDSITPEDIDO = '2';
                                                        itemWidget.dataSource.data[i].IDSITITEMPED = '2';
                                                    } else if (parametros.dataset.parampedido[0].IDLANCPED == '3'){
                                                        widget.currentRow.IDSITPEDIDO = '2';
                                                        itemWidget.dataSource.data[i].IDSITITEMPED = '3';
                                                    } else {
                                                        widget.currentRow.IDSITPEDIDO = '1';
                                                        itemWidget.dataSource.data[i].IDSITITEMPED = '1';
                                                    }
                                                }
                                            }
                                            
                                            var prazos = widget.container.getWidget('widgetPrazoPed').dataSource.data.map(function(row) {
                                                return Util.clone(row, ['__leftActions', '__rightActions']);
                                            });
                                                
                                            /* RAISETRANSP SALVA DADOS DO ENDEREÇO DO PEDIDO*/
                                            var endereco = widget.container.getWidget('transportadora').currentRow.DADOSENDPED;
                                            /*SALVA DADOS DO ENDEREÇO DO PEDIDO*/
                                            
                                            var savePedido = [widget.container.getWidget('widgetItens').dataSource.data, 
                                                            prazos, 
                                                            [widget.container.getWidget('widgetPedido').currentRow], 
                                                            dadosadic, 
                                                            encargos, 
                                                            vendedores,
                                                            [endereco]];
                                                            
                                            //Alteracoes para nao editar o prazo
                                            widget.container.getWidget('widgetPrazoPed').getAction('novoPrazo').isVisible = true;
                                            widget.container.getWidget('widgetPrazoPed').getAction('editarPrazo').isVisible = true;
                                            // widget.container.getWidget('widgetPrazoPed').getAction('excluirPrazo').isVisible = true;
                                            
                                            Ped00100_lancamentoPedido_Service.savePedido(savePedido).then(function(){
                                                
                                                ScreenService.closeSwipe();
                                                ScreenService.showMessage('Pedido lançado com sucesso');
                                                for (e = 0; e < widget.widgets.length; e++) {
                                                    widget.widgets[e].floatingControl.visibleModes = ["list"];
                                                }
                                                widget.container.getWidget('widgetItens').getAction('fecharPedidoItem').isVisible = false;
                                                widget.container.getWidget('widgetPrazoPed').getAction('fecharPedidoPrazo').isVisible = false;
                                                widget.container.getWidget('widgetDadosAdicionais').getAction('fecharPedidoDadosAdic').isVisible = false;
                                                widget.container.getWidget('transportadora').getAction('fecharPedidoTransportadora').isVisible = false;
                                                widget.currentRow.__is_new = false;
                                                
                                                this.apagaCacheGeral(widget);
                                                
                                                // RAISETRANSP atualizando template da transportadora
                                                widget.container.getWidget('transportadora').getField('NMROTATRANS').readOnly = true;
                                                widget.container.getWidget('transportadora').getField('NMRAZSOCTRAN').readOnly = true;
                                                widget.container.getWidget('transportadora').getField('NMTIPTRANS').readOnly = true;
                                                widget.container.getWidget('transportadora').getField('IDPGFRETTRAN').readOnly = true;
                                                widget.container.getWidget('transportadora').getField('DSENDECLIE').readOnly = true;
                                                widget.container.getWidget('transportadora').reload();
                                                
                                                widget.reload();
                                                
                                            }.bind(this))
                                            .catch(function(error){
                                                var erroLancarPedido_msg = ScreenService.i18n("Erro ao lançar o pedido");
                                                ScreenService.showMessage(erroLancarPedido_msg +' \n ' + error.data.error);
                                            }.bind(this));
                                        }.bind(this));
                                    }.bind(this));
                                }.bind(this));
                            }.bind(this));
                        }
                    }.bind(this));
                } else if (percent !== 100 && widget.isValid() && qtItens > 0 && widget.container.getWidget('widgetPrazoPed').dataSource.data.length > 0 && widget.currentRow.__is_new) {
                    ScreenService.showMessage('O valor total do pedido difere do valor total dos prazos.');
                } else if (widget.isValid() && widget.currentRow.__is_new && validaWidgetTrans) {
                    ScreenService.showMessage('É necessário primeiro inserir itens e modalidades de pagamento para o pedido e preencher todos os seus campos obrigatórios.');
                    if (widget.currentRow.VRTOTALPED) {
                        widget.widgets[3].activate();
                    } else {
                        widget.widgets[0].activate();
                    }
                    //widget.widgets[0].activate();
                } else if (!validaWidgetTrans){
                    	ScreenService.showMessage('É necessário preencher todos os campos obrigatórios da Transportadora.');
                }else if (widget.isValid() && !(widget.currentRow.__is_new)) {
                   
                    promises.push(this.getItensSalvos(widget));
                   
                    if(this.vendPedAux) {
                        promises.push(this.tiraVendedoresCache());
                    }
                    // widget.container.dataSourceFilter = filter;
                    ZHPromise.all(promises).then(function(callback){
                        var itens = widget.container.getWidget('widgetItens').dataSource.data;
                        
                        if (this.vendPedAux) {
                            vendedores = callback[1];
                             this.vendPedAux = false;
                        }
                        
                        if (itens && itens.length === 0) {
                            itens = callback[0].dataset.itempedido_completa;
                        }
                        widget.container.getWidget('widgetPedido').currentRow.CALLED_BY = 'UPDATE_PED';
                        if (widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO == '7' || widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO == '8'){
                            widget.container.getWidget('widgetPedido').currentRow.IDSITPEDIDO = '2';
                        }
                        var prazos = widget.container.getWidget('widgetPrazoPed').dataSource.data.map(function(row) {
                            return Util.clone(row, ['__leftActions', '__rightActions']);
                        });
                        var savePedido = [itens, prazos, [widget.container.getWidget('widgetPedido').currentRow], encargos, vendedores];
                        
                        Ped00100_lancamentoPedido_Service.updateOrder(savePedido).then(function(callback){
                            ScreenService.showMessage('Salvo com sucesso.');
                            widget.view();
                            // widget.container.getWidget('widgetPedido').dataSourceFilter = filter;
                            
                            this.apagaCacheGeral(widget);
                            
                            widget.container.getWidget('widgetPedido').reload();
                        }.bind(this)).catch(function(error){
                            var erroEditar_msg = ScreenService.i18n("Erro ao editar o pedido");
                            ScreenService.showMessage(erroEditar_msg + ' \n ' + error.data.error);
                        }.bind(this));
                    }.bind(this));
                } else if (!widget.isValid()) {     
                      
                    ScreenService.showMessage('É necessário preencher todos os campos obrigatórios.');
                }
            }else{
                var widgetRetornoValidEst = templateManager.container.getWidget('popUpRetornoValidacaoEstoque');
                
                var retorno = callback.dataset.validaQtdeDispEstoque;
                
                widgetRetornoValidEst.dataSource.data = retorno[0];
                ScreenService.openPopup(widgetRetornoValidEst).then(function(){
                    widgetRetornoValidEst.reload();
                });
            }
        }.bind(this));
    }; 

    this.getItensSalvos = function(widget) {
        
        var filter = [
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": widget.currentRow.CDFILIAL
            },
            {
                "name": "NRPEDIDO",
                "operator": "=",
                "value": widget.currentRow.NRPEDIDO
            }
        ];
        // widget.container.dataSourceFilter = filter;
        
        return General.callRestEngine('ped#/crud/itempedido_completa', "FilterData", filter);
    };

    this.apagaCacheGeral = function(widget) {
        
        this.deletaCacheVendedores();
        this.deletaCacheItemCompleta();
        this.deletaCachePrazoPgtoPed();
        
        // Instrução para apagar dados de Cache sobre Encargos
        this.resetarEncargosCache(widget);
    };

    this.generateNumberItemPed = function (widget) {
        if(!(widget)){
            widget = templateManager.container.getWidget('widgetItens');
        }
        var keyItem = 0;
        var i;
        for (i = 0; i < widget.dataSource.data.length; i++) {
            if (keyItem < parseInt(widget.dataSource.data[i].NRITEMPED)) {
                keyItem = parseInt(widget.dataSource.data[i].NRITEMPED);
            }
        }

        this.nmrItemPed = keyItem + 1;
        var loop = this.nmrItemPed.toString();
        loop = loop.length;
        for (i = 0; i < 10-loop; i++) {
            widget.currentRow.NRITEMPED += '0';
        }
        widget.currentRow.NRITEMPED += this.nmrItemPed;
        // widget.getField('NRITEMPED').reload();
    }; 

    this.fixPrazo = function (field) {
        var widget = field.widget;
        var dataPed = widget.getParent().getField("DTPEDIDO").value();
        if (dataPed) {
            dataPed = moment(dataPed, 'DD/MM/YYYY').format();
        } else {
            dataPed = moment().format('DD/MM/YYYY');
        }
        dataPed = moment(dataPed).format('DD/MM/YYYY');
        if (field.name == "NRDIASPGTOPED" && field.value()) {
            var diasPg = widget.currentRow.NRDIASPGTOPED;
            widget.getField("PREVISAO").setValue(this.calcPreview(dataPed, diasPg));
        } else if (widget.getField("PREVISAO").value()) {
            var dtPrevisao = widget.currentRow.PREVISAO;
            widget.getField("NRDIASPGTOPED").setValue((this.calcPrazo(dataPed, dtPrevisao)));
        }
    }; 

    this.calcPreview = function (dtPedido, nrDiasPg) {
        nrDiasPg = parseInt(nrDiasPg);
        var dtPrevisao = moment(dtPedido, 'DD/MM/YYYY').add(nrDiasPg,'days').format('DD/MM/YYYY');
        return dtPrevisao;
    }; 

    this.fixMinDate = function (field) {

        field.minDate = field.widget.getField('DTPEDIDO').value();
    }; 

    this.fixDate = function (field) {
        this.fixMinDate(field);
        var dtEntPed = field.widget.getField('DTPEDIDO').value();
        dtEntPed = moment(dtEntPed, 'DD/MM/YYYY').add(5,'days').format('DD/MM/YYYY');
        field.widget.getField('DTENTPED').setValue(dtEntPed);
    }; 

	this.checkData = function(widget) {
	    
		var dataInput = (widget.getField('DTENTPED').value());
	
		if (moment(moment().format('L'), "DD/MM/YYYY") > moment(dataInput, "DD/MM/YYYY")){
			widget.currentRow.DTENTPED = moment().format("DD/MM/YYYY");
			ScreenService.showMessage("Data de Entrega inferior a data atual.");
		}
	};

    this.changeProduto = function () {
        var widget = templateManager.container.getActiveWidget();
        this.verificaPrecoOpcio();
        this.verifyParamPreco();
        this.calcValorTotal(widget);
        this.calcImpostoItem(widget);
        
    };
    
    this.getParamPreco = function (widgetPed){
        var data = widgetPed.getField('NMFILIAL').dataSource.data.filter(function(data){ return data.CDFILIAL == widgetPed.appliedFilter.FILTER_ROW.CDFILIAL;});
        var filter = [
            {
                "name": "P_CDEMPRESA",
                "operator": "=",
                "value":  data[0].CDEMPRESA
            },
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": widgetPed.currentRow.CDFILIAL
            }
        ];
        General.callRestEngine('ped#/crud/precouti_filial', "FilterData", filter).then(function(success){
            if(success.length > 0){
                var modPgto = widgetPed.currentRow.CDMODPGTO > 0 ? widgetPed.currentRow.CDMODPGTO : widgetPed.currentRow.CDMODPGTO;
                var paramPreco = success.filter(function(row){ 
                    return  row.CDEMPRESA == widgetPed.currentRow.CDEMPRESA &&
                            row.CDFILIAL == widgetPed.currentRow.CDFILIAL  &&
                            row.CDPRECOBASE == widgetPed.currentRow.CDPRECOBASE &&
                            row.CDMODPGTO == modPgto;
                });   
                widgetPed.currentRow.paramPreco = paramPreco[0].VRPEADPBASE;
            }    
        });    
    };
    
    this.verifyParamPreco = function (){
        var widgetPed   = templateManager.container.getWidget('widgetPedido');
        var widgetItens = templateManager.container.getWidget('widgetItens');
        // var widgetModpgto = templateManager.container.getWidget('widgetModpgtoPed');
        var data = widgetPed.getField('NMFILIAL').dataSource.data.filter(function(data){ return data.CDFILIAL == widgetPed.appliedFilter.FILTER_ROW.CDFILIAL;});
        var filter = [
            {
                "name": "P_CDEMPRESA",
                "operator": "=",
                "value":  data[0].CDEMPRESA
            },
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": widgetPed.currentRow.CDFILIAL
            }
        ];
        General.callRestEngine('ped#/crud/precouti_filial', "FilterData", filter).then(function(success){
            var modPgto = widgetPed.currentRow.CDMODPGTO;
            var paramPreco = success.dataset.precouti_filial.filter(function(row){ 
                return  row.CDEMPRESA == data[0].CDEMPRESA &&
                        row.CDFILIAL == widgetPed.currentRow.CDFILIAL  &&
                        row.CDPRECOBASE == widgetPed.currentRow.CDPRECOBASE &&
                        row.CDMODPGTO == modPgto;
            });   
            if (paramPreco.length > 0){
                widgetPed.currentRow.paramPreco   = paramPreco[0].VRPEADPBASE;
                widgetItens.currentRow.VRPREUNITPED = parseFloat(widgetItens.currentRow.VRPREUNITPED) + parseFloat((widgetItens.currentRow.VRPREUNITPED * paramPreco[0].VRPEADPBASE)/100);
                // widgetItens.currentRow.VRPREUNITPED = parseFloat(widgetItens.currentRow.VRPREUNITPED.toFixed(2));
            } else {
                widgetPed.currentRow.paramPreco = 0;
            }
            return true;
        });
    }; 

    this.calcValorTotal = function (widget) {
        var qtItem = widget.currentRow.QTITEMPED;
        if (typeof(qtItem) == 'string') {
            // qtItem = qtItem.replace(/\./g, "");
            qtItem = qtItem.replace(',', '.');
            qtItem = parseFloat(qtItem);
            // qtItem = parseFloat(qtItem.replace(',', '.'));
        }
        // widget.currentRow.QTITEMPED = qtItem;
        var vrUnit = parseFloat(widget.currentRow.VRPREUNITPED);
        if (vrUnit) {
            if (typeof(vrUnit) == 'string') {
                
                // vrUnit = vrUnit.replace(/\./g, '');
                vrUnit+=" ";
                vrUnit = vrUnit.replace(',', '.');
                vrUnit = parseFloat(vrUnit);
                // vrUnit = parseFloat(vrUnit.replace(',', '.'));
            }
        }

        var vrTotal   = (parseFloat(widget.currentRow.VRTOTALITEMSEMIMP) > 0) ? parseFloat(widget.currentRow.VRTOTALITEMSEMIMP) : 0;
        var desconto = widget.currentRow.PERDESC;
        // desconto = desconto.replace(/\./g, '');
        desconto+=" ";
        desconto = desconto.replace(',', '.');
        desconto = parseFloat(desconto);
        
        if (qtItem && vrUnit) {
            vrTotal = vrUnit * qtItem;
            desconto = desconto/100;
            desconto = desconto * vrTotal;
            if (desconto){
                vrTotal = vrTotal - desconto;
                widget.currentRow.VRDESITPED = desconto;

            }
            vrTotal = vrTotal.toFixed(2);
            vrTotal = parseFloat(vrTotal);

            widget.currentRow.VRTOTALITEMSEMIMP = vrTotal;
        }
    }; 

    this.calcValorDesc = function(widget) {
        if (widget.currentRow.PERDESC >= 100) {
            ScreenService.showMessage('O Preço do produto não pode ser menor ou igual a 0.');
            widget.currentRow.PERDESC = 99;
        }
        // var qtItem = parseFloat(widget.currentRow.QTITEMPED);
        // var vrUnit = parseFloat(widget.currentRow.VRPREUNITPED);
        
        var qtItem = widget.currentRow.QTITEMPED;
        var vrUnit = widget.currentRow.VRPREUNITPED;
        
        // qtItem = qtItem.replace(/\./g, "");
        qtItem +=" ";
        qtItem = qtItem.replace(',', '.');
        qtItem = parseFloat(qtItem);
            
        // vrUnit = vrUnit.replace(/\./g, '');
        vrUnit+=" ";
        vrUnit = vrUnit.replace(',', '.');
        vrUnit = parseFloat(vrUnit);
        
        var vrPed = vrUnit * qtItem;

        var desconto = widget.currentRow.PERDESC;
        if (desconto) {
            if (typeof(desconto) == 'string') {
                // desconto = desconto.replace(/\./g, "");
                desconto = parseFloat(desconto.replace(',', '.'));
            }
        } else {
            desconto = 0;
            widget.currentRow.PERDESC = desconto;
        }

        var vrdesconto = (desconto*vrPed)/100;
        vrdesconto = vrdesconto.toFixed(2);

        vrdesconto = parseFloat(vrdesconto);
        widget.currentRow.VRDESITPED = vrdesconto;

        if (widget.currentRow.PERDESC === 0) {
            widget.currentRow.VRTOTALITEMSEMIMP = widget.currentRow.VRITEPREBASE * widget.currentRow.QTITEMPED;
        }

        this.validaDesconto(widget);

        if (widget.isValid() && parseFloat(widget.currentRow.VRTOTALITEMSEMIMP) !==0 ) {
            this.calcValorTotal(widget);
        }
    }; 
    
    

    this.calcPercDesc = function(widget) {

        // var qtItem = parseFloat(widget.currentRow.QTITEMPED);
        // var vrUnit = parseFloat(widget.currentRow.VRPREUNITPED);
        
        var qtItem = widget.currentRow.QTITEMPED;
        var vrUnit = widget.currentRow.VRPREUNITPED;
        
        // qtItem = qtItem.replace(/\./g, "");
        qtItem +=" ";
        qtItem = qtItem.replace(',', '.');
        qtItem = parseFloat(qtItem);
            
        // vrUnit = vrUnit.replace(/\./g, '');
        vrUnit+=" ";
        vrUnit = vrUnit.replace(',', '.');
        vrUnit = parseFloat(vrUnit);
        
        var vrPed = vrUnit * qtItem;
        if (typeof(widget.currentRow.VRDESITPED) == 'string') {
            parseFloat(widget.currentRow.VRDESITPED.replace(',','.'));
        }
        if (widget.currentRow.VRDESITPED >= widget.currentRow.VRTOTALITEMSEMIMP) {
            ScreenService.showMessage('O Preço do produto não pode ser menor ou igual a 0.');
            widget.currentRow.VRDESITPED = (vrPed-(vrPed*0.01));
        }
        
        var vrDesc = widget.currentRow.VRDESITPED;
        if (vrDesc) {
            if (typeof(vrDesc) == 'string') {
                // vrDesc = vrDesc.replace(/\./g, '');
                vrDesc = vrDesc.replace(',', '.');
                vrDesc = parseFloat(vrDesc);

            }
        } else {
            vrDesc = 0;
            widget.currentRow.VRDESITPED =  vrDesc;
        }

        var percDesc = (vrDesc*100)/vrPed;
        // var percDesc = (parseFloat(vrDesc)*100)/vrPed;
        percDesc = percDesc.toFixed(4);
        percDesc = parseFloat(percDesc);

        widget.currentRow.PERDESC = percDesc;

        if (widget.currentRow.VRDESITPED === 0) {
            widget.currentRow.VRTOTALITEMSEMIMP = widget.currentRow.VRITEPREBASE * widget.currentRow.QTITEMPED;
        }

        this.validaDesconto(widget);
        if (widget.isValid() && parseFloat(widget.currentRow.VRTOTALITEMSEMIMP) !==0 && widget.currentRow.PERDESC < 100) {
            this.calcValorTotal(widget);
        }
    }; 

    this.validaDesconto = function(widget) {
        /*  '1' 'Não verifica o desconto máximo'
            '2' 'Verifica o desconto máximo e emite mensagem de aviso'
            '3' 'Bloqueia a inclusão de desconto acima do desconto máximo'*/
        var verifica = this.parametros.IDUTDESCMAXI ? this.parametros.IDUTDESCMAXI : null;
        var filter = [{
                "name": "CDPRECOBASE",
                "operator": "=",
                "value": widget.getParent().currentRow.CDPRECOBASE
            },
            {
                "name": "CDPAIS",
                "operator": "=",
                "value": widget.getParent().currentRow.CDPAIS
            },
            {
                "name": "SGESTADO",
                "operator": "=",
                "value": widget.getParent().currentRow.SGESTADO
            },
            {
                "name": "CDPRODUTO",
                "operator": "=",
                "value": widget.currentRow.CDPRODUTO
            }
        ];
        General.callRestEngine('ped#/crud/itdesprebase', "FilterData", filter).then(function(callback) {
            var descTab = callback.dataset.itdesprebase;
            var isValid = true;
            if (this.parametros.IDUTDESCMAXI !== "1" && this.parametros.IDUTDESCMAXI) {
                // callback.dataset.itdesprebase[0].VRPEMAXDESVE = !(callback.dataset.itdesprebase[0].VRPEMAXDESVE) ? null : callback.dataset.itdesprebase[0].VRPEMAXDESVE;

                // var cliente = widget.getParent().getField('NMRAZSOCCLIE').dataSource.data.find(function(value) {
                //     return value.CDCLIENTE == widget.getParent().currentRow.CDCLIENTE;
                // });

                var filterCliente = [{
                    "name": "CDCLIENTE",
                    "operator": "=",
                    "value": widget.getParent().currentRow.CDCLIENTE
                }];

                General.callRestEngine('ped#/crud/cliente_vendedor', "FilterData", filterCliente).then(function(cliente) {


                    var descontoClie = cliente.dataset.cliente_vendedor[0].VRPEMAXDESCL ? cliente.dataset.cliente_vendedor[0].VRPEMAXDESCL : null;
                    var descontoVendedor = widget.getParent().currentRow.VRPEMAXDESVE ? widget.getParent().currentRow.VRPEMAXDESVE : null;
                    var descontoProd = descTab[0] ? descTab[0].VRPEMAXDESPR : null;
                    var descontoMaximo = null;

                    if (descontoClie > descontoVendedor && descontoClie > descontoProd) {
                        descontoMaximo = descontoClie;
                    } else {
                        descontoMaximo = descontoProd > descontoVendedor ? descontoProd : descontoVendedor;
                    }
                    

                    // var descontoMaximo = 0;
                    // if (cliente.dataset.cliente_vendedor[0].VRPEMAXDESCL!= null){
                    // descontoMaximo = cliente.dataset.cliente_vendedor[0].VRPEMAXDESCL;
                    // }
                    // if (widget.getParent().currentRow.VRPEMAXDESVE != null) {
                    //     var desconto = parseFloat(cliente.dataset.cliente_vendedor[0].VRPEMAXDESCL) > parseFloat(widget.getParent().currentRow.VRPEMAXDESVE) ? cliente.VRPEMAXDESCL : widget.getParent().currentRow.VRPEMAXDESVE;
                    //     if (descTab[0] && descTab.length) {
                    //         desconto = parseFloat(descontoMaximo) > parseFloat(descTab[0].VRPEMAXDESPR) ? descontoMaximo : descTab[0].VRPEMAXDESPR;
                    //     }
                    // }
                    if (parseFloat(widget.currentRow.PERDESC) > parseFloat(descontoMaximo)) {
                        //Validação confirma
                        if (verifica == 2) {
                            ScreenService.confirmMessage(ScreenService.i18n('Deseja gravar o desconto acima do recomendado para o item?'), 'question', function(success) {
                                    widget.isValidDesc = isValid;
                                }.bind(this),
                                function(error) {
                                    widget.currentRow.PERDESC = 0;
                                    widget.currentRow.VRDESITPED = 0;
                                    isValid = false;
                                }.bind(this));
                        } else if (verifica == 3){
                            widget.currentRow.PERDESC = 0;
                            widget.currentRow.VRDESITPED = 0;
                            this.calcValorTotal(widget);
                            this.calcImpostoItem();
                            ScreenService.showMessage('Desconto maior que o permitido.');
                            isValid = false;

                            widget.currentRow.VRTOTALITEM = 0;

                        }
                    }
                }.bind(this));


                /*if ( cliente && cliente.VRPEMAXDESCL && cliente.VRPEMAXDESCL > 0 && widget.currentRow.PERDESC > cliente.VRPEMAXDESCL ) {
                    ScreenService.showMessage('Desconto maior que o permitido para este Cliente');
                    if (this.parametros.IDUTDESCMAXI == 3) {
                        widget.currentRow.PERDESC = cliente.VRPEMAXDESCL;
                        widget.currentRow.VRDESITPED = (widget.currentRow.VRITEPREBASE-(widget.currentRow.VRITEPREBASE*(cliente.VRPEMAXDESCL/100)));
                    }
                } else if (widget.currentRow.PERDESC > this.vendedor.VRPEMAXDESVE && this.vendedor.VRPEMAXDESVE && cliente.VRPEMAXDESCL > 0){
                    ScreenService.showMessage('Desconto maior que o permitido para este Vendedor');
                }*/
            }
            widget.isValidDesc = isValid;
        }.bind(this));
    };


    this.setPrevisaoMobile = function (widget) {
        if (widget.dataSource.data.length !== 0) {
            for (var i = 0; i < widget.dataSource.data.length; i++) {
                var dataPed = widget.getParent().getField("DTPEDIDO").value();
                var diasPg = widget.dataSource.data[i].NRDIASPGTOPED;
                var dtPrevisao = this.calcPreview(dataPed, diasPg);
                widget.dataSource.data[i].PREVISAO = dtPrevisao;
            }
        }
    }; 

    this.minDate = function (widget) {
        widget.getField('PREVISAO').minDate = widget.getParent().getField('DTPEDIDO').value();
    }; 
    
    this.filterPromocao = function (widget) {
        if (widget.currentRow.CDARVPROD) {
            var produto = this.dataProduto.find(function(value){return value.CDARVPROD == widget.getField('CDARVPROD').value();});
            var tpPreco = 'O';
            if (widget.currentRow.VRPREUNITPED == produto.VRITEPREBASE) {
                tpPreco = 'N';
            }
            if (widget.currentRow.IDITPEDDIFER == 'P' && !produto.VRTOTALPROMO) {
                ScreenService.showMessage('Não há Promoção Cadastrada para este Produto');
                widget.currentRow.IDITPEDDIFER = tpPreco;
            } else if (widget.currentRow.IDITPEDDIFER == 'G' && !produto.VRTOTALPROMO) {
                ScreenService.showMessage('Não há Promoção Cadastrada para este Produto');
                widget.currentRow.IDITPEDDIFER = tpPreco;
            } else if (widget.currentRow.IDITPEDDIFER == 'G' || widget.currentRow.IDITPEDDIFER == 'P' && produto.VRTOTALPROMO) {
                widget.currentRow.VRPREUNITPED = produto.VRTOTALPROMO;
            }
            if (widget.currentRow.IDITPEDDIFER == 'N'){
                widget.currentRow.VRPREUNITPED = produto.VRITEPREBASE;
            }
        }
    }; 
    /* global moment*/

    this.calcPrazo = function (dtPedido, dtPrevisao) {
        dtPedido = moment(dtPedido, 'DD/MM/YYYY');
        dtPrevisao = moment(dtPrevisao, 'DD/MM/YYYY');
        var diasPg = dtPrevisao.diff(dtPedido, 'days');
        diasPg = parseInt(diasPg);
        return diasPg;
    }; 

    this.deletePrazo = function (widget) {
        var msg_excluir = ScreenService.i18n("Deseja excluir o prazo?");
        ScreenService.showCustomDialog(msg_excluir, 'question', 'question', [{
            label: ScreenService.i18n("Sim"),
            code: function(){
                if (Util.isMobile()) {
                    this.excluiPrazo(widget);
                } else  {
                    widget.dataSource.data.splice(widget.dataSource.data.indexOf(widget.currentRow), 1);
                }
            }.bind(this)
        },{
            label: ScreenService.i18n("Não"),
            code: function(){}.bind(this)
        }]);
    }; 

    this.excluiPrazo = function (widget) {
        if (this.prazos.length) {
            for (var i = this.prazos.length-1; i >= 0; i--) {
                if (this.prazos[i].NRPEDIDO == widget.currentRow.NRPEDIDO && this.prazos[i].NRDIASPGTOPED == widget.currentRow.NRDIASPGTOPED) {
                    this.prazos.splice(i,1);
                }
            }
            Ped00100_lancamentoPedido_Service.setData("ped#/prazopgtoped", this.prazos).then(function(){
                ScreenService.closeSwipe();
                widget.reload();
            });
        }
    }; 
    
    this.editMensage = function (widget) {

        widget.currentRow.CDMENSAGEM = '';
    }; 

    this.fechaPopupResAprovacao = function (widget) {
        
        ScreenService.closePopup(widget);
        
        ScreenService.closePopup();
        
        widget.container.getWidget('widgetPedido').unSelectAll();
        this.enableDupPed();
    };
    
    this.setDadosTransportadora = function(){
        var widget = templateManager.container.getWidget('transportadora');
        
        var widgetPedido = widget.getParent();
        
        if(widgetPedido.currentRow.__is_new){
            var paramped = this.parametros;
            if(paramped.IDOBRINFTRAN == '2'){
                // tornar campos obrigatórios
                widget.getField('NRINSJURTRAN').validations = {required: true};
                widget.getField('NMRAZSOCTRAN').validations = {required: true};
                widget.getField('CDTIPTRANS').validations = {required: true};
                widget.getField('NMTIPTRANS').validations = {required: true};
                widget.getField('IDPGFRETTRAN').validations = {required: true};
                widget.reload();
            }
            
            restEngine.post('ped#/crud/cliente_parametrizacoes', {
                "requestType": "FilterData",
                "filter": [{
                    "name": "CDCLIENTE",
                    "operator": "=",
                    "value": widget.getParent().currentRow.CDCLIENTE
                }]
            }).then(function(callback){
                if(callback.dataset.cliente_parametrizacoes.length > 0){
                    var rowCli = callback.dataset.cliente_parametrizacoes[0];
                    
                    widget.getField('NRINSJURTRAN').setValue(rowCli.NRINSJURTRAN ? rowCli.NRINSJURTRAN : '');
                    widget.getField('NMRAZSOCTRAN').setValue(rowCli.NMRAZSOCTRAN ? rowCli.NMRAZSOCTRAN : '');
                    widget.getField('CDTIPTRANS').setValue(rowCli.CDTIPTRANS ? rowCli.CDTIPTRANS : '');
                    widget.getField('NMTIPTRANS').setValue(rowCli.NMTIPTRANS ? rowCli.NMTIPTRANS : '');
                    widget.getField('IDPGFRETTRAN').setValue(rowCli.IDPGFRETTRANCLI ? rowCli.IDPGFRETTRANCLI : '');
                    
                    templateManager.container.getWidget('widgetPedido').currentRow.NRINSJURTRAN = rowCli.NRINSJURTRAN;
                    templateManager.container.getWidget('widgetPedido').currentRow.IDTPIJURTRAN = rowCli.IDTPIJURTRAN;
                    templateManager.container.getWidget('widgetPedido').currentRow.CDTIPTRANS   = rowCli.CDTIPTRANS;
                    templateManager.container.getWidget('widgetPedido').currentRow.IDPGFRETTRAN = rowCli.IDPGFRETTRANCLI;
                }
            });
            
            restEngine.post('ped_pedidos#/crud/endeclie_transportadora', {
                "requestType": "FilterData",
                "filter": [{
                    "name": "CDCLIENTE",
                    "operator": "=",
                    "value": widget.getParent().currentRow.CDCLIENTE
                }]
            }).then(function(callback){
                if(callback.dataset.endeclie_transportadora.length > 0){
                    
                    var rowEnd;
                    var endEntrega = callback.dataset.endeclie_transportadora.filter((row) => {
                        return row.IDTPENDECLIE === 'T';
                    });
                    
                    if(endEntrega.length > 0)
                        rowEnd = endEntrega;
                    else
                        rowEnd = callback.dataset.endeclie_transportadora.filter((row) => {
                            return row.IDTPENDECLIE === 'P';
                        });
                    
                    rowEnd = rowEnd[0];
                    widget.getField('DSENDECLIE').setValue(rowEnd.DSENDECLIE);
                    widget.getField('NMBAIRRO').setValue(rowEnd.NMBAIRCLIE);
                    widget.getField('NMPAIS').setValue(rowEnd.NMPAIS);
                    widget.getField('NMESTADO').setValue(rowEnd.NMESTADO);
                    widget.getField('NMMUNICIPIO').setValue(rowEnd.NMMUNICIPIO);
                    widget.getField('NRCEPCLIE').setValue(rowEnd.NRCEPCLIE);
                    
                    var rowToSave = {};
                    rowToSave.CDFILIAL       = widget.getParent().currentRow.CDFILIAL;
                    rowToSave.NRPEDIDO       = widget.getParent().currentRow.NRPEDIDO;
                    rowToSave.NMRAZSOCPED    = widget.getParent().currentRow.NMRAZSOCCLIE;
                    rowToSave.CDCLIENTE      = widget.getParent().currentRow.CDCLIENTE;
                    rowToSave.NRINSJURPED    = widget.getParent().currentRow.NRINSJURCLIE;
                    rowToSave.IDTPENDECLIE   = rowEnd.IDTPENDECLIE;
                    
                    rowToSave.DSENDEPED      = rowEnd.DSENDECLIE;
                    rowToSave.NRCEPPED       = rowEnd.NRCEPCLIE;
                    
                    rowToSave.NMPAISPED      = rowEnd.NMPAIS;
                    rowToSave.NMMUNIPED      = rowEnd.NMMUNICIPIO;
                    rowToSave.NMBAIRROPED    = rowEnd.NMBAIRCLIE;
                    rowToSave.NMESTADOPED    = rowEnd.NMESTADO;
                    
                    rowToSave.SGESTADOPED    = rowEnd.SGESTADO;
                    rowToSave.CDPAISPED      = rowEnd.CDPAIS;
                    rowToSave.CDMUNICIPIOPED = rowEnd.CDMUNICIPIO;
                    
                    rowToSave.NRSEQEND       = '1';
                    rowToSave.NRORG          = '';
                    rowToSave.__is_new       = true;
                    
                    widget.currentRow.DADOSENDPED = rowToSave;
                    
                }
            });
            
        }
    };
    
    this.getDadosTransportadora = function (widget) {
        
        var widgetPedido = widget.getParent();
        
        if(!widgetPedido.currentRow.__is_new){
            var filial = General.getFieldValue('CDFILIAL','widgetPedido');
    
            // busca dados de transportadora do pedido e seta nos fields
            var filter = [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": filial
                },
                {
                    "name": "NRPEDIDO",
                    "operator": "=",
                    "value": widget.getParent().currentRow.NRPEDIDO
                }
            ];
            General.callRestEngine('ped_pedidos#/pedido_completa_transp', "FilterData", filter).then(function(callback){
                // widget.dataSource.data = callback.dataset.pedido_completa;
                
                var row = callback.dataset.pedido_completa_transp[0];
                
                widget.getField('CDROTATRANSPED').setValue(row.CDROTATRANSPED);
                widget.getField('NMROTATRANS').setValue(row.NMROTATRANS);
                
                widget.getField('NRINSJURTRAN').setValue(row.NRINSJURTRAN);
                widget.getField('NMRAZSOCTRAN').setValue(row.NMRAZSOCTRAN);
                // widget.getField('IDTPIJURTRAN').setValue(row.IDTPIJURTRAN);
                
                widget.getField('CDTIPTRANS').setValue(row.CDTIPTRANS);
                widget.getField('NMTIPTRANS').setValue(row.NMTIPTRANS);
                
                widget.getField('IDPGFRETTRAN').setValue(row.IDPGFRETTRAN);
                
                widget.reload();
            });
            
            // busca dados de endereço e seta nos fields
            restEngine.post('ped#/crud/dadosendped', {
                "requestType": "FilterData",
                "filter": [{
                    "name": "NRPEDIDO",
                    "operator": "=",
                    "value": widget.getParent().currentRow.NRPEDIDO
                }]
            }).then(function(callback){
                if(callback.dataset.dadosendped.length > 0){
                    var rowEnd = callback.dataset.dadosendped[0];
                    widget.getField('DSENDECLIE').setValue(rowEnd.DSENDEPED);
                    widget.getField('NMBAIRRO').setValue(rowEnd.NMBAIRROPED);
                    widget.getField('NMPAIS').setValue(rowEnd.NMPAISPED);
                    widget.getField('NMESTADO').setValue(rowEnd.NMESTADOPED);
                    widget.getField('NMMUNICIPIO').setValue(rowEnd.NMMUNIPED);
                    widget.getField('NRCEPCLIE').setValue(rowEnd.NRCEPPED);
                }
            });
            
            /* habilita campos de transportadora */
            
            var result = widget.container.getWidget('widgetPedido').mode == 'edit';
            widget.getAction('ATUALIZA_ENDERECO').isVisible = !result;
            widget.getField('NMROTATRANS').readOnly = !result;
            widget.getField('NMRAZSOCTRAN').readOnly = !result;
            widget.getField('NMTIPTRANS').readOnly = !result;
            widget.getField('IDPGFRETTRAN').readOnly = !result;
            
            widget.getField('DSENDECLIE').readOnly = !result;
            
            /* fim controel campos de transportadora*/
            
        }
    };
    
    this.validaDadosEndEntrega = function(widget){
		widget.currentRow.DADOSENDPED = null;
    };
    
    this.setFieldChangePedido = function(nameFields){
        
        nameFields.forEach(function(nameField) {
            var valueField = templateManager.container.getWidget('transportadora').getField(nameField).value();
            templateManager.container.getWidget('widgetPedido').currentRow[nameField] = valueField;
        });
        
    };
    
    this.atualizaEndeTransportadora = function(widget){
        restEngine.post('ped_pedidos#/crud/endeclie_transportadora', {
            "requestType": "FilterData",
            "filter": [{
                "name": "CDCLIENTE",
                "operator": "=",
                "value": widget.getParent().currentRow.CDCLIENTE
            }]
        }).then(function(callback){
            if(callback.dataset.endeclie_transportadora.length > 0){
                
                var rowEnd;
                var endEntrega = callback.dataset.endeclie_transportadora.filter((row) => {
                    return row.IDTPENDECLIE === 'T';
                });
                
                if(endEntrega.length > 0)
                    rowEnd = endEntrega;
                else
                    rowEnd = callback.dataset.endeclie_transportadora.filter((row) => {
                        return row.IDTPENDECLIE === 'P';
                    });
                
                rowEnd = rowEnd[0];
                widget.getField('DSENDECLIE').setValue(rowEnd.DSENDECLIE);
                widget.getField('NMBAIRRO').setValue(rowEnd.NMBAIRCLIE);
                widget.getField('NMPAIS').setValue(rowEnd.NMPAIS);
                widget.getField('NMESTADO').setValue(rowEnd.NMESTADO);
                widget.getField('NMMUNICIPIO').setValue(rowEnd.NMMUNICIPIO);
                widget.getField('NRCEPCLIE').setValue(rowEnd.NRCEPCLIE);
                
                var rowToSave = {};
                rowToSave.CDFILIAL       = widget.getParent().currentRow.CDFILIAL;
                rowToSave.NRPEDIDO       = widget.getParent().currentRow.NRPEDIDO;
                // rowToSave.NMRAZSOCPED    = widget.getParent().currentRow.NMRAZSOCPED;
                // rowToSave.CDCLIENTE      = widget.getParent().currentRow.CDCLIENTE;
                // rowToSave.NRINSJURPED    = widget.getParent().currentRow.NRINSJURCLIE;
                rowToSave.IDTPENDECLIE   = rowEnd.IDTPENDECLIE;
                
                rowToSave.DSENDEPED      = rowEnd.DSENDECLIE;
                rowToSave.NRCEPPED       = rowEnd.NRCEPCLIE;
                
                rowToSave.NMPAISPED      = rowEnd.NMPAIS;
                rowToSave.NMMUNIPED      = rowEnd.NMMUNICIPIO;
                rowToSave.NMBAIRROPED    = rowEnd.NMBAIRCLIE;
                rowToSave.NMESTADOPED    = rowEnd.NMESTADO;
                
                rowToSave.SGESTADOPED    = rowEnd.SGESTADO;
                rowToSave.CDPAISPED      = rowEnd.CDPAIS;
                rowToSave.CDMUNICIPIOPED = rowEnd.CDMUNICIPIO;
                
                // rowToSave.NRSEQEND       = '1';
                rowToSave.__is_new       = false;
                rowToSave.changed        = true;
                
                // widget.currentRow.DADOSENDPED = rowToSave;
                restEngine.post('ped#/crud/dadosendped/save', {
                    "requestType": "Row",
                    "row": rowToSave
                });
            }
        });
    };

    this.getDadosAdic = function (widget) {
        Ped00100_lancamentoPedido_Service.getData("ped_pedidos#/crud/dadosadicped").then(function(callback){
            var dadosAdic = null;
            dadosAdic = callback.filter(function(value){return value.NRPEDIDO == widget.getParent().currentRow.NRPEDIDO;});

            if (dadosAdic.length > 0 && widget.getParent().currentRow.__is_new) {
                widget.dataSource.data = dadosAdic;
            } else if (!(widget.getParent().currentRow.__is_new)) {
                var filial;
                for (var i = 0; i < widget.getParent().dataSourceFilter.length; i++) {
                    if (widget.getParent().dataSourceFilter[i].name == 'CDFILIAL'){
                        filial = widget.getParent().dataSourceFilter[i].value;
                    }
                }
                var filter = [
                    {
                        "name": "CDFILIAL",
                        "operator": "=",
                        "value": filial
                    },
                    {
                        "name": "NRPEDIDO",
                        "operator": "=",
                        "value": widget.getParent().currentRow.NRPEDIDO
                    }
                ];
                // widget.dataSourceFilter = filter;
                General.callRestEngine('ped_pedidos#/crud/dadosadicped', "FilterData", filter).then(function(callback){
                    widget.dataSource.data = callback.dataset.dadosadicped;
                });
            } else if (widget.getParent().currentRow.__is_new){
                widget.dataSource.data = dadosAdic;
            }
        }.bind(this));
    };

    this.prepareToSaveDadosAdic = function (widget) { 
        if (widget.isValid()) {
            if (widget.getParent().currentRow.__is_new) {
                this.armazenaDadosAdic(widget);
            } else {
                this.saveDadosAdic(widget);
                widget.reload();
            }
        }
    };

    this.armazenaDadosAdic = function (widget) {
        var filial;
        for (var i = 0; i < widget.getParent().dataSourceFilter.length; i++) {
            if (widget.getParent().dataSourceFilter[i].name == 'CDFILIAL'){
                filial = widget.getParent().dataSourceFilter[i].value;
            }
        }
        widget.currentRow.CDFILIAL = filial;
        widget.currentRow.NRPEDIDO = widget.getParent().currentRow.NRPEDIDO;
        widget.currentRow.NRORG = widget.getParent().currentRow.NRORG;
        Ped00100_lancamentoPedido_Service.saveData('ped_pedidos#/crud/dadosadicped', widget.dataSource.data).then(function(){
            widget.activate();
            widget.view();
            ScreenService.goBack();
            ScreenService.showMessage('Salvo com sucesso.');
            
            /* 
            * Método criado para desabilitar o grid de pedidos no backgroud do swipe
            */
            this.desabilitaBackgroundPedido('widgetDadosAdicionais');
            
        }.bind(this)).catch(function(error){
            var erroAosalvar = ScreenService.i18n("Erro ao salvar.");
            ScreenService.showMessage(erroAosalvar+' '+error);
            
            /* 
            * Método criado para desabilitar o grid de pedidos no backgroud do swipe
            */
            this.desabilitaBackgroundPedido('widgetDadosAdicionais');
            
        }.bind(this));

    };

    this.saveDadosAdic = function (widget) {
        if (widget.currentRow.__is_new) {
            var filial;
            for (var i = 0; i < widget.getParent().dataSourceFilter.length; i++) {
                if (widget.getParent().dataSourceFilter[i].name == 'CDFILIAL'){
                    filial = widget.getParent().dataSourceFilter[i].value;
                }
            }
            widget.currentRow.CDFILIAL = filial;
            widget.currentRow.NRPEDIDO = widget.getParent().currentRow.NRPEDIDO;
            widget.currentRow.NRORG = widget.getParent().currentRow.NRORG;
            General.callRestEngine('ped_pedidos#/dadosadicped/save', "Row", widget.currentRow).then(function(callback){
                widget.activate();
                widget.view();
                ScreenService.goBack();
                ScreenService.showMessage('Salvo com sucesso.');
            }).catch(function(error){
                var erroSalvar_msg = ScreenService.i18n("Erro ao salvar.");
                ScreenService.showMessage( erroSalvar_msg + ' '+error);
            });
        } else {
            General.saveCrud(widget);
        }
        // widget.currentRow.NRDADOADICPED = widget.parent.currentRow.NRDADOADICPED; // preciso pegar o maior
        // widget.currentRow.DSDADOADICPED = widget.parent.currentRow.DSDADOADICPED;
    };

    this.removeDadosAdic = function (widget) {
        if (widget.getParent().currentRow.__is_new) {
            var excluirRegistro_msg = ScreenService.i18n("Deseja Excluir o Registro?");
            ScreenService.showCustomDialog(excluirRegistro_msg, 'question', 'question', [{
            label: ScreenService.i18n("Sim"),
                code: function(){
                    for(var i=0; i < widget.dataSource.data.length; i++) {
                        if(widget.dataSource.data[i] == widget.currentRow) {
                            widget.dataSource.data.splice(i,1);
                        }
                    }
                    Ped00100_lancamentoPedido_Service.setData('ped_pedidos#/crud/dadosadicped', widget.dataSource.data).then(function(){
                        widget.activate();
                        widget.view();
                        ScreenService.goBack();
                        ScreenService.showMessage('Deletado com sucesso.');
                    }).catch(function(error){
                        var erroExcluir = ScreenService.i18n("Erro ao excluir.");
                        ScreenService.showMessage(erroExcluir+' '+error);
                    });
                }.bind(this)
            },{
                label: ScreenService.i18n("Não"),
                code: function(){}.bind(this)
            }]);
        } else {
            General.deleteCrud(widget);
        }
    };
    
    this.reloadPedido = function(){
        var widget = templateManager.container.getWidget('widgetPedido');
        widget.reload();
    };
    
    this.abrirPopUpVendedores = function(widget) {
      
      var popUpWidget = widget.container.getWidget('popUpVendedores');
      
      popUpWidget.reload();
          
      ScreenService.openPopup(popUpWidget);
        
    };
    
    this.tiraVendedoresCache = function() {
     
     return Ped00100_lancamentoPedido_Service.getData('ped#/crud/vendedor').then(function(sucess){
          var vendedores = sucess;
          
          this.deletaCacheVendedores();
          
          return vendedores;
      }.bind(this));
      
    
    };
    
    
    this.deletaCacheItemCompleta = function() {
        
        localStorage.removeItem("ped#/crud/itempedido_completa");
        
        Ped00100_lancamentoPedido_Service.setData("ped#/crud/itempedido_completa",[]);
        
    };
    
    this.deletaCachePrazoPgtoPed = function() {
        
        localStorage.removeItem("ped#/crud/prazopgtoped");
        
        Ped00100_lancamentoPedido_Service.setData("ped#/crud/prazopgtoped",[]);
        
    };
    
    this.cancelarLancamentoDePedidos = function(args) {
        
        General.backOrCancel(args); 
        
        this.deletaCacheVendedores();
        
        this.deletaCacheItemCompleta();
        
        this.deletaCachePrazoPgtoPed();

        args.owner.widget.reload();
        
    };
    
    this.consultaVendedoresCache = function(widget) {
        
        Ped00100_lancamentoPedido_Service.getData('ped#/crud/vendedor').then(function(sucess){
          var vendedores = sucess;
          
          var sincVend = [];
          
          if(vendedores.length > 0) {
                    
                    vendedores.forEach(function(vend) {
                        
                        sincVend.push(widget.dataSource.data.filter(function(vendF){ 
                            
                            return vendF.CDVENDEDOR == vend.CDVENDEDOR;
                            
                        }.bind(this))[0] );
                        
                    }.bind(this));
                    
                    widget.dataSource.addCheckedRows(sincVend);
                
                    widget.vendInCache = true;
                
                }
          
          templateManager.updateTemplate();
          
      }.bind(this));
        
    };
    
    this.deletaCacheVendedores = function() {
        
        localStorage.removeItem("ped#/crud/vendedor");
        
        Ped00100_lancamentoPedido_Service.setData("ped#/crud/vendedor",[]);
        
    };
    
    this.filtraPopUpVendedores = function(widget) {
        
        var popUpWidget = widget;
        
        var widgetPedido = widget.container.getWidget('widgetPedido');
        
        if(widgetPedido.currentRow.CDVENDEDOR) {
         
        var cdVendedor = widgetPedido.currentRow.CDVENDEDOR;
          
        popUpWidget.dataSource.data = popUpWidget.dataSource.data.filter(function(vendedor){
            return vendedor.CDVENDEDOR != cdVendedor;
        }.bind(this)); 
        
        this.sincronizaVendPedAux(widget);
        
        }
    };
    
    
    this.fechaPopVendedores = function(widget) {
      
      widget.fechaPopUp = true;
      
      widget.unSelectAll();
     
      ScreenService.closePopup();
        
    };
    
    this.sincronizaVendPedAux = function(widget) {
        
        widget.sincroniza = true;
            
        widget.unSelectAll();
        
        if(!this.PedidoEhNovo()) {
            
            var sincVend = [];
            
            var pedidoWidget = widget.container.getWidget('widgetPedido');
            
            General.callRestEngine("ped_pedidos#/select_vendpedaux", "DataSet", [pedidoWidget.currentRow])
            .then(function(sucess){
                
                var vendedores = sucess.dataset.vendedores;
                
                if(vendedores.length > 0) {
                    
                    vendedores.forEach(function(vend) {
                        
                        sincVend.push(widget.dataSource.data.filter(function(vendF){ 
                            
                            return vendF.CDVENDEDOR == vend.CDVENDEDOR;
                            
                        }.bind(this))[0] );
                        
                    }.bind(this));
                    
                    widget.dataSource.addCheckedRows(sincVend);
                
                    widget.vendPedAuxRegistrado = true;
                
                }
                
            }.bind(this))
            .catch(function(fail){
                
                ScreenService.showMessage(fail);
                
            }.bind(this));
            
            this.consultaVendedoresCache(widget);
        
            
        } else {
            
            this.consultaVendedoresCache(widget);
            
        }
        
        
    };
    
    this.adicionarVendedores = function(widget) {
      
      this.vendPedAux = true;
      
      this.salvarVendedoresCache(widget);
      
    //   let todos = widget.dataSouce.data;
    //   let selecionados = widget.getCheckedRows();
      
    //   let paraDeletar = todos.filter(row => {
    //       return selecionados.some(selecionado =>{
    //           return selecionado != row;
    //       });
    //   });
        
    };
    
    this.desabilitaBackgroundPedido = function(widgetAtiva){
        var widgetPedido = templateManager.container.getWidget('widgetPedido');
        if(widgetPedido.currentRow.__is_new){
            templateManager.container.getWidget(widgetAtiva).editing = true;
            templateManager.updateTemplate();
        }else{
            templateManager.container.getWidget(widgetAtiva).editing = false;
            templateManager.updateTemplate();
        }
    };

    this.openExpedicaoPopUp = function() {
        var widgetPed = templateManager.container.getWidget('widgetPedido');
        var widget = templateManager.container.getWidget('expedirPedido');
        var cdfilial = widgetPed.appliedFilter.FILTER_ROW.CDFILIAL;
        
        widget.currentRow.CDTIPOOPER = '';
        widget.currentRow.NMTIPOOPER = '';
        widget.currentRow.CDSERIE = '';
        widget.currentRow.DSSERIE = '';
        
        widget.currentRow.CDSERIEENTR = '';
        widget.currentRow.DSSERIEENTR = '';
        widget.currentRow.CDTIPOOPERENTR = '';
        widget.currentRow.NMTIPOOPERENTR = '';
        
        if (widget.getField('DSSERIEENTR').dataSourceFilter) {
            widget.getField('DSSERIEENTR').dataSourceFilter =  [];
        }
        
        General.callRestEngine('ped#/crud/parexpedicao', 'FilterData', [{name: 'CDFILIAL', operator: '=', value: cdfilial}]).then(function(callback) {
            
            if (widgetPed.getField('NMTIPOOPER').requiredParam){
                widget.getField('DSSERIE').class = 12;
                widget.getField('NMTIPOOPER').isVisible = false;
                if(widget.getField('NMTIPOOPER').validations) {
                    delete widget.getField('NMTIPOOPER').validations;
                }
            } else {
                widget.getField('DSSERIE').class = 6;
                widget.getField('NMTIPOOPER').isVisible = true;
                // widget.getField('NMTIPOOPER').validations = {
                //     required: true
                // };
            }
            if (callback.dataset.parexpedicao.length > 0 && callback.dataset.parexpedicao[0].IDGERAREPLIC == '2') {
                widget.getField('DSSERIEENTR').isVisible = true;
                widget.getField('NMTIPOOPERENTR').isVisible = true;
            } else {
                widget.getField('DSSERIEENTR').isVisible = false;
                widget.getField('NMTIPOOPERENTR').isVisible = false;
            }
            var data = widgetPed.getField('NMFILIAL').dataSource.data.filter(function(data){ return data.CDFILIAL == cdfilial;});
            widget.getField('DSSERIE').dataSource.data = [];
            widget.getField('DSSERIE').dataSourceFilter =  [
            {
                name: "CDEMPRESA",
                operator: "=",
                value: data[0].CDEMPRESA
            },
            {
                name: "CDINSCESTA",
                operator: "=",
                value: data[0].CDINSCESTA
            },
            {
                name: "CDINSCMUNI",
                operator: "=",
                value: data[0].CDINSCMUNI
            }
        ];
            widget.getField('DSSERIE').reload();
            
            ScreenService.openPopup(templateManager.container.getWidget('expedirPedido'));
        });    
    }; 
    
    this.expedirPedido = function() {
        var widget = templateManager.container.getActiveWidget();
        var widgetPed = templateManager.container.getWidget('widgetPedido');
        var rows = widgetPed.getCheckedRows();
        for (var i = 0; i < rows.length; i++ ) {
            rows[i].CDSERIE = widget.currentRow.CDSERIE;
            
            if (!(widgetPed.getField('NMTIPOOPER').requiredParam)) {
                rows[i].CDTIPOOPER = widget.currentRow.CDTIPOOPER;
            }
            
            if (widget.getField('DSSERIEENTR').isVisible) {
                rows[i].CDSERIEENTR = widget.currentRow.CDSERIEENTR;
                rows[i].DSSERIEENTR = widget.currentRow.DSSERIEENTR;
                rows[i].CDTIPOOPERENTR = widget.currentRow.CDTIPOOPERENTR;
                rows[i].NMTIPOOPERENTR = widget.currentRow.NMTIPOOPERENTR;
            }
        }
        if (widget.isValid()) {
            Exp00200_lancamentoExpedicaoPedido_Service.expedirPedido([rows,[]]).then(function(callback){
                // ScreenService.showMessage('Pedido(s) expedido(s) com sucesso.');
                ScreenService.closePopup();
                ScreenService.closePopup(widget);
                widget.currentRow.CDSERIE = '';
                widget.currentRow.DSSERIE = ''; 
                widget.currentRow.CDTIPOOPER = '';
                widget.currentRow.NMTIPOOPER = '';
                widgetPed.unSelectAll();
                widgetPed.reload();
                var widgetRetornoExp = templateManager.container.getWidget('popUpRetornoExpedicao');
                
                callback.dataset.data.forEach(function(item){
                    item.DSERRO = ScreenService.i18n(item.DSERRO);
                    if(item.PRODUTO){
                        item.DSERRO = item.PRODUTO + item.DSERRO;    
                    }
                });
                
                setTimeout(function(){
                    ZHPromise.all(ScreenService.openPopup(widgetRetornoExp)).then(function(){
                        var data = callback.dataset.data;
                        for (var i = 0; i < data.length; i++ ) {
                            if (data[i].DSERRO == "PEDNFILDEST"){
                              data[i].DSERRO = 'Tipo de Operação necessita de Filial de Destino e o pedido não possui filial de destino informada.'; 
                            }else if (data[i].DSERRO == "TIPOOPERENTR"){
                              data[i].DSERRO= 'Tipo de Operacao de entrada não foi informada.'; 
                                
                            }else if (data[i].DSERRO== "SERIEENTR"){
                              data[i].DSERRO= 'Série da nota de entrada não foi informada.'; 
                                
                            }else if (data[i].DSERRO == "TPNREPLIC"){
                              data[i].DSERRO= 'Tipo de Operacao não tem Filial de Destino.'; 
                            }
                        }
                        widgetRetornoExp.dataSource.data = data;
                        widgetPed.reload();

                    });
                }, 1000);
            }.bind(this)).catch(function(callback){
                //ScreenService.showMessage(callback.data.error);
                if(callback.data.error.indexOf("erro_lote") > -1){
                    var itemSemLote = "ITEM_NAO_POSSUI_LOTE";
                    var parametros = callback.data.error.split("/");
                    MessageService.showMessageByCode(itemSemLote,{"NMPRODUTO":parametros[1], "NRPEDIDO":parametros[2], "NMRAZSOCCLIE":parametros[3]});                    
                }else{
                    ScreenService.showMessage(callback.data.error);
                }
                ScreenService.closePopup(widget).then(function(){
                    ScreenService.closePopup();
                });
            }.bind(this));
        }
        
    };

    this.visibilidadeComissaoAction = function(widget){
        var actionComissao = widget.getAction('COMISSAO');
        var rows = widget.getCheckedRows();
        if(rows.length != 1){
            actionComissao.isVisible = false;
        }else{
            actionComissao.isVisible = true;
        }
    };
    
    this.visibilidadeComissao = function(){
        var widget = templateManager.container.getWidget("widgetItens");
        var widgetComissao = templateManager.container.getWidget("widgetComissao");
        
        if(widget.getAction('novoItem').isVisible){
            widgetComissao.isVisible = false;    
        }else{
            widgetComissao.isVisible = true;
        }
    };
    
    this.abreComissao = function(){
        var widget = templateManager.container.getWidget("widgetPedido");
        var checkedRow = widget.getCheckedRows();
        ScreenService.openWindow('ped_pedidos#ped00102_comissao_vendedor').then(function(){
            var widgetItens =  templateManager.containers["ped_pedidos#ped00102_comissao_vendedor"].getWidget('widgetItensExterna');  
            widgetItens.dataSourceFilter = [];
            widgetItens.dataSourceFilter = [
                {
                    "name": "CDFILIAL",
                    "operator": "=",
                    "value": checkedRow[0].CDFILIAL
                },
                {
                    "name": "NRPEDIDO",
                    "operator": "=",
                    "value": checkedRow[0].NRPEDIDO
                }
            ];
            widgetItens.activate();
            widgetItens.reload();
        }.bind(this));
        // ScreenService.closePopup();
        // widget.unSelectAll();
        
    };
    
    this.fechaComissao = function(){
        ScreenService.openWindow('ped_pedidos#ped00100_lancamento_pedido').then(function(){
            var widget = templateManager.container.getWidget("widgetPedido");
            widget.unSelectAll();
            widget.reload();   
        });
    };
    
    this.visibilidadeItensExterna = function(){
        var widgetComissaoExterna = templateManager.container.getWidget('widgetComissaoExterna');
        widgetComissaoExterna.activate();
        widgetComissaoExterna.reload();
    };
    
    
    this.enviarEmail = function(){
        var widgetPedido = templateManager.container.getWidget('widgetPedido');
        var rows = widgetPedido.getCheckedRows();
        
        if(rows[0].DSEMAILCLIENFE){
            Ped00100_lancamentoPedido_Service.enviarEmail(rows).then(function(retornoEmai){
                ScreenService.showMessage('Email enviado com sucesso');
            }).catch(function(error){
                ScreenService.showMessage(error.data.error);
            });

        }else{
            ScreenService.showMessage('Cadastre o Email na tela de Cliente');
        }

        
    };
    
    this.deletePedido = function(widget){
        ScreenService.showCustomDialog('Deseja excluir o pedido?', 'question', 'question', [{
            label: ScreenService.i18n("Sim"),
            code: function(){
                var row = [];
                row.push(widget.currentRow);
                
                Ped00100_lancamentoPedido_Service.deletePedido(row).then(function(callback){
                    ScreenService.showMessage('Pedido excluído com sucesso!');
                    ScreenService.closeSwipe().then(function () {
                        widget.reload();
                    });
                }).catch(function(error){
                    ScreenService.showMessage(error.data.error);
                });
            }.bind(this)
        },{
            label: ScreenService.i18n("Não"),
            code: function(){}.bind(this)
        }]);
    };
    
    this.changeTipoOperac = function(){
         var widget = templateManager.container.getWidget('widgetPedido');
         var row = {
            IDORIGDESTOP: widget.currentRow.IDORIGDESTOP
        };
        this.verificaTipoOper(row);
    };
    
    this.verificaTipoOper = function(row){
        var widget = templateManager.container.getWidget('widgetPedido');
        var idorigdestop;
         if (widget.currentRow.__is_new == true){
             idorigdestop = row.IDORIGDESTOP;
         }else{
            idorigdestop = widget.currentRow.IDORIGDESTOP;
         }
         var filtro = [
            {
                name: 'CDFILIAL', 
                operator: '=', 
                value: widget.currentRow.CDFILIAL
                
            }
        ];
        General.callRestEngine('ped#/crud/parampedido', 'FilterData', filtro).then(function(callback){
           var utFilial = callback.dataset.parampedido[0].IDUTFILIALDESTINO; 
           if(idorigdestop == 'L'){
                widget.getField('FILIDEST').validations = {required:true};
                
                if(utFilial == 'NAO'){
                   widget.getField('FILIDEST').readOnly = true;  
                   widget.getField('FILIDEST').reload();
                   ScreenService.showMessage('O tipo de operação parametrizado exige informação de Filial de destino. Verifique a parametrização na tela Parâmetros de Pedidos');
                }
            }else if(idorigdestop != 'L' && utFilial == 'SIM'){
                widget.getField('FILIDEST').validations = {};
                widget.getField('FILIDEST').readOnly = false;
                widget.getField('FILIDEST').reload();
            }else if(idorigdestop != 'L' && utFilial == 'NAO'){
                widget.getField('FILIDEST').validations = {};
                widget.getField('FILIDEST').readOnly = true;
                widget.getField('FILIDEST').reload();
            }
            widget.reload();
        });
    };
     
    this.verificaRota = function(){
        var widget = templateManager.container.getWidget('widgetPedido');
        var widgetTransp = templateManager.container.getWidget('transportadora');
        var row = [];
        if(widget.currentRow.CDFILIALPED == undefined){
            row.push({
                IDORIGDESTOP: widget.currentRow.IDORIGDESTOP,
                CDFILIROTA:   null,
                CDCLIENTE:    widget.currentRow.CDCLIENTE
            });
        }else{
            row.push({
                IDORIGDESTOP: widget.currentRow.IDORIGDESTOP,
                CDFILIROTA:   widget.currentRow.CDFILIALPED,
                CDCLIENTE:    widget.currentRow.CDCLIENTE
            }); 
        }
        
        var promises = [];
        promises.push(General.callRestEngine("ped_pedidos#/getRotaEnt", "Row", row));
        ZHPromise.all(promises).then(function(callback){
            if(callback[0].dataset.data.length > 0){
                widgetTransp.currentRow.CDROTATRANS = callback[0].dataset.data[0].CDROTATRANS;
                widgetTransp.currentRow.NMROTATRANS = callback[0].dataset.data[0].NMROTATRANS;
                templateManager.container.getWidget('widgetPedido').currentRow.CDROTATRANSPED= widgetTransp.currentRow.CDROTATRANS;
            }
        }.bind(this));
 
    };
    
    this.verificaPrecoOpcio = function(){
        var widget = templateManager.container.getActiveWidget();
        var widgetPedido = templateManager.container.getWidget('widgetPedido');

        var filtroPreOpc = [
            {
                name: "P_CDPRODUTO",
                operator: "=",
                value: widget.currentRow.CDPRODUTO
            },
            {
                name: "P_CDPRECOBASE",
                operator: "=",
                value: widgetPedido.currentRow.CDPRECOBASE
            }
        ];
       
       
        var promises = [];
        promises.push(General.callRestEngine('ped_pedidos#/preco_opcional', 'FilterData', filtroPreOpc));
        promises.push(General.callRestEngine('ped_pedidos#/crud/preco_base', 'FilterData', [{ name: 'CDPRECOBASE', operator: '=', value: widgetPedido.currentRow.CDPRECOBASE}]));
        promises.push(General.callRestEngine('ped#/crud/parampedido', 'FilterData', [{ name: 'CDFILIAL', operator: '=', value: widgetPedido.currentRow.CDFILIAL}]));
        ZHPromise.all(promises).then(function(callback){
            var preOpcional = callback[0].dataset.preco_opcional;
            var tabPrecoBase = callback[1].dataset.preco_base[0].IDULTPRECPROMO;
            var alteraPreco = callback[2].dataset.parampedido[0].IDPERALTPRECO;
            
            if(preOpcional.length > 0 && tabPrecoBase == 'N' && alteraPreco == 'S'){
                widget.getField('QTITEMPED').class = 4;
                widget.getField('VRPREUNITPED').class = 4;
                widget.getField('VROPCIOPRBASE').showOnForm = true;
                widget.getField('VROPCIOPRBASE').reload();
                // widget.reload();
            }else{
                widget.getField('QTITEMPED').class = 6;
                widget.getField('VRPREUNITPED').class = 6;
                widget.getField('VROPCIOPRBASE').showOnForm = false;
                // widget.reload();
            }
        
        });
        
    };
    this.setValorUnit = function(){
        var widget = templateManager.container.getActiveWidget();
        widget.getField('VRPREUNITPED').setValue(widget.currentRow.VROPCIOPRBASE);
        //widget.currentRow.VRPREUNITPED = widget.currentRow.VROPCIOPRBASE;
            this.calcValorTotal(widget);
            this.calcImpostoItem(widget);
    };
    
    this.clearPrecoOpcio = function(){
        var widget = templateManager.container.getActiveWidget();
        widget.getField('VROPCIOPRBASE').setValue('');
    };
    
    this.importarTxt = function(widget) {
            var file = widget.currentRow.FILETXT;
            var pos = file[0].b64File.indexOf(',') + 1;

            file = {
                'name': file[0].name,
                'content': atob(file[0].b64File.substr(pos))
            };

            this.formataCampos(file);
            ScreenService.closePopup();
    };

    this.formataCampos = function(file){
        var content = file.content;
        const result = content.split(/\r?\n/);
        var pedidos = [];
        var itens = [];
        
        result.forEach(function(row){
            if(row.substring(0,1) == 1){
                var pedido = {
                    "NRPEDIDO" : row.substring(1,11),
                    "CDCLIENTE" : row.substring(11,32),
                    "DTPEDIDO" : row.substring(32,42),
                    "DTENTPED" : row.substring(42,52),
                    "NRAFORIGPED" : row.substring(52,62),
                    "DSPEDCLI" : row.substring(62,262),
                    "DSPEDVEN" : row.substring(262,462),
                    "CDVENDEDOR" : row.substring(462,466),
                    "CDMODPGTO" : row.substring(466,471),
                    "IDORIGPED" : row.substring(471,472),
                    "CDPRECOBASE" : row.substring(472, 474)
                };        
                
                pedidos.push(pedido);
            }
            
            if(row.substring(0,1) == 2){
                var item = {
                    "NRPEDIDO" : row.substring(1, 11),
                    "NRITEMPED" : row.substring(11, 21),
                    "CDPRODUTO" : row.substring(21, 31),
                    "QTITEMPED" : row.substring(31, 46),
                    "VRPREUNITPED" : row.substring(46, 61),
                    "VRDESITPED" : row.substring(61, 76),
                    "CDPRODRELAC" : row.substring(76, 86),
                };
                
                itens.push(item);
            }
                
            if(row == ""){
                if(pedidos.length > 0){
                    pedidos[pedidos.length-1].ITENS = itens;
                    itens = [];    
                }
            }
        });
        console.log(pedidos);
    };
    
    this.paramValue = function(){
        var widgetListaItens = templateManager.container.getWidget('widgetItens');
        var fieldProduto = widgetListaItens.getField('NMPRODUTO').fields;
        General.callRestEngine('ped#/crud/parampedido', "FilterData", [{name: 'CDFILIAL', operator: '=', value: 'FILIAL_LOGADA'}]).then(function (sucesso) {
            var casaDeciUni = sucesso.dataset.parampedido[0].NRCASADECVRUNIT;
            var casaDeciQtd = sucesso.dataset.parampedido[0].NRCASADECQTDE;
            widgetListaItens.getField('VRPREUNITPED').mask = 
            {
                type: "viewFloat",
                params:{
                precision: casaDeciUni ,
                thousands: ".",
                decimal: ",",
                allowNegative: false
                }
            };
            widgetListaItens.getField('QTITEMPED').mask = 
            {
                type: "viewFloat",
                params:{
                precision: casaDeciQtd ,
                thousands: ".",
                decimal: ",",
                allowNegative: false
                }
            };
            fieldProduto.forEach(function(field){
               if(field.name=='VRITEPREBASE'){
                    field.mask = {
                        type: "viewFloat",
                        params:{
                            precision: casaDeciUni,
                            thousands: ".",
                            decimal: ",",
                            allowNegative: false
                        }
                    };
               }
            });
        });
    };
}; 

Configuration(function(ContextRegister){
    ContextRegister.register('Ped00100_lancamentoPedido_Controller', Ped00100_lancamentoPedido_Controller);
});